debhelper (11.5.4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Niels Thykier <niels@thykier.net>  Tue, 18 Dec 2018 20:03:56 +0000

debhelper (11.5.4) unstable; urgency=medium

  [ Niels Thykier ]
  * Dh_Lib.pm: Reopen stdin to read from /dev/null in doit (and its sibling
    functions) to prevent issues when stdin is open in write-only mode
    (which is what nohup(1) does).  Thanks to Julian Gilbey for reporting
    the issue and providing a sample patch for it as well.
    (Closes: #913663)
  * fr.po: Add missing dash in "--parallel" in a translation.  Thanks to
    Christian Marillat for reporting the issue.  (Closes: #915255)
  * debhelper.7: Document that the "python-distutils" build system is
    removed in compat 12.  Thanks to Axel Beckert for reporting the
    omission.  (Closes: #915530)

  [ Luca Boccassi ]
  * makefile.pm: revert passing V=0/1 to makefiles. Fixes FTBFS in apcupsd
    (and possibly more).
    (Closes: #914419)

 -- Niels Thykier <niels@thykier.net>  Sat, 15 Dec 2018 19:18:47 +0000

debhelper (11.5.3) unstable; urgency=medium

  [ Helmut Grohne ]
  * cmake.pm: Pass the usual CMAKE_SYSTEM_PROCESSOR for ppc64el
    when cross compiling.   (Closes: #913425)

 -- Niels Thykier <niels@thykier.net>  Sat, 10 Nov 2018 21:42:12 +0000

debhelper (11.5.2) unstable; urgency=medium

  [ Luca Boccassi ]
  * makefile.pm: Pass V=0 or V=1 to the make file depending on
    whether "terse" is set in DEB_BUILD_OPTIONS.

  [ Niels Thykier ]
  * dh_gconf: Mark dh_gconf as deprecated (see #908845).
  * Dh_Lib.pm: Separate lowest non-deprecated compat level and
    the lowest compat level we generate "debhelper-compat (= X)"
    relations for.
  * Dh_Lib.pm: Open compat level 13 as an experimental compat
    level.
  * meson.pm: In compat 13, run tests with "meson test" rather
    than "ninja test".  Thanks to Simon McVittie for the
    suggestion.  (Closes: #912560)
  * dh: Correctly include dh_installsystemduser in the sequence
    in compat 12.  It was excluded due to an inverted boolean
    meaning it was added in compat up to (and incl.) compat 11.
    Thanks to Michael Biebl for reporting the issue.
    (Closes: #913329)
  * fr.po: Correct translations for dh_installman.1 which
    incorrectly implied that dh_installman was deprecated.
    Thanks to Laurent Bigonville for reporting the issue.
    (Closes: #912978)

  [ Helmut Grohne ]
  * cmake.pm: Pass QMAKE_EXECUTABLE when cross-building.
    (Closes: #913415)


 -- Niels Thykier <niels@thykier.net>  Sat, 10 Nov 2018 19:51:25 +0000

debhelper (11.5.1) unstable; urgency=medium

  * dh_systemd_start: Fix bug introduced in debhelper/11.5 where
    dh_systemd_start would fail to substitute a token in the
    generated maintscript for maintainer scripts when using
    "--restart-after-upgrade" (including when the option is
    on by default).  Thanks to Colin Watson for reporting the
    bug.  (Closes: #912420)

 -- Niels Thykier <niels@thykier.net>  Wed, 31 Oct 2018 21:02:00 +0000

debhelper (11.5) unstable; urgency=medium

  [ Daniele Nicolodi ]
  * dh_installsystemduser: New helper responsible for istalling package
    maintainer supplied systemd user instance units and to produce
    postinst and postrm maintiner scripts code blocks to appropriately
    enable, mask and disable units when the package is installed,
    upgraded, or removed.  (Closes: #764678)

  [ Niels Thykier ]
  * dh_installsystemd.1: Improve the documentation for --name to make
    it more clear that it also changes the name of the source files in
    the debian directory.  Thanks to Emel Hasdal for reporting the
    issue and reviewing the change.  (Closes: #899983)

 -- Niels Thykier <niels@thykier.net>  Sun, 28 Oct 2018 16:07:01 +0000

debhelper (11.4.1) unstable; urgency=medium

  [ Niels Thykier ]
  * debhelper.pod: Quote the value of INSTALL in description of
    compat level 11.  Thanks to Josh Triplett for the suggestion
    (Closes: #908906)
  * d/changelog: Fix typos in old entries.
  * dh_strip: Remove empty /usr/lib/debug directories left over
    by dh_dwz.  Thanks to Ferenc Wágner for reporting the issue.
    (Closes: #909303)
  * dh: Disable optimization to skip tools based on command-line
    parameters when dh is passed long options.  Since debhelper
    had implicit support for auto-abbrevation of long options
    and people have started to rely on it, the optimization in
    debhelper/11.4 caused regressions.  The optimization is
    still enabled for short options.  (Closes: #909704)

  [ Josh Triplett ]
  * debhelper.pod: Document how to declare the debhelper compat
    level via the "debhelper-compat (= X)"-method.
    (Closes: #908909)
  * debhelper.pod: Document that we do not provide debhelper-compat
    for experimental/beta versions of compat levels.
    (Closes: #908907)
  * doc/PROGRAMMING: Fix typos.

 -- Niels Thykier <niels@thykier.net>  Sun, 30 Sep 2018 15:49:38 +0000

debhelper (11.4) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_dwz.1: Remove now obsolete note in manpage claming that dh_dwz
    was experimental.  Since debhelper/11.3, dh_dwz was no longer
    experimental.
  * cmake.pm: Explicitly set CMAKE_INSTALL_LIBDIR on native builds.
    This should not make any pratical difference but aligns the
    behaviour of native and cross builds.  Thanks to Simon McVittie
    for the suggestion.  (Closes: #903042)
  * autoconf.pm: Leave --libexecdir at upstream default (/usr/libexec)
    in compat 12 and later.  (Closes: #859724)
  * meson.pm: Ditto.
  * dh: Support implicitly loading addons via "dh-sequence-${name}"
    relations in Build-Depends (which would imply "dh ... --with ${name}").
    Only simple relations in Build-Depends are considered at the moment.
  * debian/control: Provide dh-sequence-dwz, dh-sequence-installinitramfs,
    and dh-sequence-systemd, which enables packages to use the new
    feature to implicitly autoload dh addons via Build-Depends.
  * dh_md5sums: Rewrite handling of conffiles and excludes to better
    support an arbitrary number of files that should be omitted from the
    md5sums file.  Previously, dh_md5sums could fail with the error:
    """... "/bin/sh": Argument list too long at ..."""
    (Closes: #864182)
  * dh_installinit.1: Correct documentation which was inaccurate in relation
    to which compat levels where dh_installinit still supported systemd
    items and upstart jobs.  Thanks to Theodore Y. Ts'o for bring up the
    issue.
  * dh_installdeb: In compat 12, ignore the maintainer provided conffiles.
    It has not been useful since compat 3.
  * Dh_Lib.pm: isnative() now also resets $dh{VERSION} as a side-effect when
    using the cache to answer the request.  This is mostly useful because
    it enables the following optimization.
  * Dh_Lib.pm: Have isnative() special-case debian/changelog to avoid
    reparsing that file over and over in the same helper.
  * dh_gconf: Explicitly declare the --priority parameter with the intention
    to remove it from the default debhelper options.
  * dh_installemacsen: Ditto.
  * dh_installgsettings: Ditto.
  * dh_installudev: Ditto.
  * dh_installwm: Ditto.
  * Dh_Getopt.pm: Remove --priority from the list of options supported by all
    debhelper tools.  The only external consumer was dh_installtex from
    tex-common, which was fixed in 6.10.
  * dh_installinit: In compat 12, pass --skip-systemd-native to update-rc.d
    to make it ignore systemd services.
  * dh_installsystemd: In compat 12, avoid relying on dh_installinit's
    shell snippets for starting services.  (Closes: #887904, #887900)
  * dh_installinit: Drop unnecessary "systemctl daemon-reload" in
    auto-generated postrm script.  The systemd package has a trigger for
    handling sysvinit scripts and dh_installsystemd handles the requirement
    for native systemd unit files.
  * dh_clean: Explicitly declare the -k/--keep parameter with the intention
    to remove it from the default debhelper options.
  * dh_installchangelogs: Ditto.
  * dh_strip: Ditto.
  * Dh_Getopt.pm: Remove -k/--keep from the list of options supported by all
    debhelper tools.  The only external consumer was dh_gtkmodules which is now
    deprecated and a "noop" command.  No consumers of dh_gtkmodules appear to
    pass -k/--keep to dh_gtkmodules any longer.
  * dh: Rewrite command line optimization logic to enable support for a new
    NOOP PROMISE for command line options.  This will make dh able to skip
    helpers in some cases even when passed options.  (Closes: #866581)
  * dh_*: Add a NOOP PROMISE for command options where applicable.
  * dh: Remove old compatibility code from compat 10 that never worked.
  * Dh_Getopt.pm: Fix a bug that would make "-S" be interpreted as "-s" when
    "-S" was not given an argument.
  * debian/control: Bump Standards-Versions to 4.2.1 - no changes required.
  * debhelper.pod: Declare compat 12 in beta testing.

  [ Juhani Numminen ]
  * dh_installsystemd.1: Fix typo in manpage.
  * dh_installinit.1: Ditto.

  [ Fabian Wolff ]
  * dh_installdocs.1: Fix typo.
  * dh_link.1: Ditto.

  [ Nicholas Guriev ]
  * cmake.pm, autoconf.pm: honor QUIET setting (closes: #907738).
  * Dh_Lib.pm: use terse build option to set QUIET setting (closes: #907595).

  [ Clément Hermann ]
  * debhelper.pod: Document dh_golang's DH_GOLANG_EXCLUDES behaviour change
    for compat 12 (closes: #908656)

 -- Niels Thykier <niels@thykier.net>  Fri, 14 Sep 2018 20:56:55 +0000

debhelper (11.3.5~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Niels Thykier <niels@thykier.net>  Sun, 22 Jul 2018 18:28:12 +0000

debhelper (11.3.5) unstable; urgency=medium

  * Dh_Lib.pm: Introduce a new glob_expand error handler to
    better emulate the old style glob code to fail when a
    non-glob entry in the config file is missing.
  * dh_installdocs: Use the new glob_expand error handler to
    restore the behaviour to that of debhelper/10.5.1 and older.
    Thanks to Christoph Berg for reporting the issue.
    (Closes: #902355)
  * dh_installexamples: Ditto.
  * dh_installinfo: Ditto.
  * dh_installman: Ditto.
  * Dh_Lib.pm: Fix a bug where ending debian/control on (what
    debhelper believed was) a comment line could cause debhelper
    to omit the last package listed in the file.  Thanks to
    Santiago Vila for reporting the bug. (Closes: #902748)

 -- Niels Thykier <niels@thykier.net>  Sat, 30 Jun 2018 11:52:51 +0000

debhelper (11.3.4) unstable; urgency=medium

  * Dh_Lib.pm: Fix bug that made the parser assign the wrong
    value from the Build-Profiles field.  Thanks to Sven Joachim
    for reporting the bug.  (Closes: #902268)
  * debhelper.pod: Rewrite the compat 11 change on "main doc
    packages" in an attempt to clarify what is happening in
    compat 11.  Thanks to Paul Gevers for pointing out some of
    the confusing aspects.

 -- Niels Thykier <niels@thykier.net>  Sun, 24 Jun 2018 09:46:35 +0000

debhelper (11.3.3) unstable; urgency=medium

  [ Niels Thykier ]
  * d/control: Remove versioned Breaks on qt5-qmake as it
    prevents others from backporting qt5 packages to
    stable-backports.  The Breaks was added to assist
    cross-building in buster and it has already served that
    purpose by now.
  * Dh_Lib.pm: Provide a more helpful diagnostic message when
    an executable config file fails and it does not have a
    #!-line (and is not an ELF binary).  Thanks to Nadav
    Ruskin for the suggestion.  (Closes: #902214)
  * debhelper.pod: Make a dedicated subsection about executable
    debhelper config files to make them more prominent.  Thanks
    to Nadav Ruskin for the suggestion.  (Closes: #901715)
  * Dh_Lib.pm: Avoid forking a shell when running executable
    debhelper config files.
  * Dh_Lib.pm: Validate package names according the rules for
    Debian packages.  Thanks to Raphael Geissert and Tim
    Düsterhus for the suggestion.  (Closes: #567178)
  * Dh_Lib.pm: Rewrite deb822 parser to validate d/control
    more strictly.  Particularly, debhelper no longer permits
    the same field twice in a stanza.  Thanks to Tim Düsterhus
    for the suggestion.
  * Dh_Lib.pm: Ensure that at most once definition of
    (X-)Package-Type is used per stanza.

  [ Roberto C. Sánchez ]
  * cmake.pm: Reorder arguments to cmake to make "-D FOO=BAR"
    work.  This form only works if it is before the directory
    passed to cmake.

  [ Daniele Nicolodi ]
  * dh_installsystemd: Improve man page.
  * dh_installsystemd: Tighten error handling: fail immediately if an unit
    name not installed by the package is specified on the command line.
  * dh_installsystemd: Fix the undocumented '--no-also' command line
    option to do not affect handling of the Alias= directives.
  * dh_installsystemd: Add timer units to the list of units considered
    when the '--name' option is specified.

 -- Niels Thykier <niels@thykier.net>  Sat, 23 Jun 2018 18:30:08 +0000

debhelper (11.3.2~bpo9+2) stretch-backports; urgency=medium

  * Remove Breaks against qt5-qmake (neither needed nor satisfiable in
    backports).

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 28 Jun 2018 18:38:09 +0200

debhelper (11.3.2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Sat, 02 Jun 2018 09:42:20 +0200

debhelper (11.3.2) unstable; urgency=medium

  * dh_installchangelogs: Fix a second regression that made
    dh_installchangelogs ignore upstream changelogs in the
    source directories.  Thanks to gregor herrmann for
    reporting the imcomplete fix.  (Closes: #899248)

 -- Niels Thykier <niels@thykier.net>  Wed, 23 May 2018 05:59:59 +0000

debhelper (11.3.1) unstable; urgency=medium

  * dh_installchangelogs: Fix logic error that made
    dh_installchangelogs incorrectly ignore explicitly passed
    changelogs.  Thanks to Sven Joachim and Rene Engelhard
    for reporting the bug.  (Closes: #899248)

 -- Niels Thykier <niels@thykier.net>  Mon, 21 May 2018 20:02:32 +0000

debhelper (11.3) unstable; urgency=medium

  [ Niels Thykier ]
  * Buildsystem.pm: Fix use of undefined variable in certain
    error conditions.
  * dh_makeshlibs: Support -VUpstream-Version and -VNone as
    alternative to passing -V or omitting -V respectively.
  * dh_makeshlibs: Make -VUpstream-Version the default in
    compat 12 when -V is omitted.  (Closes: #896464)
  * dh_makeshlibs: Correct handling of an explicit -V when
    a source builds multiple library packages and provides
    explicit shlibs files for a subset of them.  Previously,
    the -V option could have been ignored for some of the
    packages containing libraries.
  * Dh_Lib.pm: Fall back to a regular mv(1) when rename fails
    with EXDEV (cross mount point moves).  This restores
    debhelper's ability to move files between mount points,
    which can happen in dh_builddeb has to correct the
    extension of a binary package built by dpkg-deb.
    Thanks to Evan Krall for the report.  (Closes: #897569)
  * dh_missing.1: Consistently mention that dh_missing
    defaults to --list-missing in compat 12.  Thanks to
    Robie Basak for spotting the contradicting documentation.
    (Closes: #898161)
  * dh_compress:  Avoid adding a duplicate ".gz" extension on
    a symlink if it already has it.  This can happen e.g. with
    dh_installman recompresses a manpage that was compressed and
    had a valid symlink to it.  Thanks to Andreas Hasenack for
    reporting the bug.  (Closes: LP: #1765851)
  * debian/control: Depend on dwz for dh_dwz.
  * dh_dwz: Generate a per-package multifile by default.  This
    feature can be disabled by --no-dwz-multifile.
  * dh: Run dh_dwz by default in compat 12.
  * dh_dwz: Remove warning about the dwz feature being experimental.
  * dwz.pm: Ditto.
  * dh_installsystemd: Use the basename of the "tmpfiles" config
    files.  This makes "systemd-tmpfiles --create" search for it
    in both /usr/lib/tmpfiles.d and in /etc/tmpfiles.d.  With
    this change the system administrator can now override the
    "tmpfiles" config shipped by the package in
    /usr/libtmpfiles.d.  Thanks to Nick Groenen and Seyeong Kim
    for filing the bug.  (Closes: #894510)
  * dh_installinit: Ditto.
  * dh_installchangelogs: Look for changelog files installed by the
    upstream build system in the package build dir (i.e. d/<pkg>/
    and *not* debian/tmp!) and use them in preference to the one in the
    source package where available.  This avoids some cases of duplicated
    upstream changelogs.  Thanks to Evgeni Golov for the suggestion.
    (Closes: #513521)
  * dh_md5sums: Stop deleting empty md5sums files as dpkg (now) creates
    the empty file on install if absent.  Thanks to Rhonda D'Vine for
    suggesting the improvement.  (Closes: #776853)
  * Dh_Lib.pm: Re-organise exports.
  * Dh_Lib.pm: Retract "print_and_complex_doit"; the only potential
    consumer went with a different code snippet.
  * dh_installinitramfs: New tool to install initramfs hook scripts and
    handle related maintscripts.  Thanks to Evgeni Golov for the
    suggestion.  (Closes: #491027)
  * installinitramfs.pm: New sequence to enable dh_installinitramfs in
    compat 11 and earlier.
  * dh_installdirs: Add --(no-)create-in-sourcedir option to make
    dh_installdirs create directories in the source directory in addition
    in the package build directory.  Furthermore, dh_installdirs now
    accepts --sourcedir to overrule the default source directory (just
    like e.g. dh_install).  Thanks to Robert Luberda for the suggestion.
    (Closes: #816332)
  * Buildsystem.pm: Move code from Dh_Buildsystems.pm to Buildsystem.pm
    to make the latter independent of the former.  This makes it possible
    to load Buildsystem.pm without debian/control being present.  Thanks
    to Andreas Tille for the bug report.  (Closes: #897026)
  * dh_installinit.1: Fix some incorrect markup in the documentation of
    --no-enable.
  * makefile.pm: Revert the use of -O/-Oline for make, which helps
    debugging what commands time out on the buildds.  Thanks to
    Adrian Bunk for the report.  (Closes: #895196)
  * dh_testroot.1: Update R³ documentation to reflect the current
    implementation and not the initial draft.  Thanks to Jens Reyer
    for reporting the inconsistency.  (Closes: #899125)
  * d/changelog: Retroactively add Closes for LP bug #1766102 in 11.2
    release.
  * Dh_Lib.pm: Correct control parser to permit zero or more leading
    space after the "Section" field (instead of "exactly one" space).
  * python_distutils.pm: Deprecate the python-distutils build system
    and mark it as removed in compat 12.  Users are recommended to
    migrate to the third-party build system called "pybuild".  This
    deprecation implies that python3 (among other) will not be
    supported in the python-distutils build system.
    (Closes: #568033, #597105, #597342, #769840, #813686, #898347)
  * Dh_Lib.pm: Remove warning for using "debhelper-compat"
    build-dependency.

  [ Dmitry Shachnev ]
  * qmake.pm: Use ${DEB_HOST_GNU_TYPE}-qmake wrapper for
    cross-compilation.  (Closes: #895286)

  [ Helmut Grohne ]
  * cmake: Pass CC/CXX environment variables down during native
    compilation as well. (Closes: #897083)

  [ Chris Lamb ]
  * dh_listpackages.1: Document that packages are listed in the
    order that they appear in debian/control.
    (Closes: #897949)

  [ Peter Pentchev ]
  * Dh_Lib: Permit leading and trailing whitespace around the
    debhelper-compat dependency when it is the first or the last
    relation listed.  (Closes: #897937)

  [ Jakub Wilk ]
  * dh_usrlocal: Fix invalid POD markup.

 -- Niels Thykier <niels@thykier.net>  Sun, 20 May 2018 20:35:00 +0000

debhelper (11.2.1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Niels Thykier <niels@thykier.net>  Sun, 06 May 2018 14:06:00 +0000

debhelper (11.2.1) unstable; urgency=medium

  * Buildsystem.pm: Correctly pass build directory values to
    target buildsystems.  Thanks to Helmut Grohne, Adrian Bunk
    and Tobias Frost for the reports and debugging.
    (Closes: #895174, #895181)
  * Buildsystems: Avoid choosing a build system for the clean
    step if it is not necessary.  Previously, debhelper could
    choose a "random" build system that would prefer building
    in a separate build directory on the basis that the build
    directory should be removed.  With this, change we only
    choose such a build system if there is a build directory
    to remove.

 -- Niels Thykier <niels@thykier.net>  Sun, 08 Apr 2018 08:47:35 +0000

debhelper (11.2) unstable; urgency=medium

  [ Niels Thykier ]
  * debhelper.7: Add a ~ to the suggested Build-Depends to ensure
    backports also work for debhelper with single integer versions.
    Thanks to Trent W. Buck for the suggestion.  (Closes: #894666)
  * makefile.pm: Use -Oline with make.  This avoids make mistaking
    a target name for a value for -O and should make build time
    outs less likely for "long" targets.  (Closes: #894573)
  * Dh_Lib.pm: Fix bug that make debhelper trip on packages with
    the version "0".  Thanks to Chris Lamb for reporting the bug
    plus debugging the issue.  (Closes: #894895, LP: #1766102)
  * Buildsystem.pm: Rewrite to support build systems that generate
    build files for another build system (without using
    inheritance).  This enables generator build systems to have
    multiple backends.
  * cmake.pm: Support ninja as alternative backend (by using the
    build system cmake+ninja).  Thanks to Kyle Edwards for the
    suggestion.  (Closes: #895044)
  * meson.pm: Rewrite as a generator build system with ninja as
    the only backend.
  * debhelper.7: Recommend packagers to use "debian/<pkg>.<file>"
    over "debian/<file>" in most cases.  Thanks to Johannes
    Schauer for the suggestion.
  * dh_usrlocal: Implement a simple guard for directories that
    will likely cause issues in the shell snippets.
  * dh_usrlocal: Use the new rules from Debian Policy 4.1.4 to
    determine the default ownership and mode for directories.
  * d/control: Bump Standards-Versions to 4.1.4.  Beyond the
    dh_usrlocal change listed above, no changes were required.

  [ Nicolas Boulenguez ]
  * dh_installxfonts: Fix typo that causes a misc:Depends on
    non-existing xfont-utils.  (Closes: #894835)
  * dh_installwm.1: Document --all.  (Closes: #895011)
  * dh_usrlocal: Fix bug where the generated prerm script generated
    by dh_usrlocal could remove a directory directly in /usr/local.
    (Closes: #894549)

  [ Mattia Rizzolo ]
  * Lower the version restrictions on dpkg and dpkg-dev.  They are not
    needed anymore, as R³ support is not implied anymore, but requires
    an environment variable to be passed.

 -- Niels Thykier <niels@thykier.net>  Sat, 07 Apr 2018 19:23:32 +0000

debhelper (11.1.6~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Retained changes required for backports:
    * Lower the required dpkg version (cherry-picked from the upcoming
      debhelper version).

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 04 Apr 2018 19:58:57 +0200

debhelper (11.1.6) unstable; urgency=medium

  * Dh_Lib: Avoid passing invalid parameters to a function, which
    caused tons of "package ARRAY(...) is not in control info"
    warnings from dh in some cases.  It triggers when dh thinks
    the package might have architecture qualified debhelper config
    files.  The warning is harmless (besides the noise) for all
    native builds and most cross builds, but it did invalidate
    attempt to make pkgfile() use "DEB_TARGET_ARCH{,_OS}"
    (see 11.1.5~alpha1).  Thanks to Andreas Beckmann for reporting
    the issue.  (Closes: #891546)
  * dh: Refactor handling of sequences to simplify some code paths.
  * autopkgtests: Remove "use-name" tests as it no longer works.
    The debhelper module makes assumptions in which directory it is
    run from and the test breaks these assumptions.
  * debian/control: Comment out versioned dependency on make.
    It is not strictly necessary for Debian and causes issues with
    make-guile.  On the other hand, it is useful for people
    backporting debhelper on derivatives and hench leaving it as a
    comment.  (Closes: #892586)
  * debian/control: Bump dependency on dh-autoreconf for the fix for
    #889567.
  * dh_installinfo: Accept --sourcedir like the documentation says
    for compat 11.  Prevently the option was incorrectly silently
    ignored.  Thanks to Nicolas Boulenguez for the report and the
    patch.  (Closes: #894226)
  * dh_ucf.1: Apply patch from Nicolas Boulenguez to add missing
    documentation of the "--all" and non-option parameters.
    (Closes: #894228)
  * dh_installxfonts: Apply patch from Nicolas Boulenguez.  This
    ensures that the generated maintscript snippets are bit-for-bit
    reproducible when a package ships xfons in multiple fonts
    directories.  (Closes: #894227)
  * Dh_Lib: Improve the "make_symlink" code to avoid non-compliant
    symlinks when the link name was not a normalized path.  Note
    that ".."-segments are now disallowed in the link name (but not
    the link target).  Thanks to Nicolas Boulenguez for reporting
    the bug plus the test cases.  (Closes: #894229)
  * dh_installinfo: Report installed files to dh_missing.  Thanks
    to Daniel Kahn Gillmor for reporting this omission.
    (Closes: #893160)
  * Dh_Lib: Make Dh_Lib loadable again without a debian/control being
    present.  This makes the autopkgtests work again.

 -- Niels Thykier <niels@thykier.net>  Thu, 29 Mar 2018 19:26:59 +0000

debhelper (11.1.5) unstable; urgency=medium

  * Upload to unstable.
  * Add a warning for using the new experimental feature for
    requesting the compat level via the Build-Depends field.

 -- Niels Thykier <niels@thykier.net>  Sun, 25 Feb 2018 10:05:22 +0000

debhelper (11.1.5~alpha1) experimental; urgency=medium

  * dh_installdocs: Add missing documentation about --sourcedir
    in compat 11.
  * dh_installdocs: Document that d/tmp is used by default
    in compat 11.
  * dh_installexamples: Ditto.
  * dh_installinfo: Ditto.
  * dh_installman: Ditto.
  * meson.pm: Apply patch from Jakub Wilk to fix typo in the name
    of the "C.UTF-8" locale.
  * autoscripts/postinst-systemd-restart: Apply patch from
    Christoph Biedl to fix indentation.  (Closes: #890373)
  * dh_testroot: With the advent of DEB_RULES_REQUIRES_ROOT, it
    no longer needs to read debian/control to tell whether root
    is needed or not.  However, the warning remains for calling
    dh_testroot outside the source root (as we may need to check
    the compat level in a future version of debhelper).
  * makefile.pm: Synchronize output from make (via -O) when
    make runs in parallel except when STDOUT is a TTY.  Thanks
    to Goswin von Brederlow for the suggestion.  (Closes: #768791)
  * dh_gencontrol: Avoid uninitialized value warning when there
    are no build-ids (e.g. because the builder disabled the
    dbgsym building via DEB_BUILD_OPTIONS).  This regression
    was introduced in 11.1.  Thanks to Christian Marillat for
    reporting the bug.  (Closes: #890736)
  * Dh_Lib: pkgfile() now properly uses for DEB_TARGET_ARCH{,_OS}
    when the package is set to be built for the target
    architecture.
  * d/control: Drop dependency on binutils; it does not reflect
    our actual requirement and the package or builder will ensure
    that the current binutils is installed for other reasons
    any way.  Thanks to Helmut Grohne for the report.
    (Closes: #891187)
  * Dh_Lib: Add an experimental feature to determine the requested
    compat level from the Build-Depends field.

 -- Niels Thykier <niels@thykier.net>  Sat, 24 Feb 2018 16:01:31 +0000

debhelper (11.1.4) unstable; urgency=medium

  * qmake.pm/qmake4.pm: Avoid global state in the build systems.
  * dh_makeshlibs: Fix --no-act, which could still cause writes
    to the shlibs file.  Thanks to Sven Joachim for reporting it.
    (Closes: #888974)
  * dh_installdocs: Discard auto-detected main doc package when
    passed -A/--all as it causes file-conflicts.
    (Closes: #886108, #888294)
  * Dh_Lib: Fix regression where "foo{bar}" would not be matched
    when the pattern was handled as a glob.  The bug was
    introduced in debhelper/10.6.  Thanks to Wouter Verhelst for
    finding the bug.  (Closes: #888251)
  * d/control: Update the Vcs-* fields to point to
    salsa.debian.org as a part of the migration from alioth.
  * d/control: Update maintainer address debhelper@packages.d.o
    as a part of the migration from alioth.  Any subscription
    to debhelper-devel@lists.alioth.debian.org should be
    replaced by a subscription in tracker.debian.org or
    salsa.debian.org.
  * d/control: Remove Bernhard R. Link from uploaders as he does
    not appear to be active in debhelper at the moment.  Thanks
    to Bernhard for his past contributions.
  * d/control: Bump (Build-)Dependency on dpkg to ensure that
    dpkg provides DEB_RULES_REQUIRES_ROOT and DEB_GAIN_ROOT_CMD
    as a part of its Rules-Requires-Root support.
  * Dh_Lib.pm: Rely on DEB_RULES_REQUIRES_ROOT instead of the
    field to determine whether or not tools may "root-only"
    actions (such as chown'ing).
  * d/control: Bump dependency on dh-autoreconf to ensure that
    packages do not experience #887482.
  * makefile.pm: Ensure that command line arguments are passed
    deterministically to make when cross-compiling.

 -- Niels Thykier <niels@thykier.net>  Wed, 31 Jan 2018 21:36:13 +0000

debhelper (11.1.3) unstable; urgency=medium

  * autoscripts/*: Improve rollback handling of many scripts.
    Notably a lot of scripts failed to rerun the postinst parts
    on an "abort-upgrade".  (Closes: #446856)
  * debian/control: Add a Breaks on meson to ensure that we have
    meson (>= 0.40.0) as the meson build system uses --wrap-mode.
    This is mostly relevant for backports.
  * Dh_Lib.pm: When printing commands (e.g. for doit), also show
    changes to the environment (when done as a part of the
    command).
  * ninja.pm: Set LC_ALL=C.UTF-8 when calling ninja to avoid
    meson choking on UTF-8 characters when it embeds itself into
    e.g. the build or install.  (Closes: #873831)
  * dh: Remove the assumption that sequences will supply only
    "safe no-op" parameters to commands.  Thanks to Axel Beckert
    and Sascha Steinbiss for the report.  (Closes: #887727)

 -- Niels Thykier <niels@thykier.net>  Sat, 20 Jan 2018 18:26:06 +0000

debhelper (11.1.2) unstable; urgency=medium

  * dh: Fix non-sense error about a missing "startpoint object
    method".

 -- Niels Thykier <niels@thykier.net>  Sun, 07 Jan 2018 21:31:40 +0000

debhelper (11.1.1) unstable; urgency=medium

  * dh: Fix an off-by-one in a compat check.  This fixes an
    internal error for compat 9 packages that requires dh to
    recurse into the debian/rules file.  Thanks to Helmut
    Grohne for reporting the bug.  (Closes: #886518)

 -- Niels Thykier <niels@thykier.net>  Sun, 07 Jan 2018 09:48:17 +0000

debhelper (11.1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * dh: Provide the DH_EXTRA_ADDONS environment as a method for
    e.g. derivatives to enable additional debhelper add-ons.
    It is *not* a replacement for the --with parameter (which
    package maintainers should still use).  (Closes: #570935)

  [ Hideki Yamane ]
  * Fix typo of unnecessary.  (Closes: #884574)

  [ Niels Thykier ]
  * dh_missing: Support wildcards in debian/not-installed.  Thanks
    to Maximiliano Curia for the suggestion.  (Closes: #884556)
  * dh_missing: Tweak handling of missing source directory and
    single binary packages.
  * dh_missing: Make --list-missing the default in compat 12.
    Thanks to Daniel Leidert and Christian Göttsche for the
    suggestions.  (Closes: #650129, #858834)
  * meson.pm: Set LC_ALL to C.UTF-8 when invoking meson and
    debcrossgen (helper tool for cross-building).  Thanks to
    Jeremy Bicha for the suggestion.  (Closes: #873831)
  * dh_makeshlibs: Avoid forking a shell per line in the
    generated shlibs file.
  * dh_makeshlibs: Find all libraries with an unversioned SONAME
    field (and not just the unversioned ones containing ".so").
  * dh_makeshlibs: In compat 12, stop passing ELF binaries without
    a SONAME to dpkg-gensymbols.  Thanks to Steve Langasek for the
    report.  (Closes: #653640)
  * dh_compress: In compat 12, stop compressing any thing in
    /usr/share/doc/$pkg/examples.  Thanks to Piotr Ożarowski for
    the suggestion.  (Closes: #593382)
  * dh_installinit: Support a new --no-enable parameter to setup the
    init script with the "defaults-disabled" and add the proper
    versioned dependency on "init-system-helpers (>= 1.51)", which is
    the first (functional) version with support for
    "defaults-disabled".  Thanks to Laurent Bigonville for the
    report and Evgeni Golov for filing #857452.  (Closes: #709384)
  * Dh_Lib.pm: Make "exit 1" the default error-handler instead of
    "exit $?" as this makes it easier to migrate from sed-based
    autoscript substitutions to the new hash-based ones.
  * autoscripts/*systemd*: Also use "|| true" in removal scripts for
    systemd related tools if we do it in other scripts for the same
    command.  Thanks to Laurent Bigonville for the report.
    (Closes: #761272)
  * dh_installinit: Perform the autoscript substitutions without
    needing a shell.
  * dh_clean: Skip cleaning in the '.pc' and '_darcs' directories.
    (Closes: #566861)
  * dh_strip: Do not strip debug symbols in ".../debug/.build-id/".
    Thanks to Mattia Rizzolo for reporting the bug.
    (Closes: #886037)
  * dh_gencontrol: Deduplicate debug-ids before inserting them into
    the control file.  Thanks to Mattia Rizzolo for reporting the
    bug.  (Closes: #886038)
  * dh: Rewrite sequence handling to ensure that dh does not "inline"
    a subtarget of a target it recurses into.  Thanks to James
    Cowgill for reporting the bug.  (Closes: #880840)
  * d/control: Add a Breaks against cmake (<< 3.8~) to ensure that
    cmake response to the /run change in compat 11.  Thanks to
    Adrian Bunk for the suggestion.  (Closes: #886127)
  * Dh_Lib.pm/dh_testroot: Support the DEB_GAIN_ROOT_CMD environment
    that replaces DPKG_GAIN_ROOT_CMD.
  * dh_installinit/dh_installsystemd: Re-order snippets so service
    handling is always the first to happen in removal scripts and last
    to happen on install scripts.  This means that configuration file
    management and systemd-tmpfiles handling will now always happen
    before the service is started on install/upgrade.  Thanks to
    Дилян Палаузов and Simon McVittie for reporting the bug.
    (Closes: #814285, #885998)
    - Note that the deprecated dh_systemd_enable and dh_systemd_start
      helpers have not been changed.  Services handled by these may
      still be started before configuration management happens.
  * debian/control: Drop some very old versioned constraints that are
    no longer important.
  * dh_installsystemd: Fix NOOP PROMISE to account for the tmpfiles.d
    files.
  * debian/control: Bump Standards-Versions to 4.1.3 - no additional
    changes required.

  [ Translations ]
  * Update French translation (Baptiste Jammet)  (Closes: #886279)

 -- Niels Thykier <niels@thykier.net>  Sat, 06 Jan 2018 21:17:47 +0000

debhelper (11~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Retained changes required for backports.
    * Dh_Lib: Disable R³ support as we need dpkg{,-dev} (>= 1.19.0.4)
      for that.
    * d/control: Remove the R³ field; debhelper in backports cannot
      be built without (fake)root.
    * d/control: Reset versioned (Build-)Depends on dpkg and dpkg-dev
      due to the above.

 -- Niels Thykier <niels@thykier.net>  Sun, 24 Dec 2017 07:55:49 +0000

debhelper (11) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_installdeb: Do basic validation of rm_conffile and mv_conffile
    parameters in "maintscript" parameters in compat 10 and newer.
    In compat 12, this is an error.  Thanks to Andreas Beckmann for
    the suggestions.  (Closes: #882626)
  * dh_strip: Fix bug where the Build-Id field would not be properly
    filled when using --dbg-package.  Thanks to Paul Wise for finding
    and reporting the bug.  (Closes: #884152)
  * d/control: Bump Standards-Version to 4.1.2 - no changes required.
  * dh_installsystemd: Remove neutering of dh_installsystemd in compat
    levels prior to 11 now that compat 11 is stable.

  [ Chris Leick ]
  * debhelper.pod: Improve the wording of two parapraphs.

  [ Translations ]
  * Update Portuguese translation (Américo Monteiro)
    (Closes: #883635)
  * Update German translation (Chris Leick)  (Closes: #884205)

 -- Niels Thykier <niels@thykier.net>  Sat, 16 Dec 2017 15:41:17 +0000

debhelper (10.10.9~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Retained changes required for backports.
    * Dh_Lib: Disable R³ support as we need dpkg{,-dev} (>= 1.19.0.4)
      for that.
    * d/control: Remove the R³ field; debhelper in backports cannot
      be built without (fake)root.
    * d/control: Reset versioned (Build-)Depends on dpkg and dpkg-dev
      due to the above.

 -- Niels Thykier <niels@thykier.net>  Sat, 25 Nov 2017 10:37:29 +0000

debhelper (10.10.9) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * qmake.pm: Add missing import of generated_file.
  * meson.pm: Find typo of meson in the name of the cross config
    file.
  * qmake.pm: Push compiler information as ‘early’ flags to qmake, to
    make sure qmake calls the right compiler to get library paths.
  * qmake.pm: Add all possible settings to generated qmake-cross.conf.
    Now output of ‘qmake -query’ with and without using this file is
    identical. This makes cross-building Qt’s own modules possible.

  [ Niels Thykier ]
  * dh_missing: Permit a missing debian/tmp without failing in
    compat 11 when debian/tmp is an implicit source directory.
    Thanks to Christoph Biedl for reporting the bug.
    (Closes: #882083)
  * dh_missing: Improve the wording about "debian/not-installed".

 -- Niels Thykier <niels@thykier.net>  Sun, 19 Nov 2017 11:04:45 +0000

debhelper (10.10.8) unstable; urgency=medium

  [ Niels Thykier ]
  * Document that compat 11 is now in its open beta phase.
  * Dh_Getopt: Improve warning message when a package is excluded
    due to profiles or architecture restrictions.
  * dh_install: Properly allow patterns to be excluded without
    complaining about missing files.  (Closes: #881658)
  * qmake.pm: Ensure that the qmake cross-build config file
    survives until clean.

  [ Dmitry Shachnev ]
  * qmake.pm: Set QMAKE_LINK correctly for cross-builds.

 -- Niels Thykier <niels@thykier.net>  Wed, 15 Nov 2017 19:46:00 +0000

debhelper (10.10.7) unstable; urgency=medium

  * dh_strip: Fix a regression that caused debug symbols for
    executables to be discarded instead of included into
    debug packages.
  * Dh_Lib: Ensure that $dh{U_PARAMS} is always defined as a
    list.  Thanks to Adrian Bunk for the bug report.

 -- Niels Thykier <niels@thykier.net>  Sat, 11 Nov 2017 14:10:21 +0000

debhelper (10.10.6) unstable; urgency=medium

  [ Axel Beckert ]
  * Cleanup trailing whitespace in ancient debian/changelog entries and
    debian/rules.
  * Fix typo "belive" in debian/copyright and ancient debian/changelog
    entries.
  * Use HTTPS in debian/copyright format URL.

  [ Niels Thykier ]
  * Remove support for named compat levels.
  * dh_perl: Make dh_perl faster on packages with large doc
    directories by pruning the entire doc directory.
  * dh,dh_auto_*: Support skipping all of the dh_auto_* helpers if the
    package does not seem to have a build system (and there are no build
    system related options passed to dh).
  * Dh_Lib.pm: Define a (hardcoded) extension for dbgsym packages.
  * dh_gencontrol: Pass -DPackage-Type to dpkg-gencontrol when the
    package type for dbgsym is different than for regular deb packages.
  * dh_builddeb: Automatically handle renaming of dbgsym packages when
    the extension of the dbgsym packages are different than for regular
    deb packages.
  * dh_installsystemd,dh_systemd_start: Use "restart" instead of the
    "try-restart" action.  This ensures that newly added services are
    started the first time they are installed.  (Closes: #879727,
    LP: #1707880)
  * dh_install: Fix regression where it was no longer possible to
    exclude an entire pattern / source file.  Thanks to James Cowgill
    for the report.  (Closes: #814856, LP: #1554979)
  * dh_installsystemd: Permit missing explicitly requested file in
    package as long as another on being acted on ships it.
  * dh_installsystemd: Optimize the search for files installed in the
    tmpfiles.d directories to only look in the tmpfiles.d directories.
  * Add experimental support for building some packages for "TARGET"
    rather than "HOST" via the X-DH-Build-For-Type field.  The field
    is subject to removal and changes without notice.  The field is
    not considered by dpkg tooling and therefore you will still have
    to manually work around tools like dpkg-gencontrol (even when
    called via dh_gencontrol).
  * dh_makeshlibs: Ignore non-ELF files even if they are named ".so".
    (Closes: #880480)
  * Dh_Lib: Improve the performance of isnative by using
    Dpkg::Changelog::Parse instead of calling dpkg-parsechangelog as
    an external process.  This improves the performance of
    dh_installchangelogs by ~10%.

  [ Felipe Sateler ]
  * dh_installsystemd: Fix a bug where dh_installsystemd would generate
    invalid maintscript, when there were no units to start or enable.
    Thanks to Ben Hutchings and Bastian Blank for the bug report.
    (Closes: #881190)

 -- Niels Thykier <niels@thykier.net>  Sat, 11 Nov 2017 11:18:11 +0000

debhelper (10.10.5~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Dh_Lib: Disable R³ support as we need dpkg{,-dev} (>= 1.19.0.4)
    for that.
  * d/control: Remove the R³ field; debhelper in backports cannot
    be built without (fake)root.
  * d/control: Reset versioned (Build-)Depends on dpkg and dpkg-dev
    due to the above.

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Nov 2017 19:34:20 +0000

debhelper (10.10.5) unstable; urgency=medium

  * meson.pm: Add missing import of generated_file that broke
    cross building.
  * Dh_Lib: Fix regression where an empty line before the source
    paragraph in d/control would cause parse error.
    (Closes: #879762)

 -- Niels Thykier <niels@thykier.net>  Thu, 26 Oct 2017 19:10:51 +0000

debhelper (10.10.4) unstable; urgency=medium

  * meson.pm: Keep the meson cross file until dh_clean is
    called as otherwise ninja tries and fails to regenerate the
    build rules.  Thanks to Helmut Grohne for reporting the
    bug.  (Closes: #879658)
  * dh_dwz: Add new experimental tool to run dwz(1) to deduplicate
    ELF debugging symbols.  It should be generally be run before
    dh_strip (as dh_strip compresses the debug symbols and dwz
    expects uncompressed debug symbols).  (Closes: #878888)
  * dwz.pm: New sequence to add dh_dwz to the sequence.
  * d/control: Add a Suggets on dwz for the optional dh_dwz tool.
  * Dh_Lib.pm: Fix regression where the source section would not
    be parsed leading to dbgsym packages possibly getting an
    incorrect value in the Section field.  Thanks to Mihai
    Moldovan for reporting the issue.  (Closes: #879667)

 -- Niels Thykier <niels@thykier.net>  Wed, 25 Oct 2017 06:00:13 +0000

debhelper (10.10.3) unstable; urgency=medium

  * dh_strip: Skip the entire directory when an exclude rule
    parameter matches it.
  * dh_fixperms: Improve the documentation to assume less familarity
    with "Rules-Requires-Root" (R³).
  * dh_usrlocal: Ditto.
  * dh_builddeb: Ditto.
  * dh_usrlocal: Correct the group name when creating directories
    owned by "root:staff".  Thanks to Paul Gevers for reporting
    the bug.  (Closes: #879643)
  * dh_usrlocal: Fix inverted boolean logic that made dh_usrlocal
    ignore ownership of directories when it should have preserved
    them.

 -- Niels Thykier <niels@thykier.net>  Mon, 23 Oct 2017 21:24:08 +0000

debhelper (10.10.2) unstable; urgency=medium

  * Dh_Lib: Fix uninitialized warning in find_hardlinks that
    broke dh_compress's ability to deal with hardlinks.  Thanks
    to Ondřej Surý for finding the bug.

 -- Niels Thykier <niels@thykier.net>  Sun, 22 Oct 2017 21:21:58 +0000

debhelper (10.10.1) unstable; urgency=medium

  * debhelper.pod: Document that all tools by default must be run
    in the root of an unpacked source.
  * dh: Clarify that --list can be run anywhere.
  * dh_testroot: Temporarily cope with being run outside a source
    root.  (Closes: #879478)
  * dh_testroot: Update manpage to mention its new scope.
  * d/control: Bump (build-)dependency on dpkg to 1.19.0.3~.  That
    was technically necessary already in the previous upload.

 -- Niels Thykier <niels@thykier.net>  Sun, 22 Oct 2017 09:00:12 +0000

debhelper (10.10) unstable; urgency=medium

  * dh_installsystemd: Improve error messages to include the actual
    error caused by attempted to open the file.
  * dh_systemd_enable: Ditto.
  * dh_systemd_start: Ditto.
  * dh_installinit: In compat 12, error out if an upstart init file
    is provided with a reminder message about how to remove the
    obsolete conffile.  (Closes: #876453)
  * dh_systemd_enable: Permit missing explicitly requested file in
    package as long as another on being acted on ships it.
    (Closes: #878911)
  * dh_systemd_start: Ditto.
  * Dh_Lib.pm: Add support for R³ (Rules-Requires-Root field) to
    enable package builds without requiring root (or only
    selectively require root).
  * dh_fixperms: Skip "chown" calls when R³ is set to anything but
    "binary-targets".
  * dh_installchangelogs: Ditto.
  * dh_installdocs: Ditto.
  * dh_testroot: Update check for root to support R³.
  * makefile.pm: Call "make install" with DPKG_GAIN_ROOT_CMD when
    R³ contains the "debhelper/upstream-make-install" keyword.
  * dh_builddeb: Pass --root-owner-group to dpkg-deb in packages
    with R³ (except for "binary-targets").
  * dh_usrlocal: When R³ is enabled (and not "binary-targets"),
    ignore the ownership/mode information on the directories.
    Instead, the ownership "root:staff" and the mode 02775 is used.
  * d/control: Bump (Build-)Dependency on dpkg-dev to support to
    support R³.
  * d/control: Set R³ to "no".

 -- Niels Thykier <niels@thykier.net>  Sat, 21 Oct 2017 17:59:46 +0000

debhelper (10.9.2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Niels Thykier <niels@thykier.net>  Thu, 19 Oct 2017 05:25:11 +0000

debhelper (10.9.2) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_install: Defer the removal of --list-missing and
    --fail-missing until compat 12.
  * dh: Run the new dh_installsystemd helper by default in compat 11.
  * systemd.pm: Remove the sequence in compat 11.  It has been replaced
    by the new dh_installsystemd helper.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * qmake.pm: Remove unnecessary "-nocache" parameter.
    (Closes: #878427, LP: #1206234)

  [ Ville Skyttä ]
  * Fix a number of spelling mistakes.  (Closes: #878325)

  [ Felipe Sateler ]
  * dh_installsystemd: New command (currently noop except when used in
    the experimental compat 11).  This new helper:
    - Generates postinst code for tmpfiles (now that dh_installinit
      does not).
    - Follows the naming convention for other built-in dh_* commands.
    - Replaces dh_systemd_enable and dh_systemd_start in compat 11
      and later.
    - Only acts on units with the name specified by "--name" when this
      option is given.
    (Closes: #752521, #857306, #870768, #876486)
  * dh_systemd_enable: Remove as obsolete in compat 11.
  * dh_systemd_start: Ditto.

  [ Helmut Grohne ]
  * cmake.pm: Also supply PKGCONFIG_EXECUTABLE for obsolete
    UsePkgConfig.cmake.  (Closes: #878460)

 -- Niels Thykier <niels@thykier.net>  Sat, 14 Oct 2017 07:19:38 +0000

debhelper (10.9.1) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_builddeb: Add some missing error checks.
  * Dh_Lib.pm: Fix bug where debhelper could discard some error
    messages during parsing when -O options were passed via
    DH_OPTIONS (among other).  Thanks to Adrian Bunk and
    Andrew Shadura for reporting the issue.  (Closes: #876689)
  * Dh_Getopt.pm: Gracefully reduce the tool to a no-op when given
    a -p<pkg> and <pkg> is disabled by a Build-Profile.
  * debhelper.7: Document how package selections interact with
    Build-Profiles.  Thanks to Helmut Grohne for the report.
    (Closes: #872745)
  * dh_installdocs: Validate that the package passed to
    --doc-main-package are listed in debian/control.
  * dh_installexamples: Ditto.
  * dh_systemd_start: Regex escape two paths used in a regex.
  * Dh_Lib: Open compat 12.
  * dh_clean: Defer making -k an error until compat 12.
  * Dh_Getopt: Defer making -s an error until compat 12.
  * dh_installinit: Defer making --no-restart-on-upgrade an error
    until compat 12.
  * Dh_Lib: Defer making the "shell-spawning bug" in doit an error
    until compat 12.
  * dh_systemd_enable: Fix regression in debhelper/10.9 where
    template units would be installed as regular units (and
    possibly replace regular units).  (Closes: #877989)
  * dh_systemd_enable: Drop versioned dependency on
    init-system-helpers that is satisfied in oldstable.
  * Dh_Lib: Fix regression where --no-act would actually create
    maintscript snippets.
  * dh_systemd_*: If an unit file cannot be read (e.g. to check for
    the [Install] section), error out instead of emitting a warning
    and continuing.
  * t: Add tests for dh_systemd_* based on WIP tests from Felipe
    Sateler related to a new dh_installsystemd helper.
  * dh_systemd_enable: Properly quote unit names to preserve
    escaped names like "\x2d".  Thanks to Bernd Zeimetz for
    reporting the issue.  (Closes: #764730)
  * dh_systemd_start: Ditto.
  * meson.pm: Add prototype support for cross building by relying
    on /usr/share/meson/debcrossgen.  Note that this is currently
    not functional due to #875703.
  * debian/control: Bump Standards-Versions to 4.1.1 - No changes
    required.

  [ Dmitry Shachnev ]
  * qmake.pm: Add basic cross-building support.  (Closes: #877357)

 -- Niels Thykier <niels@thykier.net>  Tue, 10 Oct 2017 19:01:00 +0000

debhelper (10.9) unstable; urgency=medium

  [ Niels Thykier ]
  * debhelper.pod: Fix typo.
  * dh_fixperms: Reset permissions of .scss and .sass files to
    0644.  Thanks to Jonas Smedegaard for the suggestion.
    (Closes: #875586)
  * dh_shlibdeps: Disable unused file(1) tests.
  * dh_strip: In compat 11, rely on file headers/magic to
    determine whether files are ELF binaries worth processing
    instead of using filenames/extensions.  (Closes: #35733)
  * dh_shlibdeps: Ditto.
  * d/control: Bump Standards-Versions to 4.1.0:
    - Bump priority of dh-systemd to "optional".
  * dh_makeshlibs: Avoid gratious warning about a non-existing
    directory, when the packaging directory does not exist.
    (Closes: #626685)
  * dh_gencontrol: Ensure that dbgsym packages do not inherit the
    "Important" field.
  * dh_installinfo: Merge two chmod calls into one to save a
    fork+exec.
  * dh_builddeb: Use -z6 compression for udebs (up from -z1).
    Thanks to Adrian Bunk for the suggestion and Aurelien Jarno
    for confirming it would be fine for d-i.  (Closes: #870201)
  * dh_fixperms: Set the permissions of /usr/lib/nodejs/*/{cli,bin}.js
    to 0755.  Thanks to Pirate Praveen for the report.
    (Closes: #840913)
  * Dh_lib.pm: Expand *_doit and doit to also support a chdir in the
    child process.
  * Dh_Getopt.pm: Validate package names passed via -p and -N to ensure
    they are present in d/control.  Thanks to Matthias Klose for the
    report.  (Closes: #795432)
  * debhelper.7: Fix typo of compatibility.

  [ Felipe Sateler ]
  * dh_systemd_enable: Refactor and add support for timer units.
    (Closes: #841746)

 -- Niels Thykier <niels@thykier.net>  Tue, 19 Sep 2017 18:49:57 +0000

debhelper (10.8~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Niels Thykier <niels@thykier.net>  Sun, 17 Sep 2017 13:42:44 +0000

debhelper (10.8) unstable; urgency=medium

  [ Niels Thykier ]
  * Dh_Lib: Introduce a qx_cmd sub to behave like a mix of qx
    and doit (i.e. avoid the shell while capturing stdout).
  * dh_makeshlibs: Avoid forking a shell when calling objdump in
    compat 11.
  * dh_shlibdeps: Avoid forking a shell when calling file.
  * dh_shlibdeps: Avoid passing files with "newline" to
    subprocesses.
  * dh_installdocs: Ignore missing files in compat 11 for packages
    that are not processed (e.g. arch:all packages during a -B build).
    Thanks to Jens Reyer for reporting the issue.  (Closes: #870892)
  * dh_installexamples: Ditto.
  * dh_installinfo: Ditto.
  * dh_installman: Ditto.
  * dh_compress: Avoid forking a shell for a find command.
  * dh_gconf: Ditto.
  * dh_installgsettings: Ditto.
  * dh_perl: Avoid forking a shell for a dpkg call.
  * dh_gencontrol: Set the priority of all dbgsym packages to
    optional to be compliant with Standards-Version 4.0.1.
    Thanks to Mattia Rizzolo for the report.  (Closes: #870905)
  * dh_installdocs: Accept "nodoc" via DEB_BUILD_OPTIONS as well.
    Thanks to Sébastien Villemot for the suggestion.
    (Closes: #866619)
  * dh_installexamples: Ditto.
  * dh_installinfo: Ditto.
  * dh_installman: Ditto.
  * dh_installwm: Ditto.
  * debhelper.pod: Tweak text for some compat 11 changes.
  * dh_installdeb: Stop emitting versioned Pre-Depends on dpkg for
    symlink_to_dir and dir_to_symlink maintscripts.  The version
    requirements are satisfied in oldoldstable.
  * dh_installdocs: Merge two chmod calls to save a fork+exec.
  * dh_strip: Disable parallelism when --dbg-package is used as it
    causes non-deterministic failures in some cases.  Thanks to
    Helmut Grohne for reporting the issue.  (Closes: #872007)
  * dh_installdocs: Auto-detect "main package" for documentation
    packages in compat 11 to assist with Debian policy §12.3.  This
    auto-detection can be overruled with the new --doc-main-package.
    (Closes: #824221)
  * dh_installexamples: Ditto.
  * dh_update_autotools_config: Improve detection to also catch very
    old versions of config.{guess,sub} that do not have the
    "timestamp" variable.  Thanks to Guillem Jover for reporting the
    bug.  (Closes: #872510)

  [ Adam Conrad ]
  * dh_gencontrol: Change the synopsis of dbgsym packages so it
    follows best practises.  (Closes: #872274)

  [ Geoffrey Thomas ]
  * Support building debhelper on case-insensitive filesystems by
    moving the Debian (perl package) to the lib subdirectory.
    (Closes: #873043)

 -- Niels Thykier <niels@thykier.net>  Sat, 09 Sep 2017 15:07:38 +0000

debhelper (10.7.2~bpo9+1) stretch-backports; urgency=medium

  * Non-maintainer upload on behalf of maintainer:
    Rebuild for stretch-backports (Closes: #873633).

 -- W. Martin Borgert <debacle@debian.org>  Wed, 30 Aug 2017 20:12:47 +0000
 
debhelper (10.7.2) unstable; urgency=medium

  * Dh_Lib: Fix inverted boolean logic that causes a
    compatibility rule to be ignored.  Thanks to Adrian Bunk,
    Andreas Beckmann, Markus Koschany and Emmanuel Bourg for
    reporting and analysing the issue.  (Closes: #870339)

 -- Niels Thykier <niels@thykier.net>  Tue, 01 Aug 2017 16:51:58 +0000

debhelper (10.7.1) unstable; urgency=medium

  * Dh_Lib: Fix doit's new call to ensure it does not call a shell
    (like the documentation promises).
  * dh: Ensure that we do not fork a shell for running a simple
    command.
  * autoconf: Revert expansion of ${var} variables passed to
    configure as several packages implicitly assume that are not
    expanded.  E.g. liblockfile relies on ${prefix} being
    unexpanded for DESTDIR to work.  Reopens: #813266

 -- Niels Thykier <niels@thykier.net>  Mon, 31 Jul 2017 19:00:45 +0000

debhelper (10.7) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_usrlocal: Fix call to doit to avoid making it fork a shell.
  * autoconf.pm: Ditto.
  * cmake.pm: Ditto.
  * meson.pm: Ditto.
  * dh_installmodules: Ensure maintscripts are reproducible even with
    multiple kernel versions detected.
  * Apply patches from gregor herrmann to improve autopkgtests.
  * Dh_Lib: Introduce a print_and_complex_doit.
  * Buildsystem: Introduce a complex_doit_in_builddir, which is needed
    by gradle-debian-helper.
  * Dh_Lib: Fix bug in doit + doit_* that made them fork a shell in
    some cases.  For backwards compatibility, there is detection code
    that should make it warn for this case and retain bug-compatibility.
    This can cause a weird "Please specify the compatibility level in
    debian/compat" error if the tools have chdir to a different directory.
  * Dh_Lib: Support an optional hashref in doit + doit_* to enable some
    trivial operations in the child process (e.g. redirect stdout).
  * dh_installman: Avoid forking a shell where a simple subprocess call
    is sufficient.
  * Dh_Lib: Avoid forking 2 to 7 subprocesses for adding an autosnippet
    when helper tools use a subroutine rather then a sed snippet.
  * Dh_Lib: Extend autoscript to accept a hashref and use that for
    substituting into the snippet.  This variant (like the subroutine
    variant) avoids forking a lot of subprocesses and need not worry
    about a shell possibly interpreting metacharacters.
  * dh_installman: Pass "-l" to man when recoding the manpages.
  * dh_icons: Use hashref based autoscripts generation.
  * dh_installcatalogs: Ditto.
  * dh_installemacsen: Ditto.
  * dh_installmenu: Ditto.
  * dh_installmodules: Ditto.
  * dh_installwm: Ditto.
  * dh_installxfonts: Ditto.
  * dh_systemd_enable: Ditto.
  * dh_systemd_start: Ditto.
  * Dh_Lib: Reduce the use of shell and external commands for
    generating the final maintscripts.
  * Dh_Lib: Make getpackages without any arguments return all
    packages as the documentation promises it should.  Previously,
    it would hide packages not built (e.g. due to Build-Profiles).
  * Dh_Lib: Provide a better error message when getpackages() is called
    by a helper in the wrong directory.  Unfortunately, dh cannot rely
    on dh_testdir to do this as dh_testdir is called too late.
  * dh: optimize out the call to dh_testdir.  It is useless for
    printing a helpful error message when called by dh.
  * dh_installdocs: Apply patch from Sven Joachim to revert an
    incorrect regression "fix".  Thanks to Adrian Bunk for
    reporting the issue.  (Closes: #868649)
  * dh_installexamples: Ditto.
  * dh_installinfo: Ditto.
  * dh_installman: Ditto.
  * dh_gencontrol: Rewrite code that ensures that misc:Depends and
    misc:Pre-Depends are present to avoid relying external processes
    for this.
  * dh_builddeb: Let dpkg-deb choose the default compression level for
    dbgsym packages instead of using xz -1e.  The current default (xz -6)
    is likely to be a better default value for dbgsym packages.  Thanks to
    Adrian Bunk for the suggestion.  (Closes: #868674)
  * cmake.pm: Pass -DCMAKE_INSTALL_RUNSTATEDIR=/run to cmake in compat 11.
    Thanks to Felix Geyer for the suggestion.  (Closes: #869697)
  * cmake.pm: Avoid using the user specific cmake package registry.  Thanks
    to Christian Seiler and Felix Geyer.  (Closes: #868584)

  [ Colin Watson ]
  * Quote assignment to $recommended_compat in case it isn't a valid Perl
    version string (e.g. for Debian derivatives).  Fix typos that caused it
    not to be used correctly.  Use the /g flag so that all instances of the
    substitution variable are handled.  (Closes: #869780)

  [ Isaac Jurado ]
  * Make the autoconf buildsystem expand "${var}" values send to configure
    (e.g. pass --mandir=/usr/share/man instead of --mandir=${prefix}/share/man).
    (Closes: #813266)

 -- Niels Thykier <niels@thykier.net>  Sat, 29 Jul 2017 18:00:24 +0000

debhelper (10.6.4) unstable; urgency=medium

  * dh_installmenu: Revert "Stop installing menu files in compat 11
    (menu-methods are still installed)".
  * dh: Revert "--without=build-stamp by default in compat 11".  Keep
    the compat 10 behaviour while enable packages to opt-in by
    explicitly passing --without=build-stamp themselves.
  * dh_installman: Apply patch from Sven Joachim to fix regression,
    where dh_installman would fail to remove the compressed manpage.
    With hardlinks involved, this could make dh_compress fail later.
    (Closes: #867846)
  * Dh_lib.pm: Rewrite reset_perm_and_owner to it does chmod + chown
    using perl built-ins rather than forking+exec.
  * dh_compress: Apply patch from Sven Joachim to make dh_compress
    gracefully handle hardlinks, where the target files already
    exists.  (Closes: #867881)
  * dh_install: Re-instate bug compatibility with debhelper (<< 10.6)
    where (some) path arguments where split on space as if it had
    been parsed in the config file.  (Closes: #867866)
  * dh_installdocs: Ditto.
  * dh_installexamples: Ditto.
  * dh_installinfo: Ditto.
  * dh_installman: Ditto.
  * Dh_Lib.pm: Fix a regression in handling of dangling symlinks for
    native file copying that caused dh_installdocs to no longer replace
    dangling symlinks with real files.  Thanks to Stéphane Glondu
    for the report.  (Closes: #868204)
  * dh_install: Silently disable bulk optimization when two source paths
    have the same destination.  Thanks to Gianfranco Costamagna for
    reporting the regression.  (Closes: #868169)
  * d/control: Set Testsuite to autopkgtest-pkg-perl to enable
    autopkgtests.

 -- Niels Thykier <niels@thykier.net>  Fri, 14 Jul 2017 17:49:46 +0000

debhelper (10.6.3) unstable; urgency=medium

  * Makefile: Use "dpkg-parsechangelog -S" rather than
    "dpkg-parsechangelog | grep".
  * debhelper.pod: Use substitution to ensure examples always use the
    recommended compatibility level.
  * Dh_Lib.pm: Embed tool versions into autoscripts so lintian can
    extract and display them.  Tools that want to rely on this
    feature should set "$main::VERSION" to the version of the tool.
  * dh_install: Rewrite and re-enable optimization so it
    deterministically and gracefully handles cases like #866405.
  * dh: Support new "pkgfile-logged" hint, which can be used by
    helpers that log what files they install.  It enables dh to
    see that it may need to run a helper that would install no
    files, but log what it would have done to avoid making
    dh_missing complain.  Thanks to Michael Stapelberg for
    reporting the issue and testing the fix.  (Closes: #867246)
  * PROGRAMMING: Document how to write "logging" helpers that work
    with dh_missing.

 -- Niels Thykier <niels@thykier.net>  Sun, 09 Jul 2017 08:24:34 +0000

debhelper (10.6.2) unstable; urgency=medium

  * Refactor test suite and support running tests in parallel.
  * Add a test case for #866570.
  * dh_compress: Apply patch from Sven Joachim to fix a
    regression in 10.5.1.  (Closes: #866713)
  * dh_installman: Fix regression introduced in 10.5.1 that
    caused a "file not found" error when using -P with an
    absolute argument.  Thanks to Adrian Bunk for reporting
    it over IRC.

 -- Niels Thykier <niels@thykier.net>  Wed, 05 Jul 2017 08:40:00 +0000

debhelper (10.6.1) unstable; urgency=medium

  * Makefile: Enable running some tasks in parallel to better
    utilize multiple cores.
  * Dh_Lib: Revert a change that caused dh_install (and other
    tools) to take filenames as absolute if they started with
    a leading slash.  Thanks to Sven Joachim for the prompt
    discovery and notification.  (Closes: #866570)
  * dh_install: Make optimization conditional on compat 11
    for now.  (Closes: #866405)

 -- Niels Thykier <niels@thykier.net>  Fri, 30 Jun 2017 06:50:10 +0000

debhelper (10.6) unstable; urgency=medium

  * dh_installinfo: Use "xargs" so it works even if there are
    "a lot" of info files.
  * Dh_Lib: Introduce a is_build_profile_active function, which
    can be used to check if a given Build-Profile was specified.
  * dh_installdocs: Ignore given documentation files when the
    "nodoc" build profile is specified in DEB_BUILD_PROFILES.
    Note that dh_installdocs is not a complete noop in this case
    as it still ensures the package has a copyright file (or a
    symlinked doc directory).  (Closes: #865869)
  * dh_installman: Fix regression in compat 5 that could make it
    ignore one manpage per invocation.
  * dh_installdocs: Warn if a pattern in the config file matches
    nothing.  In compat 11, this becomes a hard error.
  * dh_installexamples: Ditto.
  * dh_installinfo: Ditto.
  * dh_installman: Ditto.
  * dh_installexamples: Support missing documentation under the nodoc
    profile.
  * dh_installinfo: Ditto.
  * dh_installman: Ditto.
  * dh_installwm: Ditto.  (Closes: #865707)
  * dh_installdocs: Log installed files so dh_missing can see them.
  * dh_installexamples: Ditto.  (Closes: #863456)
  * dh_installinfo: Ditto.
  * dh_installdocs: In compat 11, automatically fall back to debian/tmp
    if the files are not found in ".".  Furthermore, accept the option
    --sourcedir with the same meaning as dh_install.
  * dh_installexamples: Ditto.
  * dh_installinfo: Ditto.
  * dh_installman: Ditto.
  * dh_installman: Fix bug in how it handled language auto-detection in
    compat 11.  Previously, it did not work as intended.
  * dh_installdocs: Revert change in compat 11, where it would install
    documentation into /usr/share/doc/mainpackage.  (Reopens: #824221)
  * Dh_Lib: Stop setting PERL_USE_UNSAFE_INC in compat 11.
  * perl_build.pm: Stop passing -I. to perl in compat 11.
  * perl_makemaker.pm: Ditto.

 -- Niels Thykier <niels@thykier.net>  Thu, 29 Jun 2017 17:15:00 +0000

debhelper (10.5.1) unstable; urgency=medium

  * Dh_Lib.pm: Fix rounding error when computing how many processes
    to use.  This rounding error could cause dh-tools to use one more
    process than permitted by DEB_BUILD_OPTIONS.
  * Dh_Lib.pm: Check return value of open+close when creating a log of
    installed files.
  * Dh_Lib.pm: Implement subroutines to facility file removal and
    symlink creation without a fork+exec.
  * Dh_Lib: Avoid a fork+exec for rm -f and ln -s.
  * dh_compress: Ditto.
  * dh_installman: Ditto.
  * dh_clean: Avoid a fork+exec for rm -f.
  * dh_installdeb: Ditto.
  * dh_makeshlibs: Ditto.
  * dh_md5sums: Ditto.
  * dh_installdocs: Avoid a fork+exec for ln -s.
  * dh_strip: Ditto.
  * Dh_Lib: Avoid 1-2 stat calls in make_symlink by reusing existing
    stat calls.
  * dh_installman: Avoid a fork+exec for renaming a path.
  * dh_installdocs: Avoid unnecssary stat call.
  * dh_installman: Ditto.
  * dh_strip: Ditto.
  * dh_shlibdeps: Fix a regression where non-detached debug symbol files
    where not properly processed.  Thanks to Sven Joachim for reporting
    the issue.  (Closes: #865982)
  * dh_installman: When re-encoding manpages, use the actual manpages as
    tasks to split rather than packages.  This provides a much better
    performance if the manpages are unevenly split between the packages.
  * dh_install: Optimize some patterns into bulked "cp" calls.  This
    optimization is only applicable in some cases (notably, it is always
    disabled by --exclude).
  * dh_builddeb: Account for dbgsym packages separately when determining
    how many tasks can be run in parallel.
  * dh_strip: Process packages in parallel.

 -- Niels Thykier <niels@thykier.net>  Mon, 26 Jun 2017 17:25:00 +0000

debhelper (10.5) unstable; urgency=medium

  * Upload to unstable.  (Closes: #865363)

  [ Niels Thykier ]
  * dh_installman: Remove unncessary "chown" call that made things a
    lot slower.  Thanks to Kurt Roeckx for reporting it.
  * dh_installman: Fix wrong permission of man pages (set 0755 instead
    of 0644).  Regression introduced in 10.2.2.
  * dh_installman: Batch chmod calls to reduce the overhead for
    packages with many manpages.
  * dh: Undo an unsafe optimisation that caused "-indep" and "-arch"
    override targets to be ignored.  Thanks to Gianfranco Costamagna
    for reporting it and Iain Lane for tracing it to the commit
    that introduced the issue.  (Closes: #863887)
  * dh_clean, dh_prep: Bulk delete most files and directories, which
    gives a noticeable speed up for source packages building many
    binary packages.
  * dh_shlibdeps: Avoid creating debian/<pkg>/DEBIAN directory if it
    is not needed.
  * Dh_Lib.pm: Fix typo in error message.
  * Dh_Lib.pm: Rewrite install_* to use File::Copy to avoid the
    overhead of a fork+exec per file.  For simplicity, the verbose
    output still claim debhelper uses "install -p -m <mode>" for this.
  * Dh_Lib.pm: Replace most of the fork+exec calls to mv for simple
    file renames.
  * Dh_Lib.pm: Add sub to make common dh_* tools do their thing in
    parallel with very little coding effort.  This parallel support
    accounts for DEB_BUILD_OPTIONS to set the upper limit.
  * dh_fixperms: Run package updates in parallel if DEB_BUILD_OPTIONS
    permits it.
  * dh_installchangelogs: Ditto.
  * dh_compress: Ditto.
  * dh_installman: Ditto.
  * dh_genchanges: Ditto.
  * dh_shlibdeps: Ditto.
  * dh_md5sums: Ditto.
  * dh_builddeb: Rewrite the hand-written parallel code to use the new
    simpler way of doing it.
  * dh_shlibdeps: Avoid calling file(1) on debug symbols.
  * SUPPORT-POLICY: Include new document that describes the current
    support policy of debhelper compat levels.
  * Dh_Lib.pm: Pass ":unix" layer when using the ":gzip" layer due to
    PerlIO-gzip bug RT#114557.
  * Dh_Lib.pm: Ignore empty dpkg-architecture variables.
    (Closes: #862844)
  * dh_installchangelogs: Avoid trying to install a directory by default
    as a changelog file.  Thanks to Markus Koschany for reporting the
    issue.  (Closes: #861852)
  * dh_installwm.1: Correct documentation to reflect the behaviour in
    compat 10.  Thanks to Robert Luberda for reporting the issue.
    (Closes: #865708)
  * dh_installcatalogs: Use explicit await triggers to avoid trigger
    a lintian warning.
  * dh_installman: In compat 11, attempt to detect the language of the
    manpage based on the directory (/man/<LANG>/manX/) before using the
    extension.  This is more reliably for packages using dh_installman
    to install manpages from the temporary install dir.
    (Closes: #761024)
  * dh_installcatalogs: Check the return code of close when generating
    a catalog for sgml-base.
  * Dh_Lib.pm: Emulate "install -d" with File::Path to avoid a fork+exec
    for creating directories.  For simplicity, the verbose output still
    claim debhelper uses "install -d" for this.
  * dh_auto_install: In compat 11, do not create package build
    directories (except if one of them happens to be the default
    "destdir" for dh_auto_install).

  [ Iain Lane ]
  * Dh_Lib: Re-add warning + exit 0 for the -i/-a shortcut that was
    added in 10.3.  (Closes: #863961)
  * dh_install: Pass --exclude/-X to dh_missing. (Closes: #863447)

  [ Michael Stapelberg ]
  * Dh_Getopt: Provide a more detailed error message when there are
    no buildable packages caused by architecture restrictions.
    (Closes: #858467)
  * Dh_Lib: Split package_arch($package) into three distinct functions.

 -- Niels Thykier <niels@thykier.net>  Sun, 25 Jun 2017 17:00:00 +0000

debhelper (10.4) experimental; urgency=medium

  * Team upload.

  [ Niels Thykier ]
  * meson.pm: Pass --wrap-mode=nodownload to meson (requires meson
    0.40-1 or later).
  * dh_install: Fix initialized warning when --sourcedir is absent
    on the cmd-line.
  * dh_missing: Accept --sourcedir (given it is passed by dh_install).
    (Closes: #862049)
  * Dh_Lib.pm: Fix a bug in pkgfile that caused dh to skip helpers
    that had configuration files.  Thanks to Michael Biebl for finding
    and reporting.  (Closes: #863387)

  [ Chris Lamb ]
  * dh_fixperms: Fix regression where dh_fixperms would fail to correct
    permissions because it used an invalid find expression.
    (Closes: #862003)

 -- Michael Biebl <biebl@debian.org>  Fri, 26 May 2017 22:08:37 +0200

debhelper (10.3) experimental; urgency=medium

  [ Helmut Grohne ]
  * Supply PKG_CONFIG for cross compilation with the makefile buildsystem.
    (Closes: #853881)
  * Disable stripping during dh_auto_* in makefile buildsystem in compat 11.
    (Closes: #844077)
  * Remove explicit "Multi-Arch: no" stanzas as they are auto-rejected.
    (Closes: #857028)

  [ Niels Thykier ]
  * Dh_Lib.pm: Make getpackages() produce the correct result independently
    of the order of the fields in a given paragraph of debian/control.
    (Closes: #847138)
  * dh_installman: Report installed manpages so the new dh_missing tool
    is informed about them.
  * dh_install: Deprecate --list-missing/--fail-missing in favor of the
    new dh_missing tool.  The options will be removed in compat 11.
  * dh: Run dh_missing by default (in no op mode).
  * dh_prep: Clean up generated files so they work like other temporary
    debhelper files.
  * dh_installinit: Clarify that it might make sense to skip dh_installinit
    for a package if it provides a systemd service but no sysvinit file.
    (Closes: #800043)
  * dh_installinit: Deprecate --no-restart-on-upgrade in favor of the new
    name --no-stop-on-upgrade, which does the same thing but is less
    likely to be confused with --no-restart-after-upgrade and is more
    descriptive of what it actually does.  Thanks to  Simon McVittie and
    Michael Biebl for the help.  (Closes: #837528)
  * debian/rules: Only apply the --no-parallel to dh_auto_test.  The rest
    of debhelper's build appears to work fine with --parallel.
  * dh_systemd_enable.1: Clarify that --no-enable does not control
    whether a service is started and that dh_systemd_start is the tool
    that does that.  (Closes: #770281)
  * autoconf.pm: Set --runstatedir to "/run" in compat 11.  Thanks to
    Michael Biebl for the suggestion.
  * dh_fixperms: Refactor to reduce the constant overhead a bit and
    extract some patterns into data list.  The latter hopefully reducing
    the need for tweaking dh_fixperms' logic.
  * dh_installdocs: Document that --link-doc has limitations on source and
    target package plus that compat 10 will reject unsupported
    combinations.
  * dh_gencontrol: Avoid adding Homepage fields to dbgsym packages.  Avoids
    non-overridable warnings from lintian when there is an issue in the
    homepage field of the original binary.  (Closes: #812248)
  * dh_strip: Fix a check that could cause dh_strip to generate dbgsym
    packages when it should not.
  * dh: Stop loading python-support in all compat levels as dh_pysupport
    has been removed in stretch.
  * python_support.pm: Remove the content with a deprecation warning as
    the module can no longer do anything.
  * dh_installman.1: Improve the manpage to clarify the scope of
    dh_installman and provide an examples.  (Closes: LP: #184156)
  * makefile.pm: Disable parallel installation if libtool is present to
    avoid a race-condition in automake when using libtool.
    (Closes: #861627)

  [ Steven Chamberlain ]
  * When cross-compiling for GNU/kFreeBSD host systems, set
    CMAKE_SYSTEM_NAME to the correct value "kFreeBSD", not "FreeBSD".
    (Closes: #856688)

  [ Felipe Sateler ]
  * dh_systemd_enable.1: Improve the wording of the documentation for
    the --no-enable option.  (Closes: #844602)

  [ Michael Biebl ]
  * Add support for meson + ninja build systems.  (Closes: #795253)

  [ Michael Stapelberg ]
  * dh_missing: New tool to handle --list-missing/--fail-missing.
    (Closes: #415396, #616070)
  * Dh_Lib.pm: Introduce a log_installed_files sub that can be used
    to inform dh_missing that a given file has been installed.

  [ Johannes Schauer ]
  * dh_link.1: Improve the documentation and use ln(1) as a reference
    to make it simpler for people, who are used to the terms from ln.
    (Closes: #860091)

 -- Niels Thykier <niels@thykier.net>  Sat, 06 May 2017 13:29:31 +0000

debhelper (10.2.5) unstable; urgency=medium

  [ Translations ]
  * Add Japanese translation (Hideki Yamane)  (Closes: #852520)

 -- Niels Thykier <niels@thykier.net>  Wed, 25 Jan 2017 20:47:27 +0000

debhelper (10.2.4) unstable; urgency=medium

  [ Niels Thykier ]
  * d/changelog: Add missing changelog entry in 10.2.3 for a
    compat 11 change.
  * dh: Show when the "create-stamp" "command" is being run.
  * dh: Fix a bug where dh would repeat part of the build sequence
    when an add-on modified the build sequence after "dh_auto_test".
    Thanks to Sean Whitton for reporting the issue.
    (Closes: #851071)

  [ Luca Boccassi ]
  * dh_systemd_enable: Correct installation for "mount" units.
    (Closes: #851744)

  [ Translations ]
  * Update Portuguese translation (Américo Monteiro)
    (Closes: #851207)
  * Update French translation (Baptiste Jammet)  (Closes: #852211)
  * Update German translation (Chris Leick)  (Closes: #851962)

 -- Niels Thykier <niels@thykier.net>  Mon, 23 Jan 2017 20:28:37 +0000

debhelper (10.2.3) unstable; urgency=medium

  [ Axel Beckert ]
  * Fix wrong German translation of dh_systemd_start man page. Thanks to
    Thorsten Alteholz for spotting the mistake! (Closes: #839655)

  [ Mattia Rizzolo ]
  * dh_auto_test: Apply patch from Mattia Rizzolo to update
    documentation about running tests during cross-building.

  [ Niels Thykier ]
  * Bump dependency on dh-strip-nondeterminism to ensure
    stable-backports uses a functional version.  Thanks to Christoph
    Biedl for the report. (Closes: #843813)
  * Massage md5sum output to avoid GNU-specific escaping extension
    while we wait for dpkg-gendigests for a more compatible tool.
    Thanks to Bernd Zeimetz for the report.  (Closes: #843163)
  * In compat 11, dh will now skip creating a stamp file unless the
    package explicitly requests it with "--with build-stamp".

  [ Felipe Sateler ]
  * dh_systemd_start: Fix a bug where --restart-after-upgrade with
    --no-start would still start the service.  (Closes: #805878)
  * dh_installinit: Leave the handling of debian/pkg.service and
    debian/pkg.tmpfiles to dh_systemd_*.  (Closes: #830208)

 -- Niels Thykier <niels@thykier.net>  Sat, 31 Dec 2016 21:27:54 +0000

debhelper (10.2.2) unstable; urgency=medium

  * Fix typo in changelog entry for release 10.2.  Thanks to
    Peter Pentchev for reporting it.
  * Deprecate all compat levels lower than 9.
  * dh: Discard override log files before running the override
    rather than after.
  * dh_compress,dh_fixperms: Remove references to long
    obsolete directories such as usr/info, usr/man and
    usr/X11*/man.
  * autoreconf.pm: Apply patch from Helmut Grohne to fix
    autoconf/cross regression from #836988.  The autoreconf
    build-system is now also used directly for "clean" and
    "build" (while still usin the "make" build-system for the
    heavy lifting).  (Closes: #839681)
  * dh_installdirs: In compat 11, avoid creating debian/<pkg>
    directories except when required to do so.  This fixes a
    corner case, where an arch:all build would behave
    differently than an arch:all+arch:any when dh_installdir is
    optimised out only for the arch:all build.
  * Dh_Lib.pm: Fix typo of positive.  Thanks to Matthias Klose
    for spotting it.

 -- Niels Thykier <niels@thykier.net>  Sat, 08 Oct 2016 10:16:23 +0000

debhelper (10.2.1) unstable; urgency=medium

  * d/rules: Add a ./run in front of dh_auto_install.  It is
    technically not needed, but it prevents lintian from assuming
    that we need to Build-Depend debhelper.

 -- Niels Thykier <niels@thykier.net>  Sun, 02 Oct 2016 06:51:49 +0000

debhelper (10.2) unstable; urgency=medium

  * Apply patch from Peter Pentchev to fix some typos.
  * Apply patch from Michael Biebl to undo a major
    regression where all of debhelpers functionality was
    missing (introduced in 10.1).  (Closes: #839557)
  * dh_installinit,dh_systemd_start: Introduce a new
    --no-stop-on-upgrade as an alternative to
    --no-restart-on-upgrade.  This new option should
    reduce the confusion of what it does.  Thanks to
    Michael Biebl for the suggestion.

 -- Niels Thykier <niels@thykier.net>  Sun, 02 Oct 2016 06:20:56 +0000

debhelper (10.1) unstable; urgency=medium

  * Apply patch from Michael Biebl to take over dh-systemd
    package to ease backporting to jessie-backports.
    (Closes: #837585)
  * Apply patch from Helmut Grohne and Julian Andres Klode
    to improve cross-building support in the cmake build
    system.  (Closes: #833789)
  * Make the makefile.pm buildsystem (but not subclasses thereof)
    pass the CC and CXX variables set to the host compilers when
    cross-building.  Thanks to Helmut Grohne for the idea and
    the initial patch.  (Closes: #836988)
  * dh_md5sums.1: Mention dpkg --verify as a consumer of the
    output file.  Thanks to Guillem Jover for reporting it.
  * debhelper-obsolete-compat.pod: Add a manpage for the
    upgrade checklist for all obsolete/removed compat levels.
    Thanks to Jakub Wilk for the suggestion.
  * Dh_Getopt,dh_*: Rename --onlyscripts to --only-scripts and
    --noscripts to --no-scripts for consistency with other
    options.  The old variants are accepted for compatibility.
    Thanks to Raphaël Hertzog for the suggestion.
    (Closes: #838446)
  * cmake.pm: If cmake fails, also dump CMakeFiles/CMakeOutput.log
    and CMakeFiles/CMakeError.log if they are present.  Thanks to
    Michael Banck for the suggestion.  (Closes: #839389)
  * d/copyright: Correct copyright and license of dh_systemd*
    tools.

 -- Niels Thykier <niels@thykier.net>  Sat, 01 Oct 2016 20:45:27 +0000

debhelper (10) unstable; urgency=medium

  [ Niels Thykier ]
  * Dh_Lib.pm: Support a new named "beta-tester" compat level.
    If you want to participate in beta testing of new compat
    levels, please review "man 7 debhelper" for more
    information.
  * Dh_Lib.pm: Fix bug in detection of existing auto-trigger.

  [ Axel Beckert ]
  * Apply patch by Jens Reyer to fix typo in dh_installdocs man page.
    (Closes: #836344)
  * Use uppercase "Debian" in package description when the project is
    meant. Fixes lintian warning capitalization-error-in-description.
  * Apply "wrap-and-sort -a"
  * Add a .mailmap file for making "git shortlog" work properly.

  [ Translations ]
  * Update German translation (Chris Leick) (Closes: #835593)
  * Update Portuguese translation (Américo Monteiro)
    (Closes: #835403)
  * Update French translation (Baptiste Jammet) (Closes: #836693)

 -- Niels Thykier <niels@thykier.net>  Sun, 11 Sep 2016 09:00:23 +0000

debhelper (9.20160814) unstable; urgency=medium

  * dh_installdocs: Apply patch from Sven Joachim to make
    --link-doc work again in compat 11 (See: #830309)
  * t: Apply patch from Sven Joachim to add some test cases
    to dh_installdocs's --link-doc behaviour.
    (Closes: #831465)
  * dh_installinit,dh_systemd_start: Apply patches from
    Peter Pentchev to make -R default in compat 10 (as
    documented, but not as implemented).
  * perl_{build,makemaker}.pm: Apply patch from Dominic
    Hargreaves to explicitly pass -I. to perl.  This is to
    assist with the fix for CVE-2016-1238.  (Closes: #832436)
  * dh_install: Clarify that "debian/not-installed" is not
    related to the --exclude parameter.
  * dh_install: Apply patch from Sven Joachim to support
    the "debian/tmp" prefix being optional in
    "debian/not-installed".  (Closes: #815506)
  * Dh_Lib.pm: Apply patch from Dominic Hargreaves to set
    PERL_USE_UNSAFE_INC to fix a further set of packages
    which fail to build with . removed from @INC.
    (Closes: #832436)
  * Dh_Buildsystems.pm: Enable auto-detection of the maven
    and gradle buildsystems (provided they are installed).
    Thanks to Emmanuel Bourg for the suggestion.
    (Closes: #801732)

 -- Niels Thykier <niels@thykier.net>  Sun, 14 Aug 2016 09:19:35 +0000

debhelper (9.20160709) unstable; urgency=medium

  * Explicitly Build-Depends on perl:any for pod2man instead
    of relying on it implicitly via libdpkg-perl.
  * dh_shlibdeps: Clarify that -L is also useful for packages
    using debian/shlibs.local for private libraries.
  * dh_installdocs: Apply patch from Sven Joachim to fix a
    regression with --link-doc and installing extra
    documentation.  (Closes: #830309)
  * Apply patches from Michael Biebl to merge dh_systemd_enable
    and dh_systemd_start from the dh-systemd package.
    (Closes: #822670)
  * dh: Enable the systemd helpers by default in compat 10 and
    later.

 -- Niels Thykier <niels@thykier.net>  Sat, 09 Jul 2016 09:53:02 +0000

debhelper (9.20160702) unstable; urgency=medium

  * Start on compat 11.
  * dh_installmenu: Stop installing menu files in compat 11
    (menu-methods are still installed).
  * dh_*: Deprecate -s in favor of -a.  The -s option is
    removed in compat 11.
  * dh_strip: Fix regression in 9.20160618, which caused
    issues when there were hardlinked ELF binaries in a
    package.  Thanks to Sven Joachim for the report, the
    analysis/testing and for providing a patch for the
    most common case.  (Closes: #829142)
  * Dh_Lib.pm: Cope with the parallel options in make 4.2.
    Thanks to Martin Dorey for the report.  (Closes: #827132)
  * dh_installdocs: In compat 11, install documentation into
    /usr/share/doc/mainpackage as requested by policy 3.9.7.
    Thanks to Sandro Knauß for the report.  (Closes: #824221)
  * dh_perl: Emit perl:any dependencies when a package only
    contains perl programs (but no modules of any kind).
    Thanks to Javier Serrano Polo and Niko Tyni for the
    report and feedback.  (Closes: #824696)

  [ Translations ]
  * Update German translation (Chris Leick + Eduard Bloch)
    (Closes: #827699)

 -- Niels Thykier <niels@thykier.net>  Sat, 02 Jul 2016 13:24:21 +0000

debhelper (9.20160618.1) unstable; urgency=medium

  * Dh_Lib.pm: Reject requests for compat 4 instead of
    silently accepting it (while all helpers no longer
    check for it).

 -- Niels Thykier <niels@thykier.net>  Sat, 18 Jun 2016 20:52:29 +0000

debhelper (9.20160618) unstable; urgency=medium

  * dh: Fix bug where "--help" or "--list" would not work
    unless "debian/compat" existed and had a supported
    compat level.  (Closes: #820508)
  * dh_compress: Gracefully handle debian (or any other
    path segment in the package "tmpdir") being a symlink
    pointing outside the same directory.  Thanks to
    Bernhard Miklautz for the report.  (Closes: #820711)
  * Dh_Lib.pm: Compat files are now mandatory.
  * dh_clean: Remove work around for missing compat file.
    This removes a confusing warning when the package is
    not built by CDBS.  (Closes: #811059)
  * debhelper.pod: Add a line stating that debian/compat
    is mandatory.  (Closes: #805405)
  * dh_strip: Apply patch from Peter Pentchev to only strip
    static libraries with a basename matching "lib.*\.a".
    (Closes: #820446)
  * ant.pm: Apply patch from Emmanuel Bourg to pass a
    normalised "user.name" parameter to ant.
    (Closes: #824490)
  * dh_installudev/dh_installmodules: Drop maintainer
    script snippets for migrating conffiles.
    - Side effect, avoids portability issue with certain
      shell implementations.  (Closes: #815158)
  * autoscripts/*inst-moveconffile: Remove unused files.
  * dh: Update documentation to reflect the current
    implementation.
  * Remove support for compat 4.
  * dh_strip: Add debuglinks to ELF binaries even with
    DEB_BUILD_OPTIONS=noautodbgsym to make the regular deb
    bit-for-bit reproducible with vs. without this flag.
    Thanks to Helmut Grohne for the report.
  * dh_installcatalogs: Apply patch from Helmut Grohne to
    explicitly trigger a new update-sgmlcatalog trigger,
    since dpkg does not triger conffiles on package removal.
    (Closes: #825005)
  * dh_installcatalos: Apply patch from Helmut Grohne to
    remove autoscript for a transition that completed in
    Wheezy.
  * dh_strip: Unconditionally pass --enable-deterministic-archives
    to strip for static libs as the stable version of binutils
    supports it.
  * dh_strip: Use file(1) to determine the build-id when
    available.  This saves an readelf call for every binary in
    the package.
  * dh_strip: Cache file(1) output to avoid calling file(1)
    twice on all ELF binaries in the package.
  * Dh_Lib.pm: Add better error messages when a debhelper program
    fails due to an executable config file not terminating with
    success.  (Closes: #818933)
  * dh_strip: Pass -e to file(1) to skip tests for file formats
    that dh_strip does not care about.
  * Bump standards-version to 3.9.8 - no changes required.

 -- Niels Thykier <niels@thykier.net>  Sat, 18 Jun 2016 14:41:05 +0000

debhelper (9.20160403) unstable; urgency=medium

  * d/control: Requre dh-autoreconf (>= 12) to ensure
    non-autotools can be built in compat 10.
  * dh: In a "PROMISE: DH NOOP" clause, make no assumptions
    about being able to skip "foo(bar)" if "foo" is not known.
  * debhelper.pod: Use DEB_HOST_ARCH instead of the incorrect
    "build architecture".  Thanks to Helmut Grohne for the
    report.
  * dh_makeshlibs: Use same regex for extracting SONAME as
    dpkg-shlibdeps.  (Closes: #509931)
  * dh_makeshlibs: Add an ldconfig trigger if there is an
    unversioned SONAME and the maintainer provides a
    symbols file.

 -- Niels Thykier <niels@thykier.net>  Sun, 03 Apr 2016 08:56:07 +0000

debhelper (9.20160402) unstable; urgency=medium

  * Remove dh_desktop.
  * dh_install: Fix a regression where a non-existing file
    was ignored if another file was matched for the same
    destination dir.  Thanks to Ben Hutchings for reporting
    the issue.  (Closes: #818834)
  * d/rules: Use overrides to disable unnecessary helpers
    (for which debhelper does not Build-Depend on the
    necessary packages to run the tools).
  * dh: Enable "autoreconf" sequence by default in compat
    10 (or higher).  (Closes: #480576)
  * d/control: Add a dependency on dh-autoreconf due to
    the above.
  * autoscripts/*-makeshlibs: Remove again.  Most of the
    reverse dependencies have migrated already.
  * Declare compat 10 ready for testing.

 -- Niels Thykier <niels@thykier.net>  Sat, 02 Apr 2016 19:20:17 +0000

debhelper (9.20160313) unstable; urgency=medium

  * Remove dh_undocumented.
  * dh_install: Attempt to improve the documentation of the
    config file "debian/not-installed".
  * dh_compress: Gracefully handle absolute paths passed via
    the -P option.  Thanks to Andreas Beckmann for reporting
    the issue.  (Closes: #818049)

 -- Niels Thykier <niels@thykier.net>  Sun, 13 Mar 2016 14:21:02 +0000

debhelper (9.20160306) unstable; urgency=medium

  [ Niels Thykier ]
  * Remove dh_suidregister and related autoscripts.  No package
    (that can be built in unstable) invokes this tool.
  * dh: Do not create stamp files when running with --no-act.
  * dh_strip/dh_gencontrol: Move "is_udeb" guard to dh_strip.
    This should avoid adding build-ids to udebs without having
    the actual debug symbols available.  Thanks to Jérémy Bobbio
    for reporting the issue.  (Closes: #812879)
  * dh_makeshlibs: Do not claim to be using maintainer scripts
    for invoking ldconfig.  Thanks to Eugene V. Lyubimkin for
    the report.  (Closes: #815401)
  * Remove dh_scrollkeeper.  It is no longer used in unstable.
  * autoconf.pm: Apply patch from Gergely Nagy to set "VERBOSE=1"
    when running tests to make sure that the build logs are
    dumped on error with automake.  (Closes: #798648, #744380)
  * dh_installdeb: In compat 10, properly shell escape lines
    from the maintscript config file.  This will *not* be fixed
    retroactively since people have begun to rely on the bug
    in previous versions (e.g. by quoting the file names).
    Thanks to Jakub Wilk for reporting the issue.
    (Closes: #803341)
  * dh_installdeb: In compat 10, avoid adding two comments per line
    in the maintscript file.  Thanks to Didier Raboud for
    reporting the bug.  (Closes: #615854)
  * cmake.pm: Apply patch from Helmut Grohne to correct the
    name of the default cross compilers.  (Closes: #812136)
  * dh_installdeb: Clarify what goes in the "maintscript" config
    files.  Thanks to Julian Andres Klode for the report.
    (Closes: #814761)
  * dh_compress: Correct and warn if given a path with a package
    tmp dir prefix (e.g. "debian/<pkg>/path/to/file").
  * dh_compress: Handle file resolution failures more gracefully.
    Thanks to Daniel Leidert for reporting this issue.
    (Closes: #802274)
  * dh_installinit: Make --restart-after-upgrade the default in
    compat 10.  Packages can undo this by using the new
    --no-restart-after-upgrade parameter.
  * d/control: Update Vcs links.
  * d/control: Bump Standards-Version to 3.9.7 - no changes
    required.
  * Import newer German translations from Chris Leick.
    (Closes: #812790)

  [ Joachim Breitner ]
  * addsubstvar: Pass -a to grep to handle substvars with unicode content
    gracefully (Closes: #815620)

 -- Niels Thykier <niels@thykier.net>  Sun, 06 Mar 2016 13:14:43 +0000

debhelper (9.20160115) unstable; urgency=medium

  * Fix brown paper bag bug that caused many packages to
    FTBFS when dh_update_autotools_config was called.
    (Closes: #811052)
  * Revert removal of autoscripts/*-makeshlibs.  Some packages
    injected them directly into their maintainer scripts.
    (Closes: #811038)

 -- Niels Thykier <niels@thykier.net>  Fri, 15 Jan 2016 20:28:37 +0000

debhelper (9.20160114) unstable; urgency=low

  [ Niels Thykier ]
  * Dh_Lib.pm: Pass "-S" to dpkg-parsechangelog when requesting
    the Version field.
  * Drop compat level 3.
  * dh_install: Only fallback to debian/tmp if the given glob
    does not start with debian/tmp.  This should make the
    output on failures less weird.
  * autoscripts/*-makeshlibs: Removed, no longer used.
  * dh: In compat 10, drop the manual sequence control arguments
    and the sequence log files.  (Closes: #510855)
  * dh_update_autotools_config: New helper to update config.sub
    and config.guess.
  * dh: Run dh_update_autotools_config before dh_auto_configure.
    (Closes: #733045)
  * d/control: Add dependency on autotools-dev for the new
    dh_update_autotools_config tool.
  * dh_installinit: Correct the "PROMISE NOOP" clause to account
    for /etc/tmpfiles.d and /usr/lib/tmpfiles.d.
  * dh_strip: Add "--(no-)automatic-dbgsym" and "--dbgsym-migration"
    options to replace "--(no-)ddebs" and "--ddeb-migration".
    (Closes: #810948)

  [ Dmitry Shachnev ]
  * dh_install: Fail because of missing files only after processing
    all file lists for all packages.  (Closes: #488346)

 -- Niels Thykier <niels@thykier.net>  Thu, 14 Jan 2016 22:01:03 +0000

debhelper (9.20151225) unstable; urgency=medium

  * dh_installmanpages: Fix call to getpackages.  Thanks to
    Niko Tyni for reporting the issue.  (Closes: #808603)
  * Dh_Lib.pm: Restore the behaviour of getpackages(), which
    is slightly different from getpackages('both').  Fixes
    a regression introduced in 9.20151220.

 -- Niels Thykier <niels@thykier.net>  Fri, 25 Dec 2015 14:39:18 +0000

debhelper (9.20151220) unstable; urgency=medium

  * dh_strip: Document that dbgsym packages are built by
    default.
  * Dh_Lib: Cache the results of getpackages.
  * dh_gencontrol: Create debug symbol packages with the same
    component as the original package.

 -- Niels Thykier <niels@thykier.net>  Sun, 20 Dec 2015 11:59:33 +0000

debhelper (9.20151219) unstable; urgency=medium

  * dh_installinit: Apply patch from Reiner Herrmann to sort
    temporary files put in postinst.  (Closes: #806392)
  * dh_installinit: Import change from Ubuntu to add /g
    modifier when substituting the auto-script snippets.
  * dh_*: Add /g when substituting the auto-script snippts in
    other commands as well.
  * dh_strip: Do not assume that ELF binaries have a Build-Id.
    Thanks to Helmut Grohne for spotting this issue.
    (Closes: #806814)
  * dh_strip: Enable generation of dbgsym packages by default.
    Thanks to Ansgar Burchardt and Paul Tagliamonte for
    implementing the DAK side of this feature.
    (Closes: #510772)

 -- Niels Thykier <niels@thykier.net>  Sat, 19 Dec 2015 22:01:53 +0000

debhelper (9.20151126) unstable; urgency=medium

  * dh_compress: Apply patch from Michael Biebl to skip
    compression of .devhelp2 files.  (Closes: #789153)
  * dh_installinit: Undo "Disable initscripts when a package is
    removed (but not yet purged)". (Reopens #749400,
    Closes: #806276)

 -- Niels Thykier <niels@thykier.net>  Thu, 26 Nov 2015 18:06:06 +0100

debhelper (9.20151117) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_clean: Temporarily interpret the absence of d/compat and
    DH_COMPAT to mean compat 5.  This is to avoid breaking
    packages that rely on cdbs to set debian/compat to 5 during
    the build.  This temporary work around will live until
    d/compat becomes mandatory.  (Closes: #805404)

  [ Translations ]
  * Update German translation (Chris Leick)
    (Closes: #802198)

 -- Niels Thykier <niels@thykier.net>  Tue, 17 Nov 2015 21:29:17 +0100

debhelper (9.20151116) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_strip: Sort build-ids to make the Build-Ids header
    reproducible.
  * Dh_Lib.pm: Respect --no-act in autotrigger, thanks to
    Andreas Henriksson and Helmut Grohne for reporting
    the issue.  (Closes: #800919)
  * Fix typos in various manpages.  Thanks to Chris Leick
    for reporting them.
  * dh_clean: Avoid cleaning up debian/.debhelper when
    passed the "-d" flag.
  * Dh_Lib.pm: Reject compat levels earlier than 3.
  * dh_clean: Support removal of directory (plus contents)
    when they are marked with a trailing slash.
    (Closes: #511048)
  * dh_install,dh_installdocs,dh_installexamples: Apply
    patches from Niko Tyni to make timestamp of directories
    created from "find"-pipelines reproducible.
    (Closes: #802005)
  * dh_installinit: The postinst snippets are now only run
    during "configure" or "abort-upgrade".
    (Closes: #188028)
  * cmake.pm: Apply patch from Jonathan Hall to fix an
    accidental error hiding.  (Closes: #802984)
  * qmake.pm: Apply patch from Sergio Durigan Junior to
    create the build dir if it doesn't exist.
    (Closes: #800738)
  * dh_installinit: Disable initscripts when a package is
    removed (but not yet purged).  (Closes: #749400)
  * Dh_Lib.pm: Reject debian/compat files where the first
    line is not entirely a positive number.

  [ Translations ]
  * Update German translation (Chris Leick)
    (Closes: #802198)
  * Update Portuguese translation (Américo Monteiro)
    (Closes: #804631)
  * Updated french translation (Baptiste Jammet)
    (Closes: #805218)

 -- Niels Thykier <niels@thykier.net>  Mon, 16 Nov 2015 21:05:53 +0100

debhelper (9.20151005) unstable; urgency=medium

  * dh_strip: Sort build-ids to make the Build-Ids header
    reproducible.
  * Dh_Lib.pm: Respect --no-act in autotrigger, thanks to
    Andreas Henriksson and Helmut Grohne for reporting
    the issue.  (Closes: #800919)

 -- Niels Thykier <niels@thykier.net>  Mon, 05 Oct 2015 08:33:26 +0200

debhelper (9.20151004) unstable; urgency=medium

  [ Niels Thykier ]
  * dh/dh_auto_*: Apply patch from Eduard Sanou to define
    SOURCE_DATE_EPOCH.  (Closes: #791823)
  * cmake.pm: Add better cross-compile support for cmake.
    Heavily based on a patch from Helmut Grohne.
    (Closes: #794396)
  * cmake.pm: Pass -DCMAKE_INSTALL_SYSCONFDIR=/etc and
    -DCMAKE_INSTALL_LOCALSTATEDIR=/var to cmake.  Thanks to
    Felix Geyer, Lisandro Damián Nicanor Pérez Meyer and
    Michael Terry for the assistance plus suggestions.
    (Closes: #719148)
  * dh_installinit: Quote directory name before using it in
    a regex.
  * dh_installinit: Create script snippts for tmpfiles.d
    files even if the package has no sysvinit script or
    explicit debian/<package>.service file.
    (Closes: #795519)
  * dh_makeshlibs: Revert passing -X to ldconfig in compat 10
    after talking with the glibc maintainer.  This is not the
    right place to make this change.
  * d/control: Remove the homepage field.
  * dh: Make dh_strip_nondeterminism optional, so debhelper
    does not need to build-depend on it.
  * dh_gencontrol/dh_builddeb: Temporarily stop building ddebs
    for udebs as dpkg-gencontrol and dpkg-deb does not agree
    the default file extension for these.
  * dh_builddeb: Generate udebs with the correct filename even
    when "-V" is passed to dpkg-gencontrol.  This relies on
    dpkg-deb getting everything but the extension correct
    (see #575059, #452273 for why it does not produce the
     correct extension).
    (Closes: #516721, #677353, #672282)
  * Dh_Lib.pm: Drop now unused "udeb_filename" subroutine.
  * dh_strip.1: Correct the documentation about ddebs to
    reflect the current implementation (rather than the
    desired "state").  Thanks to Jakub Wilk for the report.
    (Closes: #797002)
  * dh_fixperms: Reset permissions to 0644 for .js, .css,
    .jpeg, .jpg, .png, and .gif files.  Thanks to Ernesto
    Hernández-Novich for the suggestion.  (Closes: #595097)
  * dh_install: Read debian/not-installed if present as a
    list of files that are deliberately not installed.
    Files listed here will not cause dh_install to complain
    with --list-missing.  Thanks to Peter Eisentraut for the
    suggestion.  (Closes: #436240)
  * Dh_Lib: Cherry-pick patch from Chris Lamb to only read
    the latest changelog entry when determining the
    SOURCE_DATE_EPOCH.
  * debhelper.7: Provide a better example of how to insert
    the debhelper maintainer script snippets into a maintainer
    script written in Perl.  Thanks to Jakub Wilk for
    reporting the issues.  (Closes: #797904)
  * dh_shlibdeps: The "-L" option can now be passed multiple
    times with different package names.  Thanks to Tristan
    Schmelcher for the suggestion.  (Closes: #776103)
  * dh,Buildsytems: In compat 10, default to --parallel.
  * dh,Buildsytems: Accept "--no-parallel" to disable
    parallel builds.  It is effectively the same as using
    --max-parallel=1 but may be more intuitive to some people.
  * dh_makeshlibs: Use a noawait trigger to invoke ldconfig
    rather maintscripts.
  * dh_installdirs.1: Add a note that many packages will work
    fine without calling dh_installdirs.  (Closes: #748993)
  * dh_compress: Apply patch from Rafael Kitover to support
    passing files to dh_compress that would have been
    compressed anyway.  (Closes: #794898)
  * Dh_Lib: Apply patch from Gergely Nagy to make debhelper
    export "DH_CONFIG_ACT_ON_PACKAGES" when executing an
    executable debhelper config file.  This is intended to
    assist dh-exec (etc.) in figuring what packages are
    acted on.  (Closes: #698054)
  * dh_movefiles: Expand globs in arguments passed in all
    compat levels (and not just compat 1 and 2).
    (Closes: #800332)
  * dh_installinit: Clearly document that --onlyscripts
    should generally be used with -p (or similar) to limit
    the number of affected packages.  (Closes: #795193)

  [ Paul Tagliamonte ]
  * dh_gencontrol: Put debug debs back in the "debug" section.
  * dh_strip/dh_gencontrol: Add a space separated list of
    build-ids in the control file of packages containing
    deattached debug symbols.

  [ Andrew Ayer ]
  * d/control: Depend on dh-strip-nondeterminism
  * dh: Call dh_strip_nondeterminism during build.
    (Closes: #759895)

  [ Colin Watson ]
  * Buildsystem.pm: Fix doit_in_sourcedir/doit_in_builddir to
    always chdir back to the original directory even if the
    subprocess exits non-zero.  (Closes: #798116)

  [ Translations ]
  * Update Portuguese translation (Américo Monteiro)
    (Closes: #790820)

 -- Niels Thykier <niels@thykier.net>  Sun, 04 Oct 2015 17:34:16 +0200

debhelper (9.20150811) unstable; urgency=medium

  * d/changelog: Add missing entry for dh_md5sums/#786695 in
    the 9.20150628 release.
  * Makefile: Set LC_ALL=C when sorting.
  * dh: Avoid passing --parallel to other debhelper commands
    if it is the only option and "parallel" is not set (or
    set to 1) in DEB_BUILD_OPTIONS.
  * dh_strip: Apply patch from Guillem Jover to fix a typo.
    (Closes: #792207)
  * dh_makeshlibs: Avoid an uninitialised warning in some
    error cases.  Thanks to Jakub Wilk for reporting it.
    (Closes: #793092)
  * Dh_Lib.pm: Apply patch from Guillem Jover to use the
    value of dpkg-architecture variables from the environment,
    if present.  (Closes: #793440)
  * Dh_Buildsystems.pm/Dh_Lib.pm: Import Exporter's import
    subroutine rather than adding Exporter to @ISA.
  * Dh_Lib.pm: Use Dpkg::Arch's debarch_is rather than running
    dpkg-architecture to determine if an architecture matches
    a wildcard.  Heavily based on a patch from Guillem Jover.
    (Closes: #793443)
  * dh_strip: Always compress debug sections of debug symbols
    in ddebs.
  * dh_strip: Strip ".comment" and ".note" sections from static
    libraries.  Thanks to Helmut Grohne for the suggestion.
    (Closes: #789351)
  * dh_gencontrol: Stop explicitly passing -DSource to
    dpkg-gencontrol when building ddebs.  The passed value was
    wrong sometimes (e.g. with binNMUs) and dpkg-gencontrol
    since 1.18.2~ computes the value correctly.
  * d/control: Bump dependency on dpkg-dev to 1.18.2~ for
    ddebs.  Build-depends not bumped since debhelper itself
    does not produce any ddebs.
  * dh_makeshlibs: Continue generating reports from
    dpkg-gensymbols after the first error.  This helps
    packages with multiple libraries to spot all the symbol
    issues in one build.

 -- Niels Thykier <niels@thykier.net>  Tue, 11 Aug 2015 22:47:08 +0200

debhelper (9.20150628) unstable; urgency=medium

  * Upload to unstable with ddebs support disabled by default.

  [ Niels Thykier ]
  * Buildsystem.pm: Apply patch from Emmanuel Bourg to
    provide doit_in_{build,source}dir_noerror methods.
    (Closes: #785811)
  * Dh_Lib.pm: Promote error_exitcode to a regular exported
    subroutine (from an internal one).
  * dh_compress: Apply patch from Osamu Aoki to avoid compressing
    ".xhtml" files and to use a POSIX compliant find expression.
    (Closes: #740405)
  * dh_makeshlibs: Fix typo in manpage.  Thanks to Jakub Wilk for
    reporting it.  (Closes: #788473)
  * dh_auto_test: Run tests by default even during cross-building.
    (Closes: #726967)
  * dh_gencontrol: Put ddebs in the "debugsym" section.
  * dh_strip: Support a new --[no-]ddebs option intended for
    packages to disable automatic ddebs.
  * dh_strip: Do not create ddebs for "-dbg" packages.
  * dh_builddeb/dh_gencontrol: Let dpkg figure out the name
    of the ddebs itself now that ddebs uses a ".deb"
    extension.
  * dh_md5sums: create DEBIAN dir in ddebs before using it.
    (Closes: #786695)

  [ Thibaut Paumard ]
  * Bug fix: "dh_usrlocal leaves directories behind", thanks to Andreas
    Beckmann (Closes: #788098).

 -- Niels Thykier <niels@thykier.net>  Sun, 28 Jun 2015 13:51:48 +0200

debhelper (9.20150519+ddebs) experimental; urgency=medium

  * dh_strip: Add --ddeb-migration option to support migration
    from a --dbg-package to a automatic ddeb.
  * Dh_Lib.pm: Add "package_multiarch" function.
  * d/control: Add versioned Build-Depends on dpkg-dev to support
    creating ddebs with the ".deb" extension.
  * Dh_lib.pm: Generate ddebs with the ".deb" extension.
  * dh_gencontrol: Reduce the "pkg:arch" to "pkg" as APT and dpkg
    disagree on what satisfies an "pkg:arch" dependency.
  * dh_strip.1: Document what inhibits ddeb generation.
  * dh_gencontrol: Only mark a ddeb as Multi-Arch: same if the
    original deb was Multi-Arch: same.  All other ddebs are now
    Multi-Arch: no (by omitting the field).
  * dh_strip: Avoid generating a ddeb if the same name as an
    explicitly declared package.  Apparently, Ubuntu has been
    creating some of these manually.

 -- Niels Thykier <niels@thykier.net>  Tue, 19 May 2015 21:56:55 +0200

debhelper (9.20150507) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_bugfiles: Fix regression in installing the reportbug
    script correctly.  Thanks to Jakub Wilk for reporting.
    (Closes: #784648)

  [ Translation updates ]
  * pt - Thanks to Américo Monteiro.
    (Closes: #784582)

 -- Niels Thykier <niels@thykier.net>  Thu, 07 May 2015 20:07:49 +0200

debhelper (9.20150502+ddebs) experimental; urgency=medium

  * Add /experimental/ ddebs support *if* the environment
    variable DH_BUILD_DDEBS is set to 1.

 -- Niels Thykier <niels@thykier.net>  Sat, 02 May 2015 10:35:29 +0200

debhelper (9.20150502) unstable; urgency=medium

  * dh_compress: REVERT change to avoid compressing ".xhtml"
    files due to #784016.  (Reopens: #740405, Closes: #784016)

 -- Niels Thykier <niels@thykier.net>  Sat, 02 May 2015 10:21:42 +0200

debhelper (9.20150501) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_strip: Recognise .node as potential ELF binaries that
    should be stripped like a regular shared library.  Thanks
    to Paul Tagliamonte for the report.  (Closes: #668852)
  * dh_shlibdeps: Recognise .node as potential ELF binaries that
    should be processed like a regular shared library.  Thanks
    to Paul Tagliamonte for the report.  (Closes: #668851)
  * Convert package to the 3.0 (native) format, so dpkg-source
    strips the .git directory by default during build.
  * Reorder two paragraphs in d/copyright to avoid one of them
    being completely overwritten by the other.
  * d/control: Use the canonical URLs for the Vcs-* fields.
  * dh_makeshlibs: Apply patch from Jérémy Bobbio to ensure
    stable ordering of generated shlibs files.
    (Closes: #774100)
  * dh_icons: Apply patch from Jérémy Bobbio to ensure stable
    ordering of the icon list inserted into generated maintainer
    scripts.  (Closes: #774102)
  * Dh_lib: Add a public "make_symlink" subroutine allowing
    dh_*-like tools to generate policy compliant symlinks without
    invoking dh_link.  (Closes: #610173)
  * dh_compress: Apply patch from Osamu Aoki to avoid compressing
    ".xhtml" files.  (Closes: #740405)
  * dh_gconf: Apply patch from Josselin Mouette to avoid
    dependency on gconf2 for installs of non-schema files.
    (Closes: #592958)
  * dh_fixperms: Correct permissions of reportbug files and scripts.
    Thanks to Fabian Greffrath for the report and a basic patch.
    (Closes: #459548)
  * The "ant" build system now loads debian/ant.properties
    automatically before build and clean (like CDBS).  Thanks to
    Thomas Koch for the report.  (Closes: #563909)
  * Dh_lib: Add install_dh_config_file to install a file either by
    copying the source file or (with an executable file under compat
    9) execute the file and use its output to generate the
    destination.
  * dh_lintian: Under compat 9, the debian/lintian-overrides are now
    executed if they have the exec-bit set like the debian/install
    files.  Thanks to Axel Beckert for the report.  (Closes: #698500)
  * d/rules: Remove makefile target only intended for/used by the
    previous maintainer.
  * dh_makeshlibs: In compat 10+, pass "-X" to ldconfig to
    only  regenerate the cache (instead of also creating missing
    symlinks).  Thanks to Joss Mouette for the suggestion.
    (Closes: #549990)
  * autoscripts/post{inst,rm}-makeshlibs-c10: New files.
  * dh_strip: Pass the --enable-deterministic-archives option to strip
    when it is stripping static libraries.  This avoids some
    unnecessary non-determinism in builds.  Based on patch by
    Andrew Ayer.
  * dh_install, dh_installdocs, dh_installexamples and dh_installinfo:
    Pass --reflink=auto to cp.  On supported filesystems, this provides
    faster copying.
  * Make perl tests verbose.  Thanks to gregor herrmann for the patch.
    (Closes: #714546)
  * Dh_Lib.pm: Apply patch from Martin Koeppe to provide
    install_{dir,file,prog,lib} subroutines for installing directories,
    regular files, scripts/executables and libraries (respectively).
  * Migrate many "ad-hoc" calls to "install" to the new "install_X"
    subroutines from Dh_Lib.pm.  Based on patch from Martin Koeppe.
    (Closes: #438930)
  * dh_gconf: Apply patch from Martin Koeppe to avoid adding a layer
    of shell-escaping to a printed command line when the command was
    in fact run without said layer of shell-escaping.
  * dh_installdocs: Use ${binary:Version} for generating dependencies
    with "--link-doc" instead of trying to determine the correct
    package version.  Thanks to Stephen Kitt for reporting this
    issue.  (Closes: #747141)
  * dh_installdocs.1: Document that --link-doc may in some cases
    require a dir to symlink (or symlink to dir) migration.
    (Closes: #659044)
  * dh_usrlocal: Apply patch from Jérémy Bobbio to generate
    deterministic output.  (Closes: #775020)
  * dh_makeshlibs: In compat 10, install the maintainer-provided shlibs
    file (replacing the generated one).  (Closes: #676168)
  * dh_installdeb: In compat 10, stop installing the maintainer-provided
    shlibs file as it is now done by dh_makeshlibs instead.
  * dh_installdocs: Remove remark about dh_installdocs not being
    idempotent as it no longer adds anything to maintainer scripts.
  * autoscripts/*-emacsen: Apply patch from Paul Wise to check that
    emacs-package-{install,remove} is (still) present before invoking
    it.  (Closes: #736896)
  * dh_install.1: Document that dh-exec can be used to do renaming
    and provide a trivial example of how to achieve it.  (Closes: #245554)
  * dh_makeshlibs: Apply patch from Guillem Jover to stop adding
    Pre-Depends on multiarch-support.  The transition is far enough that
    we do not need it any longer.  (Closes: #783898)
  * dh_gencontrol: Insert an empty misc:Pre-Depends to avoid warnings
    in packages for using a (now often) non-existing substvars.
  * d/control: Remove versioned conflicts that are no longer relevant.

  [ Bernhard R. Link ]
  * Dh_lib: apply patch from Guillem Jover to support case-insensitive
    control field names. (Closes: #772129)
  * add DH_QUIET environment variable to make things more silent
  * dh: don't output commands to run if DH_QUIET is set
  * buildsystems print commands unless DH_QUIET is set
    (Closes: #639168, #680687)
  * autoconf is always passed one of
     --enable-silent-rules (if DH_QUIET is set) or
     --disable-silent-rules (otherwise). (Closes: #551463, #680686)
  * dh_compress: exclude .xz .lzma and .lz files from compression
    (Closes: #778927)
  * dh_installwm: call by dh after dh_link (Closes: #781077),
    error out in compat 10 if no man page found

  [ Jason Pleau ]
  * dh_installchangelogs: Add CHANGES.md to the list of common changelog
    filenames (Closes: #779471)

  [ Axel Beckert ]
  * dh_installchangelogs: Consistent suffix search order (none, ".txt",
    ".md") for all upstream changelog file names ("changelog", "changes",
    "history").
      + Looks for "history.md" now, too.
      + Makes it easier to add base names or suffixes in the future.
  * dh_installchangelogs: Also look for changelogs with .rst suffix.

  [ Tianon Gravi ]
  * debhelper.pod: Clarify "ENVIRONMENT" requirements for Makefile syntax.
    (Closes: #780133)

  [ Translation updates ]
  * pt - Thanks to Américo Monteiro.
    (Closes: #758575)

 -- Niels Thykier <niels@thykier.net>  Fri, 01 May 2015 14:53:16 +0200

debhelper (9.20150101) unstable; urgency=medium

  [ Niels Thykier ]
  * Revert detection of unsafe binNMUs under compat 9 and
    earlier.  It had some false-positives.  (Closes: #773965)

  [ Axel Beckert ]
  * Document that dh_installdocs will error out on --link-doc
    between arch:all and arch:any packages in man 7 debhelper.

 -- Niels Thykier <niels@thykier.net>  Thu, 01 Jan 2015 17:05:01 +0100

debhelper (9.20141222) unstable; urgency=medium

  * Add missing entry about #747141.
  * Fix typo in comment in dh_installman.  Thanks to Raphael
    Geissert for spotting it.  (Closes: #772502)

 -- Niels Thykier <niels@thykier.net>  Mon, 22 Dec 2014 01:02:52 +0100

debhelper (9.20141221) unstable; urgency=medium

  [ Niels Thykier ]
  * New debhelper maintainers.  (Closes: #768507)
    - Add Niels Thykier to uploaders.
  * dh_installdeb: Raise required dpkg version for dir_to_symlink to
    1.17.13 (see #769843, msg #10).  Thanks to Guillem Jover.
  * Refuse to build packages using --link-doc between arch:any and
    arch:all packages (or vice versa) as it results in broken
    packages.
    - In compat 9 or less: Only during an actual binNMU.
    - In compat 10 or newer: Unconditionally.
    (Closes: #747141)

  [ Bernhard R. Link ]
    - Add Bernhard Link to uploaders.

  [ Axel Beckert ]
  * dh_installdeb: Raise required dpkg version for symlink_to_dir to
    1.17.14. It is needed in case of relative symlinks. (Closes: #770245)

 -- Niels Thykier <niels@thykier.net>  Sun, 21 Dec 2014 21:21:18 +0100

debhelper (9.20141107) unstable; urgency=medium

  * I'm leaving Debian, and Debhelper needs a new maintainer.

 -- Joey Hess <joeyh@debian.org>  Fri, 07 Nov 2014 17:15:10 -0400

debhelper (9.20141022) unstable; urgency=low

  * dh_installdeb: Sort conffile list so there is a stable order for
    reproducible builds. Closes: #766384 Thanks, Jérémy Bobbio.

 -- Joey Hess <joeyh@debian.org>  Wed, 22 Oct 2014 14:43:12 -0400

debhelper (9.20141010) unstable; urgency=medium

  [ Johannes Schauer ]
  * Depend on libdpkg-perl (>= 1.17.14) for build profiles support. Note to
    backporters: If you remove that dependency, debhelper will throw an error
    when a binary package stanza in debian/control has the Build-Profiles
    field.
  * Use libdpkg-perl functionality to parse the content of the Build-Profiles
    field, if there is one. In that case, use libdpkg-perl to evaluate whether
    the binary package should be built or not.
    Closes: #763766

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Oct 2014 17:42:56 -0400

debhelper (9.20141003) unstable; urgency=medium

  * dh_clean: Skip over .git, .svn, .bzr, .hg, and CVS directories
    and avoid cleaning their contents. Closes: #760033

 -- Joey Hess <joeyh@debian.org>  Fri, 03 Oct 2014 15:16:00 -0400

debhelper (9.20140817) unstable; urgency=medium

  * Added Portuguese translation of the man pages, by Américo Monteiro.
    Closes: #758043
  * Updated German translation from Chris Leick.
    Closes: #735610

 -- Joey Hess <joeyh@debian.org>  Sun, 17 Aug 2014 10:42:25 -0400

debhelper (9.20140809) unstable; urgency=medium

  * dh_perl: Add perlapi-* dependency on packages installed to
    $Config{vendorarch} Closes: #751684
  * dh_perl: Use vendorlib and vendorarch from Config instead of
    hardcoding their values. Closes: #750021
  * Typo: Closes: #755237

 -- Joey Hess <joeyh@debian.org>  Sat, 09 Aug 2014 11:24:41 -0400

debhelper (9.20140613) unstable; urgency=medium

  * Pass --disable-silent-rules in dh_auto_configure if DH_VERBOSE is set.
    Closes: #751207. Thanks, Helmut Grohne.
  * Minor typos. Closes: #741144, #744176
  * dh_installinit: Fix uninitialized value warning when --name is used.

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Jun 2014 11:50:09 -0400

debhelper (9.20140228) unstable; urgency=medium

  * Fix breakage in no-act mode introduced in last release.

 -- Joey Hess <joeyh@debian.org>  Fri, 28 Feb 2014 15:02:35 -0400

debhelper (9.20140227) unstable; urgency=medium

  * dh_compress: Avoid compressing .map files, which may be html
    usemaps. Closes: #704443
  * dh_installdocs: When doc dirs are symlinked make the dependency
    versioned per policy. Closes: #676777
  * dh_makeshlibs: Defer propagating dpkg-gensymbols error until
    all packages have been processed. Closes: #736640
  * dh: Reject unknown parameters that are not dashed command-line
    parameters intended to be passed on to debhelper commands.
    Closes: #737635
  * perl_build: Use realclean instead of distclean. Closes: #737662
  * Initial implementation of support for Build-Profiles fields.
    Thanks, Daniel Schepler.
  * dh_gencontrol: Revert change made in version 4.0.13 that avoided
    passing -p to dpkg-gencontrol when only operating on one package.
    There seems to be no benefit to doing that, and it breaks when using
    Build-Profiles, since while debhelper may know a profile only allows
    for one package, dpkg-gencontrol may see other packages in the
    control file.

 -- Joey Hess <joeyh@debian.org>  Thu, 27 Feb 2014 11:49:56 -0400

debhelper (9.20131227) unstable; urgency=medium

  [ Guillem Jover ]
  * dh_shlibdeps: Use new dpkg-shlibdeps -l option instead of LD_LIBRARY_PATH
    Closes: #717505
  * Depend on dpkg-dev (>= 1.17.0), the version that introduced
    dpkg-shlibdeps -l option.

 -- Joey Hess <joeyh@debian.org>  Fri, 27 Dec 2013 21:52:53 -0400

debhelper (9.20131213) unstable; urgency=low

  [ Joey Hess ]
  * cmake: Configure with -DCMAKE_BUILD_TYPE=None
    Closes: #701233

  [ Andreas Beckmann ]
  * dh_installdeb: Add support for dpkg-maintscript-helper commands
    symlink_to_dir and dir_to_symlink that were added in dpkg 1.17.2.
    Closes: #731723

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Dec 2013 14:46:26 -0400

debhelper (9.20131127) unstable; urgency=low

  * dh_compress: Exclude several more compressed file formats.
    Closes: #730483

 -- Joey Hess <joeyh@debian.org>  Wed, 27 Nov 2013 19:19:41 -0400

debhelper (9.20131110) unstable; urgency=low

  * dh_installinit: Revert changes that added versioned dependency on
    sysv-rc to support upstart, which later grew to a versioned dependency
    on sysv-rc | file-rc, and which seems to want to continue growing
    to list other init systems, which there currently seem to be far too
    many of, for far too little benefit.
    The sysv-rc dependency is already met in stable.
    The file-rc dependency is not, so if someone cares about that, they
    need to find a properly designed solution, which this was not.
    Closes: #729248

 -- Joey Hess <joeyh@debian.org>  Sun, 10 Nov 2013 15:23:29 -0400

debhelper (9.20131105) unstable; urgency=low

  * Fix (horrible) make output parsing code to work with make 4.0.
    Closes: #728800 Thanks, Julien Pinon

 -- Joey Hess <joeyh@debian.org>  Tue, 05 Nov 2013 22:17:03 -0400

debhelper (9.20131104) unstable; urgency=low

  [ Joey Hess ]
  * Debhelper is now team maintained. There is a new
    debhelper-devel mailing list which maintainers of other dh_
    commands are encouraged to join also.
    <https://lists.alioth.debian.org/mailman/listinfo/debhelper-devel>
  * dh_installchangelogs: Avoid installing binNMU changelog file
    in --no-act mode. Closes: #726930

  [ Modestas Vainius ]
  * Update dh_installemacsen and related scripts to follow emacs
    policy v2.0 (as of emacsen-common 2.0.5). Closes: #728620

 -- Joey Hess <joeyh@debian.org>  Mon, 04 Nov 2013 15:34:21 -0400

debhelper (9.20130921) unstable; urgency=low

  * dh: Call dh_installxfonts after dh_link, so that it will
    notice fonts installed via symlinks. Closes: #721264
  * Fix FTBFS with perl 5.18. Closes: #722501
  * dh_installchangelogs: Add changelog.md to the list of common
    changelog filenames.

 -- Joey Hess <joeyh@debian.org>  Sat, 21 Sep 2013 13:16:34 -0400

debhelper (9.20130720) unstable; urgency=low

  * dh_python: Removed this deprecated and unused command.
    Closes: #717374
    (Thanks, Luca Falavigna)
  * Type fixes. Closes: #719216
  * dh_installinit: Fix a longstanding accidental behavior that caused
    a file named debian/package to be installed as the init script.
    Only fixed in v10 since packages might depend on this behavior.
    Closes: #719359
  * dh_install, dh_installdocs, dh_clean: Fix uses of find -exec
    which cause it to ignore exit status of the commands run.
    Closes: 719598
  * makefile buildsystem: Tighten heuristic to detect if makefile target
    exists. An error message that some other target does not exist just means
    the makefile spaghetti has problems later on when run with -n,
    but not that the called target didn't exist. Closes: #718121

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Aug 2013 12:46:25 -0400

debhelper (9.20130630) unstable; urgency=low

  * perl_build: Use -- long option names, for compatibility with
    Module::Build::Tiny. Closes: #714544
    (Thanks, gregor herrmann)

 -- Joey Hess <joeyh@debian.org>  Sun, 30 Jun 2013 14:20:51 -0400

debhelper (9.20130626) unstable; urgency=low

  * dh_strip: Run readelf in C locale. Closes: #714187

 -- Joey Hess <joeyh@debian.org>  Wed, 26 Jun 2013 13:37:03 -0400

debhelper (9.20130624) unstable; urgency=low

  * dh_installinit: Use absolute path for systemd tempfiles,
    for compatibility with wheezy's systemd. Closes: #712727
  * makefile buildsystem: Added heuristic to catch false positive in
    makefile target detection code. Closes: #713257
    Nasty make ... why won't it tell us what's in its pocketses?

 -- Joey Hess <joeyh@debian.org>  Mon, 24 Jun 2013 19:28:18 -0400

debhelper (9.20130605) unstable; urgency=low

  * dh_installchangelogs: Fix bug preventing automatic installation of
    upstream changelog. Closes: #711131

 -- Joey Hess <joeyh@debian.org>  Wed, 05 Jun 2013 12:28:51 -0400

debhelper (9.20130604) unstable; urgency=low

  * dh_installchangelogs: No longer automatically converts html changelogs.
    A plain text version can be provided as a second parameter, or it will
    generate a file with a pointer to the html changelog if not.
    html2text's reign of terror has ended. Closes: #562874
  * Allow building debhelper with USE_NLS=no to not require po4a to build.
    Closes: #709557
  * Correct broken patch for #706923.
    Closes: #707481
  * dh_installinit: Add appropriately versioned file-rc as an alternate
    when adding misc:Depends for an invoke-rc.d that supports upstart
    jobs. Closes: #709482

 -- Joey Hess <joeyh@debian.org>  Tue, 04 Jun 2013 11:27:29 -0400

debhelper (9.20130518) unstable; urgency=low

  * dh_installchangelogs: Write the changelog entry used for a binNMU,
    as flagged by binary-only=yes to a separate file, in order to work
    around infelicities in dpkg's multiarch support. Closes: #708218
    (Thanks, Ansgar Burchardt)
  * dh_installinit: Add versioned dependency on sysv-rc
    when shipping upstart jobs. Closes: #708720

 -- Joey Hess <joeyh@debian.org>  Sat, 18 May 2013 10:49:09 -0400

debhelper (9.20130516) unstable; urgency=low

  * Revert unsetting INSTALL_BASE. Closes: #708452 Reopens: #705141

 -- Joey Hess <joeyh@debian.org>  Thu, 16 May 2013 18:29:46 -0400

debhelper (9.20130509) unstable; urgency=low

  * dh_installinit: Remove obsolete systemd-tempfiles hack in postinst
    autoscript. Closes: #707159
  * dh_installinfo: Stop inserting dependencies for partial upgrades
    from lenny to squeeze. Closes: #707218
  * dh_compress, dh_perl: Avoid failing if the package build directory does
    not exist. (Audited all the rest.)
  * dh: As a workaround for anything not in debhelper that may rely
    on debhelper command that is now skipped creating the package build
    directory as a side effect, the directory is created when a command
    is skipped. This workaround is disabled in compat level 10.
    Closes: #707336
  * dh_auto_install: Create package build directory for those packages
    whose makefile falls over otherwise. Closes: #707336

 -- Joey Hess <joeyh@debian.org>  Thu, 09 May 2013 10:34:56 -0400

debhelper (9.20130507) unstable; urgency=low

  * dh: Skips running commands that it can tell will do nothing.
    Closes: #560423
    (Commands that can be skipped are determined by the presence of
    PROMISE directives within commands that provide a high-level
    description of the command.)
  * perl_makemaker: Unset INSTALL_BASE in case the user has it set.
    Closes: #705141
  * dh_installdeb: Drop pre-dependency on dpkg for dpkg-maintscript-helper.
    Closes: #703264
  * makefile buildsystem: Pass any parameters specified after -- when
    running make -n to test for the existance of targets.
    In some makefiles, the parameters may be necessary to enable a target.
    Closes: #706923
  * Revert python2.X-minimal fix, because it was buggy.
    Closes: #707111 (Reopens #683557)

 -- Joey Hess <joeyh@debian.org>  Tue, 07 May 2013 13:20:48 -0400

debhelper (9.20130504) unstable; urgency=low

  * dh_shlibdeps: Warn if -V flag is passed, to avoid it accidentially being
    used here rather than in dh_makeshlibs. Closes: #680339
  * dh_lintian: Source overrides doc improvement. Closes: #683941
  * dh_installmime: No longer makes maintainer scripts run update-mime and
    update-mime-database, that is now handled by triggers. Closes: #684689
    Thanks, Charles Plessy
  * python distutils buildsystem: Propagate failure of pyversions.
    Closes: #683551 Thanks, Clint Byrum
  * python distutils buildsystem: When checking if a version of python is
    installed, don't trust the presense of the executable, as
    a python2.X-minimal package may provide it while not having
    distutils installed. Closes: #683557, #690378
  * dh_icons: Improve documentation. Closes: #684895
  * Improve -X documentation. Closes: #686696
  * Support installing multiple doc-base files which use the same doc-id.
    Closes: #525821
  * dh_installdocs: Support having the same document id in different binary
    packages built from the same source.
    Closes: #525821 Thanks, Don Armstrong
  * dh_installdeb: Avoid unnecessary is_udeb tests. Closes: #691398
  * Updated German man page translation. Closes: #691557, #706314
  * dh_installinit: Support systemd.
    Closes: #690399 Thanks, Michael Stapelberg
  * Updated French man page translation. Closes: #692208
  * dh_icons: Reword description. Closes: #693100
  * Avoid find -perm +mode breakage caused by findutils 4.5.11,
    by instead using -perm /mode. Closes: #700200
  * cmake: Configure with -DCMAKE_BUILD_TYPE=RelWithDebInfo
    Closes: #701233
  * dh_auto_test: Avoid doing anything when cross-compiling. Closes: #703262
  * dh_testdir: Fix error message. Closes: #703515

 -- Joey Hess <joeyh@debian.org>  Sat, 04 May 2013 23:32:27 -0400

debhelper (9.20120909) unstable; urgency=low

  * autoscript() can now be passed a perl sub to run to s/// lines of
    the script, which avoids problems with using sed, including potentially
    building too long a sed command-line. This will become the recommended
    interface in the future; for now it can be used by specific commands
    such as dh_installxmlcatalogs that encounter the problem.
    Closes: #665296 Thanks, Marcin Owsiany
  * Updated Spanish man page translation. Closes: #686291
  * Updated German man page translation. Closes: #685538
  * Updated French man page translation. Closes: #685560

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Sep 2012 12:54:06 -0400

debhelper (9.20120830) unstable; urgency=low

  * dh_installcatalogs: Adjust catalog conffile conversion to avoid
    dpkg conffile prompt when upgrading from a removed package.
    Closes: #681194

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Aug 2012 11:04:10 -0400

debhelper (9.20120608) unstable; urgency=low

  * dh: When there's an -indep override target without -arch, or vice versa,
    avoid acting on packages covered by the override target when running
    the command for packages not covered by it. Closes: #676462

 -- Joey Hess <joeyh@debian.org>  Fri, 08 Jun 2012 13:15:48 -0400

debhelper (9.20120528) unstable; urgency=low

  * dh_installcatalogs: Turn /etc/sgml/$package.cat into conffiles
    and introduce dependency on trigger-based sgml-base. Closes: #477751
    Thanks, Helmut Grohne

 -- Joey Hess <joeyh@debian.org>  Mon, 28 May 2012 13:40:26 -0400

debhelper (9.20120523) unstable; urgency=low

  * Spanish translation update. Closes: #673629 Thanks, Omar Campagne
  * Set Multi-Arch: foreign. Closes: #674193

 -- Joey Hess <joeyh@debian.org>  Wed, 23 May 2012 14:55:48 -0400

debhelper (9.20120518) unstable; urgency=low

  * Fix versioned dependency on dpkg for xz options. Closes: #672895
  * dh_link: Doc improvement. Closes: #672988

 -- Joey Hess <joeyh@debian.org>  Fri, 18 May 2012 11:05:03 -0400

debhelper (9.20120513) unstable; urgency=low

  * Improve -v logging. Closes: #672448
  * dh_builddeb: Build udebs with xz compression, level 1, extreme strategy.
    This has been chosen to not need any more memory or cpu when uncompressing,
    while yeilding the best compressions for udebs. Thanks, Philipp Kern.
  * Depend on a new enough dpkg for above features. Backporters will need
    to revert these changes.

 -- Joey Hess <joeyh@debian.org>  Sun, 13 May 2012 13:09:42 -0400

debhelper (9.20120509) unstable; urgency=low

  * dh_installman: Recognize sections from mdoc .Dt entries. Closes: #670210
    Thanks, Guillem Jover
  * Updated German man page translation. Closes: #671598
  * dh_install: Reorder documentation for clarity. Closes: #672109

 -- Joey Hess <joeyh@debian.org>  Wed, 09 May 2012 12:59:15 -0400

debhelper (9.20120419) unstable; urgency=low

  * Fix compat level checking for cmake. Closes: #669181

 -- Joey Hess <joeyh@debian.org>  Tue, 17 Apr 2012 19:33:35 -0400

debhelper (9.20120418) unstable; urgency=low

  * cmake: Only pass CPPFLAGS in CFLAGS in v9.

 -- Joey Hess <joeyh@debian.org>  Tue, 17 Apr 2012 16:54:39 -0400

debhelper (9.20120417) unstable; urgency=low

  * cmake: Pass CPPFLAGS in CFLAGS. Closes: #668813
    Thanks, Simon Ruderich for the patch and for verifying no affected
    package is broken by this change.

 -- Joey Hess <joeyh@debian.org>  Tue, 17 Apr 2012 09:10:29 -0400

debhelper (9.20120410) unstable; urgency=low

  [ Joey Hess ]
  * Fix a typo. Closes: #665891
  * Conflict with too old automake for AM_UPDATE_INFO_DIR=no. Closes: #666901
  * dh_md5sums: Don't skip DEBIAN directories other than the control files
    one. Closes: #668276

  [ Steve Langasek ]
  * dh_installinit: rework upstart handling to comply with new policy
    proposal; packages will ship both an init script and an upstart job,
    instead of just an upstart job and a symlink to a compat wrapper.
    Closes: #577040

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2012 12:51:15 -0400

debhelper (9.20120322) unstable; urgency=low

  * Revert avoid expanding shell metacharacters in sed call in autoscript().
    It breaks dh_usrlocal and must be considered part of its interface.
    Added to interface documentation.
    Closes: #665263

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Mar 2012 17:37:56 -0400

debhelper (9.20120312) unstable; urgency=low

  * Also include CFLAGS in ld line for perl. Closes: #662666

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Mar 2012 14:27:06 -0400

debhelper (9.20120311) unstable; urgency=low

  * dh_auto_install: Set AM_UPDATE_INFO_DIR=no to avoid automake
    generating an info dir file. Closes: #634741
  * dh_install: Man page clarification. Closes: #659635
  * Avoid expanding shell metacharacters in sed call in autoscript().
    Closes: #660794
  * dh_auto_configure: Pass CPPFLAGS and LDFLAGS to Makefile.PL and Build.PL,
    in compat level v9. Closes: #662666
    Thanks, Dominic Hargreaves for the patch.
    Thanks, Alessandro Ghedini, Niko Tyni, and Dominic Hargreaves for
    testing all relevant packages to verify the safety of this late
    change to v9.

 -- Joey Hess <joeyh@debian.org>  Sun, 11 Mar 2012 18:28:33 -0400

debhelper (9.20120115) unstable; urgency=low

  * Finalized v9 mode, which is the new recommended default.
    (But continuing to use v8 is also fine.)
  * It is now deprecated for a package to not specify a compatibility
    level in debian/compat. Debhelper now warns if this is not done,
    and packages without a debian/compat will eventually FTBFS.
  * dh: --without foo,bar now supported.
  * Updated German man page translation. Closes: #653360

 -- Joey Hess <joeyh@debian.org>  Sun, 15 Jan 2012 13:59:49 -0400

debhelper (8.9.14) unstable; urgency=low

  * Typo. Closes: #653006
  * Typo. Closes: #653339

 -- Joey Hess <joeyh@debian.org>  Tue, 27 Dec 2011 11:53:44 -0400

debhelper (8.9.13) unstable; urgency=low

  * Pass CPPFLAGS to qmake. Closes: #646129 Thanks, Felix Geyert
  * dh_strip: Use build-id in /usr/lib/debug in v9.
    Closes: #642158 Thanks, Jakub Wilk
  * Spanish translation update. Closes: #636245 Thanks, Omar Campagne
  * Only enable executable config files in v9. The quality of file permissions
    in debian/ directories turns out to be atrocious; who knew?

 -- Joey Hess <joeyh@debian.org>  Fri, 09 Dec 2011 13:53:38 -0400

debhelper (8.9.12) unstable; urgency=low

  * Debhelper config files may be made executable programs that output the
    desired configuration. No further changes are planned to the config file
    format; those needing powerful syntaxes may now use a programming language
    of their choice. (Be careful aiming that at your feet.)
    Closes: #235302, #372310, #235302, #614731,
    Closes: #438601, #477625, #632860, #642129
  * Added German translation of man pages, done by Chris Leick. Closes: #651221
  * Typo fixes. Closes: #651224 Thanks, Chris Leick

 -- Joey Hess <joeyh@debian.org>  Wed, 07 Dec 2011 15:09:50 -0400

debhelper (8.9.11) unstable; urgency=low

  * Fix broken option passing to objcopy. Closes: #649044

 -- Joey Hess <joeyh@debian.org>  Thu, 17 Nov 2011 00:15:34 -0400

debhelper (8.9.10) unstable; urgency=low

  * dh_strip: In v9, pass --compress-debug-sections to objcopy.
    Needs a new enough binutils and gdb; debhelper backport
    may need to disable this.
    Thanks, Aurelien Jarno and Bastien ROUCARIES. Closes: #631985
  * dh: Ensure -a and -i are passed when running override_dh_command-arch
    and override_dh_command-indep targets. This is needed when the binary
    target is run, rather than binary-arch/binary-indep. Closes: #648901

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Nov 2011 11:54:59 -0400

debhelper (8.9.9) unstable; urgency=low

  * dh_auto_build: Use target architecture (not host architecture)
    for build directory name. Closes: #644553 Thanks, Tom Hughes
  * dh: Add dh_auto_configure parameter example. Closes: #645335

 -- Joey Hess <joeyh@debian.org>  Fri, 04 Nov 2011 17:01:58 -0400

debhelper (8.9.8) unstable; urgency=low

  * dh_fixperms: Operate on .ali files throughout /usr/lib, including
    multiarch dirs. Closes: #641279
  * dh: Avoid compat deprecation warning before option parsing.
    Closes: #641361
  * Clarify description of dh_auto_* -- params. Closes: #642786
  * Mention in debhelper(7) that buildsystem options are typically passed
    to dh. Closes: #643069
  * perl_makemaker: In v9, pass CFLAGS to Makefile.PL and Build.Pl
    Closes: #643702, #497653 Thanks, Steve Langasek, gregor herrmann.

 -- Joey Hess <joeyh@debian.org>  Thu, 29 Sep 2011 15:41:16 -0400

debhelper (8.9.7) unstable; urgency=low

  * dh: Now you can use override_dh_command-arch and override_dh_command-indep
    to run different overrides when building arch and indep packages. This
    allows for a much simplified form of rules file in this situation, where
    build-arch/indep and binary-arch/indep targets do not need to be manually
    specified. See man page for examples. Closes: #640965
    .
    Note that if a rules file has say, override_dh_fixperms-arch,
    but no corresponding override_dh_fixperms-indep, then the unoverridden
    dh_fixperms will be run on the indep packages.
    .
    Note that the old override_dh_command takes precidence over the new
    overrides, because mixing the two types of overrides would have been
    too complicated. In particular, it's difficult to ensure an
    old override target will work if it's sometimes constrained to only
    acting on half the packages it would normally run on. This would be
    a source of subtle bugs, so is avoided.
  * dh: Don't bother running dh_shlibdebs, dh_makeshlibs, or dh_strip
    in the binary target when all packages being acted on are indep.
  * dh: Avoid running install sequence a third time in v9 when the
    rules file has explicit binary-indep and binary-arch targets.
    Closes: #639341 Thanks, Yann Dirson for test case.
  * debhelper no longer build-depends on man-db or file, to ease bootstrapping.
  * Remove obsolete versioned dependency on perl-base.
  * Avoid writing debhelper log files in no-act mode. Closes: #640586
  * Tighten parsing of DEB_BUILD_OPTIONS.

 -- Joey Hess <joeyh@debian.org>  Sun, 11 Sep 2011 20:29:22 -0400

debhelper (8.9.6) unstable; urgency=low

  * dh_installlogcheck: Add support for --name. Closes: #639020
    Thanks, Gergely Nagy

 -- Joey Hess <joeyh@debian.org>  Tue, 23 Aug 2011 15:25:55 -0400

debhelper (8.9.5) unstable; urgency=low

  * dh_compress: Don't compress _sources documentation subdirectory
    as used by python-sphinx. Closes: #637492
    Thanks, Jakub Wilk
  * dh_ucf: fix test for ucf/ucfr availability and quote filenames.
    Closes: #638944
    Thanks, Jeroen Schot

 -- Joey Hess <joeyh@debian.org>  Tue, 23 Aug 2011 13:25:54 -0400

debhelper (8.9.4) unstable; urgency=low

  * dh: The --before --after --until and --remaining options are deprecated.
    Use override targets instead.
  * Assume that the package can be cleaned (i.e. the build directory can be
    removed) as long as it is built out-of-source tree and can be configured.
    This is useful for derivative buildsystems which generate Makefiles.
    (Modestas Vainius) Closes: #601590
  * dh_auto_test: Run cmake tests in parallel when allowed by
    DEB_BUILD_OPTIONS. (Modestas Vainius) Closes: #587885
  * dpkg-buildflags is only used to set environment in v9, to avoid
    re-breaking packages that were already broken a first time by
    dpkg-buildpackage unconditionally setting the environment, and
    worked around that by unsetting variables in the rules file.
    (Example: numpy)

 -- Joey Hess <joeyh@debian.org>  Sat, 06 Aug 2011 18:58:59 -0400

debhelper (8.9.3) unstable; urgency=low

  * dh: Remove obsolete optimisation hack that caused sequence breakage
    in v9 with a rules file with an explict build target. Closes: #634784

 -- Joey Hess <joeyh@debian.org>  Tue, 19 Jul 2011 23:26:43 -0400

debhelper (8.9.2) unstable; urgency=low

  * dh: Support make 3.82. Closes: #634385

 -- Joey Hess <joeyh@debian.org>  Mon, 18 Jul 2011 17:55:24 -0400

debhelper (8.9.1) unstable; urgency=low

  * Typo fixes. Closes: #632662
  * dh: In v9, do not enable any python support commands. Closes: #634106
  * Now the QT4 version of qmake can be explicitly selected by passing
    --buildsystem=qmake_qt4. Closes: #566840
  * Remove debhelper.log in compat level 1. Closes: #634155
  * dh_builddeb: Build in parallel when allowed by DEB_BUILD_OPTIONS.
    Closes: #589427 (Thanks, Gergely Nagy and Kari Pahula)

 -- Joey Hess <joeyh@debian.org>  Sun, 17 Jul 2011 16:31:27 -0400

debhelper (8.9.0) unstable; urgency=low

  * dh: In v9, any standard rules file targets, including build-arch,
    build-indep, build, install, etc, can be defined in debian/rules
    without needing to explicitly tell make the dependencies between
    the targets. Closes: #629139
    (Thanks, Roger Leigh)
  * dh_auto_configure: In v9, does not include the source package name
    in --libexecdir when using autoconf. Closes: #541458
  * dh_auto_build, dh_auto_configure, dh: Set environment variables
    listed by dpkg-buildflags --export. Any environment variables that
    are already set to other values will not be changed.
    Closes: #544844
  * dh_movefiles: Optimise use of xargs. Closes: #627737
  * Correct docs about multiarch and v9. Closes: #630826
  * Fix example. Closes: #627534
  * Fix error message. Closes: #628053
  * dh_auto_configure: If there is a problem with cmake, display
    the CMakeCache.txt.

 -- Joey Hess <joeyh@debian.org>  Fri, 24 Jun 2011 14:28:52 -0400

debhelper (8.1.6) unstable; urgency=low

  * dh_ucf: Fix missing space before ']'s in postrm autoscript.

 -- Joey Hess <joeyh@debian.org>  Thu, 28 Apr 2011 12:33:42 -0400

debhelper (8.1.5) unstable; urgency=low

  * dh_ucf: New command, contributed by Jeroen Schot. Closes: #213078
  * dh_installgsettings: Correct bug in use of find that caused some
    gsettings files to be missed. Closes: #624377

 -- Joey Hess <joeyh@debian.org>  Wed, 27 Apr 2011 21:33:50 -0400

debhelper (8.1.4) unstable; urgency=low

  * dh_clean: Remove debhelper logs for all packages, including packages
    not being acted on. dh can sometimes produce such logs by accident
    when passed bundled options (like "-Nfoo" instead of "-N foo") that
    it does not understand; and it was not possible to fix that
    for any compat level before v8. But also, such logs can occur
    for other reasons, like interrupted builds during development,
    and it should be safe to clean them all. Closes: #623446
  * Fix Typos in documentation regarding {pre,post}{inst,rm}
    Closes: #623709

 -- Joey Hess <joeyh@debian.org>  Fri, 22 Apr 2011 16:15:21 -0400

debhelper (8.1.3) unstable; urgency=low

  [ Joey Hess ]
  * dh_auto_clean: Inhibit logging, so that, if dh_auto_clean is used
    in some rule other than clean, perhaps to clean up an intermediate
    build before a second build is run, debian/rules clean still runs it.
    Closes: #615553
  * Started work on Debhelper v9. It is still experimental, and more
    changes may be added to that mode.
  * Support multiarch in v9. Thanks, Steve Langasek. Closes: #617761
  * dh_auto_configure: Support multiarch in v9 by passing multiarch
    directories to --libdir and --libexecdir.
  * dh_makeshlibs: Detect packages using multiarch directories and
    make ${misc:Pre-Depends} expand to multiarch-support.
  * Depend on dpkg-dev (>= 1.16.0) for multiarch support. Note to backporters:
    If you remove that dependency, debhelper will fall back to not doing
    multiarch stuff in v9 mode, which is probably what you want.
  * Removed old example rules files.
  * dh_installgsettings: New command to handle gsettings schema files.
    Closes: #604727

  [ Valery Perrin ]
  * update french translation.
  * Fix french misspelling.

 -- Joey Hess <joeyh@debian.org>  Tue, 05 Apr 2011 13:09:43 -0400

debhelper (8.1.2) unstable; urgency=low

  * Fix logging at end of an override target that never actually runs
    the overridden command. Closes: #613418

 -- Joey Hess <joeyh@debian.org>  Mon, 14 Feb 2011 14:22:17 -0400

debhelper (8.1.1) unstable; urgency=low

  * dh_strip, dh_makeshlibs: use triplet-objdump, triplet-objcopy and
    triplet-strip from cross-binutils when cross-compiling; Closes: #412118.
    (Thanks, Loïc Minier)
  * Improve handling of logging in override targets, so that
    --remaining-packages can be used again. Now all debhelper commands run
    in the override target are marked as running as part of the override,
    and when the whole target is run, the log is updated to indicate that
    commands run during the override have finished. Closes: #612828

 -- Joey Hess <joeyh@debian.org>  Thu, 10 Feb 2011 19:58:34 -0400

debhelper (8.1.0) unstable; urgency=low

  [ Joey Hess ]
  * python_distutils: Pass --force to setup.py build, to ensure that when
    python-dbg is run it does not win and result in scripts having it in
    the shebang line. Closes: #589759
  * Man page fixes about what program -u passes params to. Closes: #593342
  * Avoid open fd 5 or 6 breaking buildsystem test suite. Closes: #596679
  * Large update to Spanish man page translations by Omar Campagne.
    Closes: #600913
  * dh_installdeb: Support debian/package.maintscript files,
    which can contain dpkg-maintscript-helper commands. This can be used
    to automate moving or removing conffiles, or anything added to
    dpkg-maintscript-helper later on. Closes: #574443
    (Thanks, Colin Watson)
  * Massive man page typography patch. Closes: #600883
    (Thanks, David Prévot)
  * Explicitly build-depend on a new enough perl-base. Closes: #601188
  * dh: Inhibit logging when an override target runs the overridden command,
    to avoid unexpected behavior if the command succeeded but the overall
    target fails. Closes: #601037
  * Fix deprecated command list on translated debhelper(7) man pages.
    Closes: #601204
  * dh: Improve filtering in dh_listpackages example. Closes: #604561
  * dh: Add support for build-arch, build-indep, install-arch and
    install-indep sequences. Closes: #604563
    (Thanks, Roger Leigh)
  * dh_listpackages: Do not display warnings if options cause no packages
    to be listed.
  * dh_installdocs: Clarify that debian/README.Debian and debian/TODO are
    only installed into the first package listed in debian/control.
    Closes: #606036
  * dh_compress: Javascript files are not compressed, as these go with
    (uncompressed) html files. Closes: #603553
  * dh_compress: Ignore objects.inv files, generated by Sphinx documentation.
    Closes: #608907
  * dh_installinit: never call init scripts directly, only through invoke-rc.d
    Closes: #610340
    (Thanks, Steve Langasek)

  [ Valery Perrin ]
  * update french translation.
  * Fix french misspelling.
  * French translation update after massive man page typography

 -- Joey Hess <joeyh@debian.org>  Sat, 05 Feb 2011 12:00:04 -0400

debhelper (8.0.0) unstable; urgency=low

  [ Carsten Hey ]
  * dh_fixperms: Ensure files in /etc/sudoers.d/ are mode 440. Closes: #589574

  [ Joey Hess ]
  * Finalized v8 mode, which is the new recommended default.

 -- Joey Hess <joeyh@debian.org>  Sat, 07 Aug 2010 11:27:24 -0400

debhelper (7.9.3) unstable; urgency=low

  * perl_makemaker: import compat(). Closes: #587654

 -- Joey Hess <joeyh@debian.org>  Wed, 30 Jun 2010 14:42:09 -0400

debhelper (7.9.2) unstable; urgency=low

  * In v8 mode, stop passing packlist=0 in perl_makemaker buildsystem,
    since perl_build is tried first. Avoids the makemaker warning message
    introduced by the fix to #527990.

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Jun 2010 17:41:41 -0400

debhelper (7.9.1) unstable; urgency=low

  * Started work on Debhelper v8. It is still experimental, and more
    changes are planned for that mode.
  * dh_installman: Support .so links relative to the current section.
  * dh_installman: Avoid converting .so links to symlinks if the link
    target is not present in the same binary package, on advice of
    Colin Watson. (To support eventual so search paths.)
  * Add deprecation warning for dh_clean -k.
  * dh_testversion: Removed this deprecated and unused command.
  * debian/compress files are now deprecated. Seems only one package
    (genesis) still uses them.
  * dh_fixperms: Tighten globs used to find library .so files,
    avoiding incorrectly matching things like "foo.sources". Closes: #583328
  * dh_installchangelogs: Support packages placing their changelog in a
    file with a name like HISTORY. Closes: #582749
  * dh_installchangelogs: Also look for changelog files in doc(s)
    subdirectories. Closes: #521258
  * In v8 mode, do not allow directly passing unknown options to debhelper
    commands. (Unknown options in DH_OPTIONS still only result in warnings.)
  * In v8 mode, dh_makeshlibs will run dpkg-gensymbols on all shared
    libraries it generates shlibs files for. This means that -X can be
    used to exclude libraries from processing by dpkg-gensymbols. It also
    means that libraries in unusual locations, where dpkg-gensymbols does
    not itself normally look, will be passed to it, a behavior change which
    may break some packages. Closes: #557603
  * In v8 mode, dh expects the sequence to run is always its first parameter.
    (Ie, use "dh $@ --foo", not "dh --foo $@")
    This avoids ambiguities when parsing options to be passed on to debhelper
    commands. (See #570039)
  * In v8 mode, prefer the perl_build buildsystem over perl_makemaker.
    Closes: #578805
  * postrm-init: Avoid calling the error handler if update-rc.d fails.
    Closes: #586065

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Jun 2010 13:44:48 -0400

debhelper (7.4.20) unstable; urgency=low

  * Drop one more call to dpkg-architecture. Closes: #580837
    (Raphael Geissert)
  * Further reduce the number of calls to dpkg-architecture to zero,
    in a typical package with no explicit architecture mentions
    in control file or debhelper config files.
  * dh_perl: use debian_abi for XS modules. Closes: #581233

 -- Joey Hess <joeyh@debian.org>  Wed, 12 May 2010 20:06:02 -0400

debhelper (7.4.19) unstable; urgency=low

  * Memoize architecture comparisons in samearch, and avoid calling
    dpkg-architecture at all for simple comparisons that clearly
    do not involve architecture wildcards. Closes:# 579317

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Apr 2010 19:45:07 -0400

debhelper (7.4.18) unstable; urgency=low

  * dh_gconf: Depend on new gconf2 that uses triggers, and stop
    calling triggered programs manually. Closes: #577179

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Apr 2010 16:23:38 -0400

debhelper (7.4.17) unstable; urgency=low

  * Fix #572077 in one place I missed earlier. (See #576885)
  * dh: Fixed example of overriding binary target.
  * Began finalizing list of changes for v8 compat level.

 -- Joey Hess <joeyh@debian.org>  Thu, 08 Apr 2010 18:23:43 -0400

debhelper (7.4.16) unstable; urgency=low

  * Updated French translation.
  * makefile buildsystem: Chomp output during test for full compatibility
    with debhelper 7.4.11. Closes: #570503
  * dh_install: Now --list-missing and --fail-missing are useful even when
    not all packages are acted on (due to architecture limits or flags).
    Closes: #570373
  * Typo. Closes: #571968
  * If neither -a or -i are specified, debhelper commands used to default
    to acting on all packages in the control file, which was a guaranteed
    failure if the control file listed packages that did not build for the
    target architecture. After recent optimisations, this default behavior
    can efficiently be changed to the more sane default of acting on only
    packages that can be built for the current architecture. This change
    is mostly useful when using minimal rules files with dh. Closes: #572077
  * dh_md5sums: Sort to ensure stable, more diffable order. Closes: #573702
  * dh: Allow --list-addons to be used when not in a source package.
    Closes: #574351
  * dh: Improve documentation.

 -- Joey Hess <joeyh@debian.org>  Tue, 06 Apr 2010 22:06:50 -0400

debhelper (7.4.15) unstable; urgency=low

  * The fix for #563557 caused some new trouble involving makefile
    that misbehave when stderr is closed. Reopen it to /dev/null
    when testing for the existance of a makefile target. Closes: #570443

 -- Joey Hess <joeyh@debian.org>  Thu, 18 Feb 2010 16:37:34 -0500

debhelper (7.4.14) unstable; urgency=low

  * dh: Disable option bundling to avoid mis-parsing bundled options such
    as "-Bpython-support". Closes: #570039

 -- Joey Hess <joeyh@debian.org>  Tue, 16 Feb 2010 14:47:10 -0500

debhelper (7.4.13) unstable; urgency=low

  * dh_compress: Avoid compressing images in /usr/share/info. Closes: #567586
  * Fix handling of -O with options specified by commands. Closes: #568081

 -- Joey Hess <joeyh@debian.org>  Tue, 02 Feb 2010 12:15:41 -0500

debhelper (7.4.12) unstable; urgency=low

  * dh_bugfiles: Doc typo. Closes: #563269
  * makefile: Support the (asking for trouble) case of MAKE being set to
    something with a space in it. Closes: #563557
  * Fix warning about unknown options passed to commands in override targets.
  * Add -O option, which can be used to pass options to commands, ignoring
    options that they do not support.
  * dh: Use -O to pass user-specified options to the commands it runs.
    This solves the problem with passing "-Bbuild" to dh, where commands
    that do not support -B would see a bogus -u option. Closes: #541773
    (It also ensures that the commands dh prints out can really be run.)
  * qmake: New buildsystem contributed by Kel Modderman. Closes: #566840
  * Fix typo in call to abs2rel in --builddir sanitize code.
    Closes: #567737

 -- Joey Hess <joeyh@debian.org>  Sat, 30 Jan 2010 20:23:02 -0500

debhelper (7.4.11) unstable; urgency=low

  * dh(1): Minor rewording of documentation of override commands.
    Closes: #560421
  * dh(1): Add an example of using an override target to avoid
    dh running several commands. Closes: #560600
  * dh_installman: Avoid doubled slashes in path. Closes: #561275
  * dh_installxfonts: Use new update-fonts-alias --include and
    --exclude options to better handle removal in the case where
    xfonts-utils is removed before a font package is purged.
    (#543512; thanks, Theppitak Karoonboonyanan)
  * dh: Optimise handling of noop overrides, avoiding an unnecessary
    call to make to handle them. (Modestas Vainius)

 -- Joey Hess <joeyh@debian.org>  Thu, 31 Dec 2009 11:32:34 -0500

debhelper (7.4.10) unstable; urgency=low

  * Add --parallel option that can be used to enable parallel building
    without limiting the max number of parallel jobs. (Modestas Vainius)
  * dh_makeshlibs: Temporarily revert fix for #557603, as it caused
    dpkg-gensymbols to see libraries not in the regular search path and
    broke builds. This will be re-enabled in v8. Closes: #560217

 -- Joey Hess <joeyh@debian.org>  Wed, 09 Dec 2009 15:17:19 -0500

debhelper (7.4.9) unstable; urgency=low

  * Typo. Closes: #558654
  * dh_installinit: Fix installation of defaults file when an upstart job is
    installed. Closes: #558782

 -- Joey Hess <joeyh@debian.org>  Mon, 30 Nov 2009 14:21:10 -0500

debhelper (7.4.8) unstable; urgency=low

  * Parallel building support is no longer enabled by default. It can still
    be enabled by using the --max-parallel option. This was necessary because
    some buildds build with -j2 by default. (See #532805)
  * dh: Document --no-act. Closes: #557505
  * dh_makeshlibs: Make -X also exclude libraries from the symbols file.
    Closes: #557603 (Peter Samuelson)

 -- Joey Hess <joeyh@debian.org>  Mon, 23 Nov 2009 13:57:10 -0500

debhelper (7.4.7) unstable; urgency=low

  * make: Avoid infinite make recursion that occurrs when testing existence
    of a target in a certian horribly broken makefile, by making the test stop
    after it sees one line of output from make. (This may be better replaced
    with dh's makefile parser in the future.) Closes: #557307

 -- Joey Hess <joeyh@debian.org>  Sat, 21 Nov 2009 13:35:22 -0500

debhelper (7.4.6) unstable; urgency=low

  * Update --list to reflect buildsystem autoselection changes.
  * Remove last vestiages of support for /usr/X11R6.
  * cmake: Fix deep recursion in test. Closes: #557299

 -- Joey Hess <joeyh@debian.org>  Sat, 21 Nov 2009 13:08:48 -0500

debhelper (7.4.5) unstable; urgency=low

  * ant: Fix auto-selection breakage. Closes: #557006 (Cyril Brulebois)

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Nov 2009 11:53:39 -0500

debhelper (7.4.4) unstable; urgency=low

  * The makefile buildsystem (and derived buildsystems cmake, autoconf, etc)
    now supports parallel building by default, as specified via
    DEB_BUILD_OPTIONS. Closes: #532805
  * dh_auto_*: Add --max-parallel option that can be used to control
    or disable parallel building. --max-parallel=1 will disable parallel
    building, while --max-parallel=N will limit the maximum number of
    parallel processes that can be specified via DEB_BUILD_OPTIONS.
  * Added some hacks to avoid warnings about unavailable jobservers when
    debhelper runs make, and the parent debian/rules was run in parallel
    mode (as dpkg-buildpackage -j currently does).
  * Thanks, Modestas Vainius for much of the work on parallel build support.
  * Add deprecation warnings for -u to the documentation, since putting
    options after -- is much more sane. (However, -u will not go away any
    time soon.) Closes: #554509
  * Separate deprecated programs in the list of commands in debhelper(7).
    Closes: #548382
  * Adjust code to add deprecation warning for compatibility level 4.
    (Man page already said it was deprecated.) Closes: #555899
  * dh_installdocs: Warn if a doc-base file cannot be parsed to find a
    document id. Closes: #555677
  * Typo. Closes: #555659
  * cmake: Set CTEST_OUTPUT_ON_FAILURE when running test suite.
    Closes: #555807 (Modestas Vainius)
  * autoconf: If configure fails, display config.log. Intended to make
    it easier to debug configure script failures on autobuilders.
    Closes: #556384
  * Improve build system autoselection process; this allows cmake to be
    autoselected for steps after configure, instead of falling back to
    makefile once cmake generated a makefile. Closes: #555805
    (Modestas Vainius)

 -- Joey Hess <joeyh@debian.org>  Wed, 18 Nov 2009 14:44:21 -0500

debhelper (7.4.3) unstable; urgency=low

  [ Valery Perrin ]
  * update french translation. Closes: #494300, #477703
  * add --previous at po4a command into Makefile
  * add dh, dh_auto_install, dh_auto_clean, dh_auto_configure,
    dh_auto_install, dh_auto_test, dh_bugfiles, dh_icons, dh_installifupdown,
    dh_installudev, dh_lintian, dh_prep into po4a.cfg manpages list
  * fix a spelling mistake in dh_makeshlibs man french
    translation (#494300 part 2)

  [ Joey Hess ]
  * dh_perl: Do not look at perl scripts under /usr/share/doc.
    Closes: #546683
  * Allow dpkg-architecture to print errors to stderr. Closes: #548636
  * python_distutils: Run default python last, not first, and pass --force
    to setup.py install to ensure that timestamps do not prevent installation
    of the scripts built for the default python, with unversioned shebang
    lines. Closes: #547510 (Thanks, Andrew Straw)

 -- Joey Hess <joeyh@debian.org>  Thu, 01 Oct 2009 14:37:38 -0400

debhelper (7.4.2) unstable; urgency=low

  * Man page typo. Closes: #545443
  * dh: Remove duplicate dh_installcatalogs list. Closes: #545483
    (It was only run once due to logging.)
  * dh_installdocs: Add --link-doc option that can be used to link
    documentation directories. This is easier to use and more flexible
    than the old method of running dh_link first to make a broken symlink.
    Closes: #545676 Thanks, Colin Watson
  * Reorder dh_pysupport call in dh sequence to come before
    dh_installinit, so the generated postinst script registers
    python modules before trying to use them. Closes: #546293
  * dh_installudev: With --name, install debian/<package>.<name>.udev
    to rules.d/<priority>-<name>, the same as debian/<name>.udev
    is installed for the first package. Closes: #546337

 -- Joey Hess <joeyh@debian.org>  Mon, 14 Sep 2009 15:46:49 -0400

debhelper (7.4.1) unstable; urgency=low

  [ Steve Langasek ]
  * dh_installinit: Support upstart job files, and provide compatibility
    symlinks in /etc/init.d for sysv-rc implementations.  Closes: #536035.

  [ Joey Hess ]
  * Add FILES sections to man pages. Closes: #545041
  * dh_prep(1): Clarify when it should be called. Closes: #544969

 -- Joey Hess <joeyh@debian.org>  Sun, 06 Sep 2009 18:44:40 -0400

debhelper (7.4.0) unstable; urgency=low

  * Optimise -s handling to avoid running dpkg-architecture if a package
    is arch all. This was, suprisingly, the only overhead of using the -s
    flag with arch all/any packages.
  * The -a flag now does the same thing as the -s flag, so debhelper users
    do not need to worry about using the -s flag when building a package
    that only builds for some architectures, and dh will also work in that
    situation. Closes: #540794

 -- Joey Hess <joeyh@debian.org>  Tue, 01 Sep 2009 13:41:16 -0400

debhelper (7.3.16) unstable; urgency=low

  * dh_desktop: Clarify in man page why it's a no-op.
    Closes: #543364
  * dh_installdocs: Loosen the Document field parsing, to accept
    everything doc-base *really* accepts in a doc id (not just what
    it's documented to accept). Closes: #543499
  * Allow sequence addons to pass options to debhelper commands,
    by adding add_command_options and remove_command_options to the interface.
    Closes: #543392
    (Modestas Vainius)
  * dh_auto_install: Add a --destdir parameter that can be used to override
    the default. Closes: #538201
    (Modestas Vainius)

 -- Joey Hess <joeyh@debian.org>  Wed, 26 Aug 2009 17:10:53 -0400

debhelper (7.3.15) unstable; urgency=low

  * dh_installudev: Install rules files into new location
    /lib/udev/rules.d/
  * dh_installudev: Add code to delete old conffiles unless
    they're modified, and in that case, rename them to override
    the corresponding file in /lib/udev. (Based on patch by
    Martin Pitt.) (Note that this file will not be deleted on purge --
    I can't see a good way to determine when it's appropriate to do
    that.)
  * dh_installudev: Set default priority to 60; dropping the "z".
    If --priority=zNN is passed, treat that as priority NN.
  * Above Closes: #491117
  * dh_installudev: Drop code handling move of /etc/udev/foo into
    /etc/udev/rules.d/.

 -- Joey Hess <joeyh@debian.org>  Fri, 21 Aug 2009 17:22:08 -0400

debhelper (7.3.14) unstable; urgency=low

  [ Colin Watson ]
  * dh: Add --list option to list available addons. Closes: #541302

  [ Joey Hess ]
  * Run pod2man with --utf8. Closes: #541270
  * dh: Display $@ error if addon load fails. Closes: #541845
  * dh_perl: Remove perl minimum dependency per new policy. Closes: #541811

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Aug 2009 15:55:48 -0400

debhelper (7.3.13) unstable; urgency=low

  [ Bernd Zeimetz ]
  * python_distutils.pm: Support debhelper backports.
    To allow backports of debhelper we don't pass
    --install-layout=deb to 'setup.py install` for those Python
    versions where the option is ignored by distutils/setuptools.
    Thanks to Julian Andres Klode for the bug report.
    Closes: #539324

 -- Joey Hess <joeyh@debian.org>  Fri, 14 Aug 2009 20:10:57 -0400

debhelper (7.3.12) unstable; urgency=low

  * dh: Allow creation of new sequences (such as to handle a patch
    target for quilt), by adding an add_command function to the
    sequence addon interface. See #540124.

 -- Joey Hess <joeyh@debian.org>  Thu, 06 Aug 2009 11:08:53 -0400

debhelper (7.3.11) unstable; urgency=low

  * perl_build: Fix Build check to honor source directory setting.

 -- Joey Hess <joeyh@debian.org>  Wed, 05 Aug 2009 13:52:34 -0400

debhelper (7.3.10) unstable; urgency=low

  * perl_build: Avoid failing if forced to be used in dh_auto_clean
    when Build does not exist (ie due to being run twice in a row).
    Closes: #539848
  * dh_builddeb: Fix man page typo. Closes: #539976
  * dh_installdeb: In udeb mode, support the menutest and isinstallable
    maintainer scripts. Closes: #540079 Thanks, Colin Watson.

 -- Joey Hess <joeyh@debian.org>  Wed, 05 Aug 2009 11:03:01 -0400

debhelper (7.3.9) unstable; urgency=low

  * cmake: Avoid forcing rpath off as this can break some test suites.
    It gets stripped by cmake at install time. Closes: #538977

 -- Joey Hess <joeyh@debian.org>  Sat, 01 Aug 2009 15:59:07 -0400

debhelper (7.3.8) unstable; urgency=low

  * Fix t/override_target to use ./run. Closes: #538315

 -- Joey Hess <joeyh@debian.org>  Sat, 25 Jul 2009 00:37:45 +0200

debhelper (7.3.7) unstable; urgency=low

  * First upload of buildsystems support to unstable.
    Summary: Adds --buildsystem (modular, OO buildsystem classes),
    --sourcedirectory, --builddirectory, and support for cmake
    and ant.

 -- Joey Hess <joeyh@debian.org>  Fri, 24 Jul 2009 12:07:47 +0200

debhelper (7.3.6) experimental; urgency=low

  * perl_makemaker: Re-add fix for #496157, lost in rewrite.

 -- Joey Hess <joeyh@debian.org>  Thu, 23 Jul 2009 18:17:45 +0200

debhelper (7.3.5) experimental; urgency=low

  [ Bernd Zeimetz ]
  * python_distutils buildsystem: Build for all supported Python
    versions that are installed. Ensure that correct shebangs are
    created by using `python' first during build and install.
    Closes: #520834
    Also build with python*-dbg if the package build-depends
    on them.

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Jul 2009 20:30:22 +0200

debhelper (7.3.4) experimental; urgency=low

  * Merged debhelper 7.2.24.

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Jul 2009 09:50:37 -0400

debhelper (7.3.3) experimental; urgency=low

  * Add ant buildsystem support. Closes: #537021
  * Merged debhelper 7.2.22.

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Jul 2009 17:16:28 -0400

debhelper (7.3.2) experimental; urgency=low

  * Merged debhelper 7.2.21.

 -- Joey Hess <joeyh@debian.org>  Wed, 08 Jul 2009 21:23:48 -0400

debhelper (7.3.1) experimental; urgency=low

  * Merged debhelper 7.2.20.

 -- Joey Hess <joeyh@debian.org>  Thu, 02 Jul 2009 12:28:55 -0400

debhelper (7.3.0) experimental; urgency=low

  * Modular object oriented dh_auto_* buildsystem support,
    contributed by Modestas Vainius
    - dh_auto_* --sourcedirectory can now be used to specify a source
      directory if sources and/or the whole buildsystem lives elsewhere
      than the top level directory. Closes: #530597
    - dh_auto_* --builddirectory can now be used to specify a build
      directory to use for out of source building, for build systems
      that support it. Closes: #480577
    - dh_auto_* --buildsystem can now be used to override the autodetected
      build system, or force use of a third-party class.
    - dh_auto_* --list can be used to list available and selected build
      systems.
    - Adds support for cmake.
    - For the perl_build build system, Build is used consistently
      instead of falling back to using the generated Makefile.
      Closes: #534332
    - Historical dh_auto_* behavior should be preserved despite these
      large changes..
  * Move two more command-specific options to only be accepted by the commands
    that use them. The options are:
    --sourcedir, --destdir
    If any third-party debhelper commands use either of the above options,
    they will be broken, and need to be changed to pass options to init().
  * Make dh not complain about unknown, command-specific options passed to it,
    and further suppress warnings about such options it passes on to debhelper
    commands. This was attempted incompletely before in version 7.2.17.

 -- Joey Hess <joeyh@debian.org>  Wed, 01 Jul 2009 15:31:20 -0400

debhelper (7.2.24) unstable; urgency=low

  * dh_install: Add test suite covering the last 5 bugs.

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Jul 2009 09:42:18 -0400

debhelper (7.2.23) unstable; urgency=low

  * dh_install: Fix support for the case where debian/tmp is
    explicitly specified in filename paths despite being searched by
    default. Closes: #537140

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Jul 2009 09:24:19 -0400

debhelper (7.2.22) unstable; urgency=low

  * dh_install: Fix support for the case where --sourcedir=debian/tmp/foo
    is used. Perl was not being greedy enough and the 'foo' was not stripped
    from the destination directory in this unusual case. Closes: #537017

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Jul 2009 17:08:25 -0400

debhelper (7.2.21) unstable; urgency=low

  * Add a versioned dep on perl-base, to get a version that supports
    GetOptionsFromArray. Closes: #536310

 -- Joey Hess <joeyh@debian.org>  Wed, 08 Jul 2009 21:08:45 -0400

debhelper (7.2.20) unstable; urgency=low

  * dh_install: Fix installation of entire top-level directory
    from debian/tmp. Closes: #535367

 -- Joey Hess <joeyh@debian.org>  Thu, 02 Jul 2009 12:17:42 -0400

debhelper (7.2.19) unstable; urgency=low

  * dh_install: Handle correctly the case where a glob expands to
    a dangling symlink, installing the dangling link as requested.
    Closes: #534565
  * dh_install: Fix fallback use of debian/tmp in v7 mode; a bug caused
    it to put files inside a debian/tmp directory in the package build
    directory, now that prefix is stripped. (See #534565)

 -- Joey Hess <joeyh@debian.org>  Tue, 30 Jun 2009 12:56:52 -0400

debhelper (7.2.18) unstable; urgency=low

  * dh_shlibdeps: Ensure DEBIAN directory exists, as dpkg-shlibdeps
    prints a confusing warning if it does not. Closes: #534226
  * dh_auto_install: Pass --install-layout=deb to setup.py
    to support python 2.6. Closes: #534620

 -- Joey Hess <joeyh@debian.org>  Mon, 29 Jun 2009 15:35:40 -0400

debhelper (7.2.17) unstable; urgency=low

  * Allow command-specific options to be passed to commands
    via dh without causing other commands to emit a getopt
    warning or deprecation message.
  * dh_installinfo: No longer inserts install-info calls into
    maintainer scripts, as that is now triggerized. Adds a dependency
    via misc:Depends to handle partial upgrades. Note that while
    dh_installinfo already required that info files had a INFO-DIR-SECTION,
    the new system also requires they have START-INFO-DIR-ENTRY and
    END-INFO-DIR-ENTRY for proper registration. I assume there will be
    some mass bug filing for any packages that do not have that.
    Closes: #534639, #357434

 -- Joey Hess <joeyh@debian.org>  Fri, 26 Jun 2009 09:02:51 -0400

debhelper (7.2.16) unstable; urgency=low

  * dh_gconf: Add missed half of postrm fragment removal. Closes: #531035

 -- Joey Hess <joeyh@debian.org>  Thu, 11 Jun 2009 12:50:33 -0400

debhelper (7.2.15) unstable; urgency=low

  * dh_strip, dh_shlibdeps: Add support for OCaml shared libraries.
    (Stephane Glondu) Closes: #527272, #532701
  * dh_compress: Avoid compressing .svg and .sgvz files, since these
    might be used as images on a html page, and also to avoid needing
    to special case the .svgz extension when compressing svg.
    Closes: #530253
  * dh_scrollkeeper: Now a deprecated no-op. Closes: #530806
  * dh_gconf: Remove postrm fragment that handled schema migration
    from /etc to /usr. Closes: #531035

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Jun 2009 17:14:07 -0400

debhelper (7.2.14) unstable; urgency=low

  * dh: Avoid writing log after override_dh_clean is run. Closes: #529228

 -- Joey Hess <joeyh@debian.org>  Mon, 18 May 2009 12:49:32 -0400

debhelper (7.2.13) unstable; urgency=low

  * dh_auto_configure: Pass --skipdeps safely via PERL_AUTOINSTALL.
    Closes: #528235

 -- Joey Hess <joeyh@debian.org>  Thu, 14 May 2009 15:21:21 -0400

debhelper (7.2.12) unstable; urgency=low

  * dh_auto_configure: Revert --skipdeps change
    Closes: #528647, reopens: #528235

 -- Joey Hess <joeyh@debian.org>  Thu, 14 May 2009 14:15:26 -0400

debhelper (7.2.11) unstable; urgency=low

  * dh: Support --with addon,addon,...
    Closes: #528178
  * dh_auto_configure: Add --skipdeps when running Makefile.PL,
    to prevent Module::Install from trying to download dependencies.
    Closes: #528235
  * Support debian/foo.os files to suppliment previous debian/foo.arch
    file support. Closes: #494914
    (Thanks, Aurelien Jarno)

 -- Joey Hess <joeyh@debian.org>  Tue, 12 May 2009 14:52:18 -0400

debhelper (7.2.10) unstable; urgency=low

  * Close COMPAT_IN filehandle. Closes: #527464
  * dh_auto_configure: Clarify man page re adding configure
    parameters. Closes: #527256
  * dh_auto_configure: Pass packlist=0 when running Makefile.PL,
    in case it is a Build.PL passthru, to avoid it creating
    the .packlist file. Closes: #527990

 -- Joey Hess <joeyh@debian.org>  Sun, 10 May 2009 13:07:08 -0400

debhelper (7.2.9) unstable; urgency=low

  * dh_fixperms: Ensure lintian overrides are mode 644.
    (Patch from #459548)
  * dh_fixperms: Fix permissions of OCaml .cmxs files. Closes: #526221
  * dh: Add --without to allow disabling sequence addons (particularly
    useful to disable the default python-support addon).

 -- Joey Hess <joeyh@debian.org>  Mon, 04 May 2009 14:46:53 -0400

debhelper (7.2.8) unstable; urgency=low

  * dh_desktop: Now a deprecated no-op, since desktop-file-utils
    uses triggers. Closes: #523474
    (also Closes: #521960, #407701 as no longer applicable)
  * Move dh sequence documentation to PROGRAMMING.

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Apr 2009 16:15:32 -0400

debhelper (7.2.7) unstable; urgency=low

  * Fix calling the same helper for separate packages in the override of dh
    binary-indep/binary-arch. Closes: #520567
  * Add --remaining-packages option (Modestas Vainius)
    Closes: #520615
  * Pass -L UTF-8 to po4a to work around bug #520942
  * dh_icons: ignore gnome and hicolor themes (will be handled
    by triggers). Closes: #521181

 -- Joey Hess <joeyh@debian.org>  Fri, 27 Mar 2009 14:15:29 -0400

debhelper (7.2.6) unstable; urgency=low

  * Examples files updated to add dh_bugfiles, remove obsolete
    dh_python.
  * dh_auto_test: Support DEB_BUILD_OPTIONS=nocheck. Closes: #519374

 -- Joey Hess <joeyh@debian.org>  Sun, 15 Mar 2009 17:54:48 -0400

debhelper (7.2.5) unstable; urgency=low

  * Set MODULEBUILDRC=/dev/null when running perl Build scripts
    to avoid ~/.modulebuildrc influencing the build. Closes: #517423
  * dh_installmenus: Revert removal of update-menus calls. Closes: #518919
    Menu refuses to add unconfigured packages to the menu, and thus
    omits packages when triggered, unfortunatly. I hope its behavior will
    change.

 -- Joey Hess <joeyh@debian.org>  Mon, 09 Mar 2009 16:20:41 -0400

debhelper (7.2.4) unstable; urgency=low

  * dh_makeshlibs: Fix --add-udeb, for real. Closes: #518706

 -- Joey Hess <joeyh@debian.org>  Sun, 08 Mar 2009 13:14:30 -0400

debhelper (7.2.3) unstable; urgency=low

  * dh_installmenus: Now that a triggers capable menu and dpkg are in
    stable, menu does not need to be explicitly run in maintainer
    scripts, except for packages with menu-methods files. (See #473467)
  * dh_installdocs: No longer add maintainer script code to call
    doc-base, as it supports triggers in stable.
  * dh_bugfiles: New program, contributed by Modestas Vainius.
    Closes: #326874
  * dh: Override LC_ALL, not LANG. re-Closes: #517617
  * dh_installchangelogs: Support -X to exclude automatic installation
    of specific upstream changelogs. re-Closes: #490937
  * Compat level 4 is now deprecated.
  * dh_makeshlibs: Re-add --add-udeb support. Closes: #518655
  * dh_shlibdeps: Remove --add-udeb switch (was accidentially added here).

 -- Joey Hess <joeyh@debian.org>  Sat, 07 Mar 2009 14:52:20 -0500

debhelper (7.2.2) unstable; urgency=low

  * dh_installmodules: Give files in /etc/modprobe.d a .conf
    syntax, as required by new module-init-tools.
  * dh_installmodules: Add preinst and postinst code to handle
    cleanly renaming the modprobe.d files on upgrade.
  * Two updates to conffile moving code from wiki:
    - Support case where the conffile name is a substring of another
      conffile's name.
    - Support case where dpkg-query says the file is obsolete.

 -- Joey Hess <joeyh@debian.org>  Wed, 04 Mar 2009 19:37:33 -0500

debhelper (7.2.1) experimental; urgency=low

  * Merged debhelper 7.0.52.

 -- Joey Hess <joeyh@debian.org>  Sat, 28 Feb 2009 20:01:22 -0500

debhelper (7.2.0) experimental; urgency=low

  * Merged debhelper 7.0.50.
  * dh: Fix typo. Closes: #509754
  * debhelper.pod: Fix typo. Closes: #510180
  * dh_gconf: Support mandatory settings. Closes: #513923
  * Improve error messages when child commands fail.
  * Depend on dpkg-dev 1.14.19, the first to support Package-Type
    fields in dpkg-gencontrol.
  * dh_gencontrol: No longer need to generate the udeb filename
    when calling dpkg-gencontrol.
  * dh_gencontrol: Do not need to tell dpkg-gencontol not to
    include the Homepage field in udebs (fixed in dpkg-dev 1.14.17).

 -- Joey Hess <joeyh@debian.org>  Thu, 26 Feb 2009 18:33:44 -0500

debhelper (7.1.1) experimental; urgency=low

  * dh_install(1): Order options alphabetically. Closes:# 503896
  * Fix some docs that refered to --srcdir rather than --sourcedir.
    Closes: #504742
  * Add Vcs-Browser field. Closes: #507804
  * Ignore unknown options in DH_OPTIONS. Debhelper will always ignore
    such options, even when unknown command-line options are converted back
    to an error. This allows (ab)using DH_OPTIONS to pass command-specific
    options.
    (Note that getopt will warn about such unknown options. Eliminating this
    warning without reimplementing much of Getopt::Long wasn't practical.)

 -- Joey Hess <joeyh@debian.org>  Sun, 14 Dec 2008 23:19:27 -0500

debhelper (7.1.0) experimental; urgency=low

  * dh_installchangelogs: Fall back to looking for changelog files ending
    with ".txt". Closes: #498460
  * dh_gencontrol: Ensure misc:Depends is set in substvars to avoid dpkg
    complaining about it when it's empty. Closes: #498666
  * dh: Fix typo in example. Closes: #500836
  * Allow individual debhelper programs to define their own special options
    by passing a hash to init(), which is later passed on the Getopt::Long.
    Closes: #370823
  * Move many command-specific options to only be accepted by the command
    that uses them. Affected options are:
    -x, -r, -R, -l, -L, -m,
    --include-conffiles, --no-restart-on-upgrade, --no-start,
    --restart-after-upgrade, --init-script, --filename, --flavor, --autodest,
    --libpackage, --add-udeb, --dpkg-shlibdeps-params,
    --dpkg-gencontrol-params, --update-rcd-params, --major, --remove-d,
    --dirs-only, --keep-debug, --version-info, --list-missing, --fail-missing,
    --language, --until, --after, --before, --remaining, --with
  * If any third-party debhelper commands use any of the above options,
    they will be broken, and need to be changed to pass options to init().
  * To avoid breaking rules files that pass options to commands that do not
    use them, debhelper will now only warn if it encounters an unknown
    option. This will be converted back to an error later.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Sep 2008 13:58:00 -0400

debhelper (7.0.52) unstable; urgency=low

  * dh: Fix make parsing to not be broken by locale settings.
    Closes: #517617

 -- Joey Hess <joeyh@debian.org>  Sat, 28 Feb 2009 19:52:34 -0500

debhelper (7.0.51) unstable; urgency=low

  * dh: Man page typos. Closes: #517549, #517550

 -- Joey Hess <joeyh@debian.org>  Sat, 28 Feb 2009 13:23:30 -0500

debhelper (7.0.50) unstable; urgency=low

  * This release is designed to be easily backportable to stable,
    to support the new style of rules file that I expect many packages will
    use.
  * dh: debian/rules override targets can change what is run
    for a specific debhelper command in a sequence.
    (Thanks Modestas Vainius for the improved makefile parser.)
  * dh: Redid all the examples to use override targets, since these
    eliminate all annoying boilerplate and are much easier to understand
    than the old method.
  * Remove rules.simple example, there's little need to use explicit targets
    with dh anymore.
  * dh: Support debian/rules calling make with -B,
    which is useful to avoid issues with phony implicit
    rules (see bug #509756).

 -- Joey Hess <joeyh@debian.org>  Fri, 27 Feb 2009 15:25:52 -0500

debhelper (7.0.17) unstable; urgency=low

  [ Per Olofsson ]
  * dh_auto_install: Fix man page, was referring to dh_auto_clean.

  [ Joey Hess ]
  * dh_gencontrol: Drop the Homepage field from udebs. Closes: #492719
  * Typo. Closes: #493062
  * dh_auto_install: Improve check for MakeMaker, to avoid passing PREFIX
    if the Makefile was generated by Module::Build::Compat. Closes: #496157

 -- Joey Hess <joeyh@debian.org>  Fri, 22 Aug 2008 22:30:12 -0400

debhelper (7.0.16) unstable; urgency=low

  * dh: Avoid passing --with on to subcommands. Closes: #490886
  * dh_installchangelogs: When searching for changelog in v7 mode, skip
    empty files. Closes: #490937

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Jul 2008 15:34:13 -0400

debhelper (7.0.15) unstable; urgency=low

  * dh_clean: Do not delete *-stamp files in -k mode in v7. Closes: #489918

 -- Joey Hess <joeyh@debian.org>  Wed, 09 Jul 2008 16:16:11 -0400

debhelper (7.0.14) unstable; urgency=low

  * Load python-support sequence file first, to allow ones loaded later to
    disable it.

 -- Joey Hess <joeyh@debian.org>  Sat, 05 Jul 2008 08:23:32 -0400

debhelper (7.0.13) unstable; urgency=low

  * dh_auto_install: Rather than looking at the number of binary packages
    being acted on, look at the total number of binary packages in the
    source package when deciding whether to install to debian/package or
    debian/tmp. This avoids inconsistencies when building mixed arch all+any
    packages using the binary-indep and binary-arch targets.
    Closes: #487938

 -- Joey Hess <joeyh@debian.org>  Wed, 25 Jun 2008 12:27:02 -0400

debhelper (7.0.12) unstable; urgency=medium

  * Correct docs about dh_install and debian/tmp in v7 mode. It first looks in
    the current directory, or whatever is configured with --srcdir. Then it
    always falls back to looking in debian/tmp.
  * Medium urgency to get this doc fix into testing.

 -- Joey Hess <joeyh@debian.org>  Wed, 25 Jun 2008 03:36:50 -0400

debhelper (7.0.11) unstable; urgency=low

  * dh: Man page fix. Closes: #485116
  * Add stamp files to example rules targets. Closes: #486327
  * Add a build dependency on file. The rules file now runs dh_strip and
    dh_shlibdeps, which both use it. (It could be changed not to, but
    it's good to have it run all the commands as a test.) Closes: #486439
  * Typo fix. Closes: #486464

 -- Joey Hess <joeyh@debian.org>  Mon, 16 Jun 2008 12:39:21 -0400

debhelper (7.0.10) unstable; urgency=low

  * dh_compress: Do not compress index.sgml files, as generated by gtk-doc.
    Closes: #484772

 -- Joey Hess <joeyh@debian.org>  Fri, 06 Jun 2008 11:48:39 -0400

debhelper (7.0.9) unstable; urgency=low

  * rules.tiny: Typo fix. Closes: #479647
  * dh_installinit: Add --restart-after-upgrade, which avoids stopping a
    daemon in the prerm, and instead restarts it in the postinst, keeping
    its downtime minimal. Since some daemons could break if files are upgraded
    while they're running, it's not the default. It might become the default
    in a future (v8) compatibility level. Closes: #471060
  * dh: fix POD error. Closes: #480191
  * dh: Typo fixes. Closes: #480200
  * dh: Add remove_command to the sequence interface.
  * dh_auto_clean: setup.py clean can create pyc files. Remove. Closes: #481899

 -- Joey Hess <joeyh@debian.org>  Mon, 19 May 2008 12:47:47 -0400

debhelper (7.0.8) unstable; urgency=low

  * dh: Add an interface that third-party packages providing debhelper commands
    can use to insert them into a command sequence.
    (See dh(1), "SEQUENCE ADDONS".)
  * dh: --with=foo can be used to include such third-party commands.
    So, for example, --with=cli could add the dh_cli* commands from
    cli-common.
  * Moved python-support special case out of dh and into a python-support
    sequence addon. --with=python-support is enabled by default to avoid
    breaking backwards compatibility.

 -- Joey Hess <joeyh@debian.org>  Sun, 04 May 2008 16:10:54 -0400

debhelper (7.0.7) unstable; urgency=low

  * dh_installxfonts: Fix precidence problem that exposes a new warning
    message in perl 5.10.

 -- Joey Hess <joeyh@debian.org>  Sun, 04 May 2008 13:43:41 -0400

debhelper (7.0.6) unstable; urgency=low

  * dh_auto_test: Correct Module::Build tests.

 -- Joey Hess <joeyh@debian.org>  Sat, 03 May 2008 12:58:50 -0400

debhelper (7.0.5) unstable; urgency=low

  * Convert copyright file to new format.
  * dh_test*: inhibit logging. Closes: #478958

 -- Joey Hess <joeyh@debian.org>  Thu, 01 May 2008 19:52:00 -0400

debhelper (7.0.4) unstable; urgency=low

  * Fix underescaped $ in Makefile. Closes: #478475
  * dh_auto_test: Run tests for Module::Build packages. (Florian Ragwitz)

 -- Joey Hess <joeyh@debian.org>  Wed, 30 Apr 2008 02:17:01 -0400

debhelper (7.0.3) unstable; urgency=low

  * dh: Fix man page typos. Closes: #477933
  * Add missing $! to error message when the log can't be opened.
  * One problem with the log files is that if dh_clean is not the last command
    run, they will be left behind. This is a particular problem on build
    daemons that use real root. Especially if cdbs is used, since it runs
    dh_listpackages after clean, thereby leaving behind log files that
    only root can touch. Avoid this particular special case by inhibiting
    logging by dh_listpackages.

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Apr 2008 01:40:03 -0400

debhelper (7.0.2) unstable; urgency=low

  * dh: Optimise the case where the binary-arch or binary-indep sequence is
    run and there are no packages of that type.
  * dh_auto_configure: Set PERL_MM_USE_DEFAULT when configuring MakeMaker
    packages to avoid interactive prompts.
  * dh_auto_*: Also support packages using Module::Build.
  * dh_auto_*: Fix some calls to setup.py. Now tested and working with
    python packages.
  * dh_install: Find all possible cases of "changelog" and "changes", rather
    than just looking for some predefined common cases.

 -- Joey Hess <joeyh@debian.org>  Thu, 24 Apr 2008 21:55:49 -0400

debhelper (7.0.1) unstable; urgency=low

  * I lied, one more v7 change slipped in..
  * dh_installchangelogs: In v7 mode, if no upstream changelog is specified,
    and the package is not native, guess at a few common changelog filenames.

 -- Joey Hess <joeyh@debian.org>  Thu, 24 Apr 2008 00:16:19 -0400

debhelper (7.0.0) unstable; urgency=low

  * dh: New program that runs a series of debhelper commands in a sequence.
    This can be used to construct very short rules files (as short as 3
    lines), while still exposing the full power of debhelper when it's
    needed.
  * dh_auto_configure: New program, automates running ./configure,
    Makefile.PL, and python distutils. Calls them with exactly the same
    options as cdbs does by default, and allows adding/overriding options.
  * dh_auto_build: New program, automates building the package by either
    running make or using setup.py. (Support for cmake and other build systems
    planned but not yet implemented.)
  * dh_auto_test: New program, automates running make test or make check
    if the Makefile has such a target.
  * dh_auto_clean: New program, automates running make clean (or distclean,
    or realclean), or using setup.py to clean up.
  * dh_auto_install: New program, automates running make install, or using
    setup.py to install. Supports the PREFIX=/usr special case needed by
    MakeMaker Makefiles. (Support for cmake and other build systems planned
    but not yet implemented.)
  * New v7 mode, which only has three changes from v6, and is the new
    recommended default, especially when using dh.
  * dh_install: In v7 mode, if --sourcedir is not specified, first look for
    files in debian/tmp, and then will look in the current directory. This
    allows dh_install to interoperate with dh_auto_install without needing any
    special parameters.
  * dh_clean: In v7 mode, read debian/clean and delete all files listed
    therein.
  * dh_clean: In v7 mode, automatically delete *-stamp files.
  * Add a Makefile and simplify this package's own rules file using
    all the new toys.
  * dh_clean: Don't delete core dumps. (Too DWIM, and "core" is not
    necessarily a core dump.) Closes: #477391
  * dh_prep: New program, does the same as dh_clean -k (which will be
    deprecated later).

 -- Joey Hess <joeyh@debian.org>  Wed, 23 Apr 2008 23:14:57 -0400

debhelper (6.0.12) unstable; urgency=low

  * dh_icons: Support .xpm format icons. Stop looking for .jpg icons, and
    also, for completeness, support .icon files. This matches the set of
    extensions supported by gtk-update-icon-cache. Closes: #448094

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Apr 2008 16:43:31 -0400

debhelper (6.0.11) unstable; urgency=medium

  * dh_installman: man --recode transparently uncompresses compressed
    pages. So when saving the output back, save it to a non-compressed
    filename (and delete the original, compressed file). Closes: #470913

 -- Joey Hess <joeyh@debian.org>  Tue, 01 Apr 2008 18:31:12 -0400

debhelper (6.0.10) unstable; urgency=low

  * dh_perl: Remove empty directories created by MakeMaker.

 -- Joey Hess <joeyh@debian.org>  Tue, 25 Mar 2008 14:11:57 -0400

debhelper (6.0.9) unstable; urgency=low

  * dh_installman: Don't recode symlinks. Closes: #471196

 -- Joey Hess <joeyh@debian.org>  Sun, 16 Mar 2008 13:53:39 -0400

debhelper (6.0.8) unstable; urgency=low

  * dh_installman: Convert all man pages in the build directory to utf-8, not
    just those installed by the program.

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Mar 2008 18:40:25 -0400

debhelper (6.0.7) unstable; urgency=low

  * dh_lintian: Finally added this since linda is gone and there's only
    lintian to worry about supporting. Closes: #109642, #166320, #206765
    (Thanks to Steve M. Robbins for the initial implementation.)

 -- Joey Hess <joeyh@debian.org>  Thu, 06 Mar 2008 13:55:46 -0500

debhelper (6.0.6) unstable; urgency=low

  * dh_compress: Pass -n to gzip to yeild more reproducible file contents.
    The time stamp information need not be contained in the .gz file since the
    time stamp is preserved when compressing and decompressing. Closes: #467100
  * The order of dependencies generated by debhelper has been completly random
    (hash key order), so sort it. Closes: #468959

 -- Joey Hess <joeyh@debian.org>  Wed, 05 Mar 2008 21:35:21 -0500

debhelper (6.0.5) unstable; urgency=low

  * dh_installman: Recode all man pages to utf-8 on installation.
    Closes: #462937 (Colin Watson)
  * Depend on a new enough version of man-db.

 -- Joey Hess <joeyh@debian.org>  Mon, 28 Jan 2008 16:43:10 -0500

debhelper (6.0.4) unstable; urgency=low

  * dh_strip: Improve the idempotency fix put in for #380314.
  * dh_strip: The -k flag didn't work (--keep did). Fix.
  * dh_shlibdeps: Add emul to exclude list.

 -- Joey Hess <joeyh@debian.org>  Sat, 26 Jan 2008 18:32:27 -0500

debhelper (6.0.3) unstable; urgency=low

  * dh_link: -X can be used to avoid it modifying symlinks to be compliant
    with policy. Closes: #461392
  * dh_shlibdeps: Rather than skipping everything in /usr/lib/debug,
    which can include debug libraries that dpkg-shlibdeps should look at,
    only skip the subdirectories of it that contain separate debugging
    symbols. (Hardcoding the names of those directories is not the best
    implementation, but it will do for now.) Closes: #461339

 -- Joey Hess <joeyh@debian.org>  Sun, 20 Jan 2008 15:27:59 -0500

debhelper (6.0.2) unstable; urgency=low

  * Revert slightly broken refactoring of some exclude code.
    Closes: #460340, #460351

 -- Joey Hess <joeyh@debian.org>  Sat, 12 Jan 2008 12:31:15 -0500

debhelper (6.0.1) unstable; urgency=low

  * dh_installdocs/examples: Don't unnecessarily use the exclude code path.
  * dh_install{,docs,examples}: Avoid infinite recursion when told to
    install a directory ending with "/." (slashdot effect?) when exclusion is
    enabled. Emulate the behavior of cp in this case. Closes: #253234
  * dh_install: Fix #459426 here too.

 -- Joey Hess <joeyh@debian.org>  Fri, 11 Jan 2008 14:15:56 -0500

debhelper (6.0.0) unstable; urgency=low

  * dh_gencontrol: Stop passing -isp, it's the default now. Closes: #458114
  * dh_shlibdeps: Update documentation for -L and -l. dpkg-shlibdeps is now
    much smarter, and these options are almost never needed. Closes: #459226
  * dh_shlibdeps: If a relative path is specified in -l, don't prepend the pwd
    to it, instead just prepend a slash to make it absolute. dpkg-shlibdeps
    has changed how it used LD_LIBRARY_PATH, so making it point into the
    package build directory won't work.
  * dh_shlibdeps: Change "-L pkg" to cause "-Sdebian/pkg" to be passed to
    dpkg-shlibdeps. The old behavior of passing -L to dpkg-shlibdeps didn't
    affect where it looked for symbols files. Closes: #459224
  * Depend on dpkg-dev 1.14.15, the first to support dpkg-shlibdeps -S.
  * dh_installdocs, dh_installexamples: Support files with spaces in exclude
    mode. Closes: #459426
  * debhelper v6 mode is finalised and is the new recommended compatibility
    level.

 -- Joey Hess <joeyh@debian.org>  Tue, 08 Jan 2008 17:12:36 -0500

debhelper (5.0.63) unstable; urgency=low

  * dh_installdocs: Tighten doc-base document id parsing to only accept
    the characters that the doc-base manual allows in the id. Closes: #445541

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Dec 2007 22:54:51 -0500

debhelper (5.0.62) unstable; urgency=low

  * Remove execute bit from desktop files in /usr/share/applications.
    Closes: #452337
  * Fix man page names of translated debhelper(7) man pages.
    Patch from Frédéric Bothamy. Closes: 453051
  * dh_makeshlibs: Use new -I flag to specify symbol files, necessary to
    properly support includes. Closes: #452717
  * Increase dpkg-dev dependency to 1.14.12 to ensure that dh_makeshlibs
    isn't used with an old dpkg-gensymbols that doesn't support -I.

 -- Joey Hess <joeyh@debian.org>  Thu, 29 Nov 2007 12:04:59 -0500

debhelper (5.0.61) unstable; urgency=low

  * Man page fix re v4. Closes: #450608
  * dh_makeshlibs: Support symbols files. Closes: #443978
    Packages using this support should build-depend on dpkg-dev (>= 1.14.8).
    Symbols files can be downloaded from mole:
    http://qa.debian.org/cgi-bin/mole/seedsymbols

 -- Joey Hess <joeyh@debian.org>  Mon, 19 Nov 2007 14:27:57 -0500

debhelper (5.0.60) unstable; urgency=low

  * Debhelper is now developed in a git repository.
  * Reword paragraph about debian/compress files to perhaps be more clear
    about the debian/compress file. Closes: #448759
  * dh_installdirs(1): Remove unnecessary caveat about slashes.
  * dh_icons: Now that GTK 2.12 has entered testing, use the much simpler to
    call update-icon-caches command. Thanks, Josselin Mouette.

 -- Joey Hess <joeyh@debian.org>  Fri, 02 Nov 2007 23:21:08 -0400

debhelper (5.0.59) unstable; urgency=low

  * dh_installdeb: Add support for dpkg triggers, by installing
    debian/package.triggers files.

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Oct 2007 13:59:18 -0400

debhelper (5.0.58) unstable; urgency=low

  * dh_clean: append "/" to the temp dir name to avoid removing
    a file with the same name. Closes: #445638

 -- Joey Hess <joeyh@debian.org>  Fri, 19 Oct 2007 21:25:50 -0400

debhelper (5.0.57) unstable; urgency=low

  * Add --ignore option. This is intended to ease dealing with upstream
    tarballs that contain debian directories, by allowing debhelper config
    files in those directories to be ignored, since there's generally no
    good way to delete them out of the upstream tarball, and they can easily
    get in the way if upstream is using debian/ differently than the Debian
    maintainer.

 -- Joey Hess <joeyh@debian.org>  Sun, 30 Sep 2007 13:42:09 -0400

debhelper (5.0.56) unstable; urgency=low

  * dh_installmodules: Since modutils is gone, stop supporting
    debian/*.modutils files. Warn about such files. Closes: #443127

 -- Joey Hess <joeyh@debian.org>  Tue, 18 Sep 2007 18:16:13 -0400

debhelper (5.0.55) unstable; urgency=low

  * dh_desktop: Only generate calls to update-desktop-database for desktop
    files with MimeType fields. Patch from Emmet Hikory. Closes: #427831
  * dh_strip: Don't run objcopy if the output file already exists.
    Closes: #380314
  * dh_strip: Check that --dbg-package lists the name of a real package.
    Closes: #442480

 -- Joey Hess <joeyh@debian.org>  Sun, 16 Sep 2007 19:50:08 -0400

debhelper (5.0.54) unstable; urgency=low

  * dh_strip: Man page reference to policy section on DEB_BUILD_OPTIONS.
    Closes: #437337
  * dh_link: Skip self-links. Closes: #438572
  * Don't use - in front of make clean in example rules files.
  * Typo. Closes: #441272

 -- Joey Hess <joeyh@debian.org>  Sat, 08 Sep 2007 21:52:40 -0400

debhelper (5.0.53) unstable; urgency=low

  * dh_icons: Check for index.theme files before updating the cache.
    Closes: #432824

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Jul 2007 14:51:00 -0400

debhelper (5.0.52) unstable; urgency=low

  * Remove DOS line endings from dh_icons scriptlets. Thanks, Daniel Holbach.
    Closes: #432321

 -- Joey Hess <joeyh@debian.org>  Mon, 09 Jul 2007 11:26:18 -0400

debhelper (5.0.51) unstable; urgency=low

  * dh_icons: New program to update Freedesktop icon caches. Thanks
    to Josselin Mouette, Ross Burton, Jordi Mallach, and Loïc Minier.
    Closes: #329460
  * Note that as a transitional measure, dh_icons will currently only update
    existing caches, and not create and new caches. Once everything is
    updating the icon caches, this will be changed. See #329460 for the full
    plan.
  * Remove possibly confusing (though strictly accurate) sentence from
    dh_installdirs.1. Closes: #429318
  * dh_gencontrol: Fix man page typo. Closes: #431232

 -- Joey Hess <joeyh@debian.org>  Sun, 08 Jul 2007 18:16:21 -0400

debhelper (5.0.50) unstable; urgency=low

  * dh_installwm: If a path is not given, assume the file is in usr/bin, since
    usr/X11R6/bin now points to there.
  * Update urls to web page.
  * Add some checks for attempts to act on packages not defined in the control
    file. (Thanks Wakko)
  * Use dpkg-query to retrieve conffile info in udev rules upgrade code
    rather than parsing status directly. (Thanks Guillem)

 -- Joey Hess <joeyh@debian.org>  Thu, 31 May 2007 13:14:06 -0400

debhelper (5.0.49) unstable; urgency=low

  * dh_installwm: Fix several stupid bugs, including:
    - man page handling was supposed to be v6 only and was not
    - typo in alternatives call
    - use the basename of the wm to get the man page name
    Closes: #420158
  * dh_installwm: Also make the code to find the man page more robust and
    fall back to not registering a man page if it is not found.

 -- Joey Hess <joeyh@debian.org>  Fri, 20 Apr 2007 13:43:35 -0400

debhelper (5.0.48) unstable; urgency=low

  * Remove use of #SECTION# from dh_installinfo postinst snippet
    that was accidentially re-added in 5.0.46 due to a corrupt svn checkout.
    Closes: #419849

 -- Joey Hess <joeyh@debian.org>  Wed, 18 Apr 2007 13:24:58 -0400

debhelper (5.0.47) unstable; urgency=low

  * Fix absurd typo. How did I test for an hour and miss that? Closes: #419612

 -- Joey Hess <joeyh@debian.org>  Mon, 16 Apr 2007 18:20:20 -0400

debhelper (5.0.46) unstable; urgency=low

  * Fix a typo in postinst-udev.

 -- Joey Hess <joeyh@debian.org>  Mon, 16 Apr 2007 12:39:41 -0400

debhelper (5.0.45) unstable; urgency=low

  * dh_installudev: Install udev rules directly into /etc/udev/rules.d/, not
    using the symlinks. MD has agreed that this is more appropriate for most
    packages.
  * That fixes the longstanding bug that the symlink was only made on brand
    new installs of the package, rather than on upgrade to the first version
    that includes the udev rules file. Closes: #359614
  * This avoids the need to run udevcontrol reload_rules, since inotify
    will see the file has changed. Closes: #414537
  * dh_installudev: Add preinst and postinst code to handle cleanly moving
    the rules file to the new location on upgrade.
  * This would be a good time for the many packages that manage rules files
    w/o using dh_installudev to begin to use it..
  * Do script fragement reversal only in v6, since it can break certian
    third party programs such as dh_installtex. Closes: #419060

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Apr 2007 12:34:10 -0400

debhelper (5.0.44) unstable; urgency=low

  * dh_installudev: Don't fail if the link already somehow exists on initial
    package install. Closes: #415717
  * prerm and postrm scripts are now generated in a reverse order than
    preinst and postinst scripts. For example, if a package uses
    dh_pysupport before dh_installinit, the prerm will first stop the init
    script and then remove the python files.
  * Introducing beginning of v6 mode.
  * dh_installwm: In v6 mode, install a slave manpage link for
    x-window-manager.1.gz. Done in v6 mode because some window managers
    probably work around this longstanding debhelper bug by registering the
    slave on their own. This bug was only fixable once programs moved out of
    /usr/X11R6. Closes: #85963
  * dh_builddeb: In v6 mode, fix bug in DH_ALWAYS_EXCLUDE handling, to work
    the same as all the other code in debhelper. This could only be fixed in
    v6 mode because packages may potentially legitimately rely on the old
    buggy behavior. Closes: #242834
  * dh_installman: In v6 mode, overwrite existing man pages. Closes: #288250
  * Add dh_installifupdown. Please consider using this if you have
    /etc/network/if-up.d, etc files. Closes: #217552

 -- Joey Hess <joeyh@debian.org>  Mon, 09 Apr 2007 15:18:22 -0400

debhelper (5.0.43) unstable; urgency=low

  [ Valery Perrin ]
  * Correct typo in french translation

  [ Joey Hess ]
  * Typo. Closes: #400571
  * dh_fixperms: Change a chmod +x to chmod a+x, to avoid the umask
    influencing it.
  * Looks like Package-Type might get into dpkg. Support it w/o the XB-
    too.
  * dh_installudev: Fix postrm to not fail if the udev symlink is missing.
    Closes: #406921, #381940
  * dh_fixperms: Make all files in /usr/include 644, not only .h files.
    Closes: #404785
  * Man page improvements. Closes: #406707
  * dh_installdocs: In v5 mode, now ignore empty files even if they're hidden
    away inside a subdirectory. The code missed this before. See #200905
  * dh_installudev: Support debian/udev files. Closes: #381854
  * dh_installudev: Treat --priority value as a string so that leading zeros
    can be used (also so that a leading "z" that is not "z60" can be
    specified). Closes: #381851
  * Misc minor changes.

 -- Joey Hess <joeyh@debian.org>  Sun, 21 Jan 2007 12:44:02 -0500

debhelper (5.0.42) unstable; urgency=low

  [ Valery Perrin ]
  * Update french translation with recents changes in dh_link and
    dh_installinfo

  [ Joey Hess ]
  * Patch from Simon Paillard to convert French manpages from utf-8 to
    ISO-8859-15. Closes: #397953

 -- Joey Hess <joeyh@debian.org>  Sun, 12 Nov 2006 17:32:23 -0500

debhelper (5.0.41) unstable; urgency=low

  [ Joey Hess ]
  * dh_installchangelogs man page typo. Closes: #393155

  [ Valery Perrin ]
  * Encoding french translation from charset ISO-8859-1 to UTF-8
  * Update french translation with recent change in dh_installchangelogs

  [ Joey Hess ]
  * Tighten python-support and python-central dependencies of debhelper,
    in an IMHO rather futile attempt to deal with derived distributions.
    Closes: #395495
  * Correct some incorrect instances of "v4 only" in docs. Closes: #381536
  * dh_installinfo: Put the section madness to bed by not passing any section
    information to install-info. Current install-info parses INFO-DIR-SECTION
    on its own if that's not specified. Closes: #337215

 -- Joey Hess <joeyh@debian.org>  Tue,  7 Nov 2006 17:04:47 -0500

debhelper (5.0.40) unstable; urgency=medium

  [ Valery Perrin ]
  * Update french translation with recent change in dh_python

  [ Joey Hess ]
  * Tighten conflict with python-central. Closes: #391463

 -- Joey Hess <joeyh@debian.org>  Fri,  6 Oct 2006 14:21:28 -0400

debhelper (5.0.39) unstable; urgency=low

  * dh_python: Also be a no-op if there's a Python-Version control file field.

 -- Joey Hess <joeyh@debian.org>  Tue,  3 Oct 2006 13:02:24 -0400

debhelper (5.0.38) unstable; urgency=low

  [ Valery Perrin ]
  * Update french translation with recent change in dh_installmodules

  [ Joey Hess]
  * ACK last three NMUs with thanks to Raphael Hertzog for making the best of
    a difficult situation.
  * Revert all dh_python changes. Closes: #381389, #378604
  * Conflict with python-support <= 0.5.2 and python-central <= 0.5.4.
  * Make dh_python do nothing if debian/pycompat is found.
    The new versions of dh_pysupport or dh_pycentral will take care of
    everything dh_python used to do in this situation.
  * dh_python is now deprecated. Closes: #358392, #253582, #189474
  * move po4a to Build-Depends as it's run in clean.
  * Add size test, which fails on any debhelper program of more than 150
    lines (excluding POD). This is not a joke, and 100 lines would be better.
  * Add size test exception for dh_python, since it's deprecated.

 -- Joey Hess <joeyh@debian.org>  Sun,  1 Oct 2006 13:07:40 -0400

debhelper (5.0.37.3) unstable; urgency=low

  * Non-maintainer upload.
  * Update of dh_python
    - when buidling for a non-standard Python version, generate more
      reasonable Depends like "python (>= X.Y) | pythonX.Y"
      Closes: #375576
    - fix handling of private extensions. Closes: #375948
    - fix parsing of XS-Python-Version, it didn't work if only fixed versions
      were listed in XS-Python-Version.
    - fix use of unitialized value. Closes: #374776
    - fix typos in POD documentation. Closes: #375936

 -- Raphael Hertzog <hertzog@debian.org>  Mon, 10 Jul 2006 13:20:06 +0200

debhelper (5.0.37.2) unstable; urgency=low

  * Non-maintainer upload.
  * Update of dh_python
    - vastly refactored, easier to understand, and the difference
      between old policy and new policy is easier to grasp
    - it supports an -X option which can be used to not scan some files
    - uses debian/pyversions as reference source of information for
      dependencies but also parse the XS-Python-Version header as fallback.
    - ${python:Versions}'s default value is XS-Python-Version's value
      instead of "all" when the package doesn't depend on a
      specific python version. Closes: #373853
    - always generate ${python:Provides} and leave the responsibility to the
      maintainer to not use ${python:Provides} if he doesn't want the
      provides.
    - uses debian/pycompat or DH_PYCOMPAT as reference field to run in new
      policy mode. The presence of XS-Python-Version will also trigger the
      new policy mode (this is for short-term compatibility, it may be removed in
      the not too-distant future).
      DH_PYCOMPAT=1 is the default mode and is compatible to the old policy.
      DH_PYCOMPAT=2 is the new mode and is compatible with the new policy.
  * Use "grep ^Version:" instead of "grep Version:" on the output of
    dpkg-parsechangelog since the above changelog entry matched "Version:" and
    thus made the build fail.

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 17 Jun 2006 20:44:29 +0200

debhelper (5.0.37.1) unstable; urgency=low

  * Non-maintainer upload.
  * Integrate the new dh_python implementing the new Python policy. Closes: #370833

 -- Raphael Hertzog <hertzog@debian.org>  Mon, 12 Jun 2006 08:58:22 +0200

debhelper (5.0.37) unstable; urgency=low

  * dh_installmodules: depmod -a is no longer run during boot, so if a module
    package is installed for a kernel other than the running kernel, just
    running depmod -a in the postinst is no longer sufficient. Instead, run
    depmod -a -F /boot/System.map-<kvers> <kvers>
    The kernel version is guessed at based on the path to the modules in the
    package. Closes: #301424
  * dh_installxfonts: In postrm, run the deregistraton code even on upgrade,
    in case an upgrade involves moving fonts around (or removing or renaming
    fonts). Closes: #372686

 -- Joey Hess <joeyh@debian.org>  Sun, 11 Jun 2006 21:17:38 -0400

debhelper (5.0.36) unstable; urgency=low

  [ Valery Perrin ]
  * Update french translation with recent change in dh_installxfonts

  [ Joey Hess ]
  * Remove old alternate dependency on fileutils. Closes: #370011
  * Patch from Guillem Jover to make --same-arch handling code support
    the new form of architecture wildcarding which allows use of things
    like "linux-any" and "any-i386" in the Architecture field. Closes: #371082
  * Needs dpkg-dev 1.13.13 for dpkg-architecture -s support needed by
    above, but already depends on that.

 -- Joey Hess <joeyh@debian.org>  Fri,  9 Jun 2006 14:57:19 -0400

debhelper (5.0.35) unstable; urgency=low

  * dh_installman: When --language is used, be smarter about stripping
    language codes from man page filenames. Only strip things that look like
    codes that match the specified languages. Closes: #366645
  * dh_installxfonts: /etc/X11/fonts/X11R7 is deprecated, back to looking in
    old location, and not passing --x11r7-layout to update-fonts-alias and
    update-fonts-scale (but still to update-fonts-dir). Closes: #366234

 -- Joey Hess <joeyh@debian.org>  Wed, 10 May 2006 20:09:00 -0400

debhelper (5.0.34) unstable; urgency=low

  * dh_installcatalogs: Make sure that /etc/sgml exists. Closes: #364946

 -- Joey Hess <joeyh@debian.org>  Thu, 27 Apr 2006 12:07:56 -0400

debhelper (5.0.33) unstable; urgency=low

  [ Valery Perrin ]
  * Update french translation with recent change in dh_installxfonts

  [ Joey Hess ]
  * dh_installxfonts: Patch from Theppitak Karoonboonyanan to fix
    an instance of /etc/X11/fonts/ that was missed before. Closes: #364530

 -- Joey Hess <joeyh@debian.org>  Sun, 23 Apr 2006 22:37:54 -0400

debhelper (5.0.32) unstable; urgency=low

  * dh_installudev: Include rules.d directory so symlink can be made even
    before udev is installed. Closes: #363307

 -- Joey Hess <joeyh@debian.org>  Tue, 18 Apr 2006 10:13:54 -0400

debhelper (5.0.31) unstable; urgency=low

  [ Valery Perrin ]
  * Update french translation with recents changes in dh_installxfonts,
    dh_link and dh_compress manpages
  * Delete -f option in po4a command line. Bug in po4a has been corrected in
    new version (0.24.1).
  * Change build-depends for po4a. New version (0.24.1).
  * Add code for removing empty "lang" directories into man/ when cleaning.

  [ Joey Hess ]
  * dh_installxfonts: pass --x11r7-layout to update-fonts-* commands to ensure
    they use the right new directory. Closes: #362820
  * dh_installxfonts: also, alias files have moved from /etc/X11/fonts/* to
    /etc/X11/fonts/X11R7/*, update call to update-fonts-alias and the man page
    accordingly; packages containing alias files will need to switch to the
    new directory on their own.
  * dh_installudev: correct documentation for --name. Closes: #363028
  * Fix broken directory removal code.

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Apr 2006 16:12:41 -0400

debhelper (5.0.30) unstable; urgency=low

  * Convert the "I have no packages to build" error into a warning. Am I
    really the first person to run into the case of a source package that
    builds an arch all package and an single-arch package? In this case,
    the binary-arch target needs to use -s and do nothing when run on some
    other arch, and debhelper will now support this.

 -- Joey Hess <joeyh@debian.org>  Fri, 14 Apr 2006 00:35:55 +0200

debhelper (5.0.29) unstable; urgency=low

  * dh_installxfonts: Random hack to deal with X font dirs moving to
    /usr/share/fonts/X11/ -- look there for fonts as well as in the old
    location, although the old location probably won't be seen by X anymore.
  * dh_installxfonts: Generate misc:Depends on new xfonts-utils.
  * dh_compress: compress pcm fonts under usr/share/fonts/X11/
  * dh_link: change example that used X11R6 directory.

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Apr 2006 10:29:29 +0200

debhelper (5.0.28) unstable; urgency=low

  * dh_makeshlibs: Fix udeb package name regexp. Closes: #361677

 -- Joey Hess <joeyh@debian.org>  Sun,  9 Apr 2006 13:05:50 -0400

debhelper (5.0.27) unstable; urgency=low

  [ Joey Hess ]
  * Typo. Closes: #358904
  * dh_install: swap two paras in man page for clarity. Closes: #359182
  * dh_installman: die with an error if a man page read for so lines fails
    Closes: #359020

  [ Valery Perrin ]
  * Update pot file and french translation with recent changes in
    dh_installdirs and dh_movefiles manpages

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Mar 2006 15:22:12 -0500

debhelper (5.0.26) unstable; urgency=high

  * dh_installinit: Fix badly generated code in maint scripts that used
     || exit 0   instead of the intended
     || exit $?
    due to a bad shell expansion and caused invoke-rc.d errors to be
    ignored. Closes: #337664

    Note: This has been broken since version 4.2.12 and has affected many
    packages.

 -- Joey Hess <joeyh@debian.org>  Wed, 22 Mar 2006 19:33:38 -0500

debhelper (5.0.25) unstable; urgency=low

  * dh_installdebconf: For udebs, misc:Depends will now contain cdebconf-udeb.

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Mar 2006 16:13:05 -0500

debhelper (5.0.24) unstable; urgency=low

  [ Joey Hess ]
  * Add dh_installudev by Marco d'Itri.

  [ vperrin forgot to add this to the changelog when committing ]
  * Update pot file and french translation with recent changes in
     the dh_installdebconf manpage
  * Add -f option to force .pot file re-building. This is in waiting
    a patch, correcting a bug in po4a_0.23.1
  * Add --rm-backups in clean: Otherwise ll.po~ are included in the
    source package. (see debhelper_5.0.22.tar.gz)

 -- Joey Hess <joeyh@debian.org>  Thu, 23 Feb 2006 11:40:22 -0500

debhelper (5.0.23) unstable; urgency=low

  * dh_strip: remove binutils build-dep lines since stable has a new enough
    version. Closes: #350607
  * dh_installdebconf: drop all support for old-style translated debconf
    templates files via debconf-mergetemplate (keep a warning if any are
    found, for now). Allows dropping debhelper's dependency on
    debconf-utils. Closes: #331796

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Feb 2006 16:42:30 -0500

debhelper (5.0.22) unstable; urgency=low

  * dh_makeshlibs: add support for adding udeb: lines to shlibs file
    via --add-udeb parameter. Closes: #345471
  * dh_shlibdeps: pass -tudeb to dpkg-shlibdeps for udebs. Closes: #345472
  * Depends on dpkg-dev 1.13.13 for dh_shlibdeps change.

 -- Joey Hess <joeyh@debian.org>  Sat, 28 Jan 2006 13:04:53 -0500

debhelper (5.0.21) unstable; urgency=low

  * dh_installman: correct mistake that broke translated man page installation
    Closes: #349995

 -- Joey Hess <joeyh@debian.org>  Thu, 26 Jan 2006 12:32:44 -0500

debhelper (5.0.20) unstable; urgency=low

  * Minor bug fix from last release.

 -- Joey Hess <joeyh@debian.org>  Mon, 23 Jan 2006 20:29:10 -0500

debhelper (5.0.19) unstable; urgency=low

  * dh_installman: add support for --language option to override man page
    language guessing. Closes: #193221

 -- Joey Hess <joeyh@debian.org>  Mon, 23 Jan 2006 18:52:00 -0500

debhelper (5.0.18) unstable; urgency=low

  * Improved po4a cleaning. Closes: #348521
  * Reverted change in 4.1.9, so generation of EXCLUDE_FIND escapes "." to
    "\\.", which turns into "\." after being run through the shell, and
    prevents find from treating -X.svn as a regexp that matches files such
    as foo/svn.vim. (It's safe to do this now that all uses of EXCLUDE_FIND are
    via complex_doit(), which was not the case of dh_clean when this change
    was originally made.) Closes: #349070

 -- Joey Hess <joeyh@debian.org>  Fri, 20 Jan 2006 17:09:31 -0500

debhelper (5.0.17) unstable; urgency=low

  * dh_python: Temporarily revert change in 5.0.13 to make use of
    python-support for packages providing private modules or python-only
    modules, since python policy hasn't been updated for this yet.
    Closes: #347758

 -- Joey Hess <joeyh@debian.org>  Mon, 16 Jan 2006 17:39:20 -0500

debhelper (5.0.16) unstable; urgency=low

  * Fix dangling markup in dh_installinit pod. Closes: #348073
  * Updated French translation from Valéry Perrin. Closes: #348074

 -- Joey Hess <joeyh@debian.org>  Sun, 15 Jan 2006 17:29:27 -0500

debhelper (5.0.15) unstable; urgency=low

  * Fix ghastly option parsing error in last release that broke
    --noscripts (-n was ok). Thanks, Marc Haber. Closes: #347577

 -- Joey Hess <joeyh@debian.org>  Wed, 11 Jan 2006 12:38:41 -0500

debhelper (5.0.14) unstable; urgency=low

  * dh_installinit: If run with -o, do the inverse of -n and only
    set up maintainer script snippets, w/o installing any files.
    Useful for those edge cases where the init script is provided by upstream
    and not easily installed by dh_installinit but where it's worth letting
    it manage the maintainer scripts anyway. Closes: #140881, #184980
  * -o might be added for other similar commands later if there is any
    reason to. And yeah, it means that -no is close to a no-op..

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Jan 2006 17:21:52 -0500

debhelper (5.0.13) unstable; urgency=low

  [ Joey Hess ]
  * debhelper svn moved to alioth
  * debhelper(7): document previous dh_install v5 change re wildcarding.
  * dh_link: add special case handling for paths to a directory containing the
    link. Closes: #346405
  * dh_link: add special case handling for link to /

  [ Josselin Mouette ]
  * dh_python: make use of python-support for packages providing private
    modules or python-only modules. This should greatly reduce the
    number of packages needing to transition together with python.
  * postinst-python: don't build the .pyo files, they aren't even used!
  * dh_gconf: add support for debian/package.gconf-defaults, to provide
    defaults for a package without patching the schemas.

 -- Joey Hess <joeyh@debian.org>  Sat,  7 Jan 2006 23:34:26 -0500

debhelper (5.0.12) unstable; urgency=low

  * dh_installdocs: document that -X affects doc-base file installation.
    Closes: #345291

 -- Joey Hess <joeyh@debian.org>  Fri, 30 Dec 2005 14:27:14 -0500

debhelper (5.0.11) unstable; urgency=low

  * French translation update. Closes: #344133

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Dec 2005 14:40:25 -0500

debhelper (5.0.10) unstable; urgency=low

  * dh_installdocs: Fix bug introduced by empty file skipping that prevented
    errors for nonexistent files. Closes: #342729

 -- Joey Hess <joeyh@debian.org>  Fri,  9 Dec 2005 18:05:15 -0500

debhelper (5.0.9) unstable; urgency=low

  * dh_installmodules: always run depmod, since if module-init-tools but not
    modutils is installed, it will not get run by update-modules.
    Closes: #339658

 -- Joey Hess <joeyh@debian.org>  Thu,  8 Dec 2005 13:04:11 -0500

debhelper (5.0.8) unstable; urgency=low

  * Man page type fixes (yes, more, nice to know people read the man pages).
    Closes: #341289
  * dh_installdocs: Make -X also exclude matching doc-base files from being
    installed. Closes: #342033

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Dec 2005 14:31:23 -0500

debhelper (5.0.7) unstable; urgency=low

  * Patch from Valéry Perrin to update Frensh translation, and also update
    the po4a stuff. Closes: #338713
  * Fix a bad regexp in -s handling code that breaks if an architecture name,
    such as i386-uclibc is the hyphenated version of a different arch.
    Closes: #338555

 -- Joey Hess <joeyh@debian.org>  Sun, 13 Nov 2005 13:28:13 -0500

debhelper (5.0.6) unstable; urgency=low

  * Pass --name in debhelper.pod pod2man run. Closes: #338349

 -- Joey Hess <joeyh@debian.org>  Wed,  9 Nov 2005 16:08:27 -0500

debhelper (5.0.5) unstable; urgency=low

  * Create Dh_Version.pm before running syntax test. Closes: #338337

 -- Joey Hess <joeyh@debian.org>  Wed,  9 Nov 2005 15:41:06 -0500

debhelper (5.0.4) unstable; urgency=low

  * Remove hardcoded paths to update-modules and gconf-schemas in various
    script fragments.
  * dh_clean: Patch from Matej Vela to clean up autom4te.cache directories
    in subdiretories of the source tree and do it all in one enormous,
    evil, and fast find expression. Closes: #338193

 -- Joey Hess <joeyh@debian.org>  Tue,  8 Nov 2005 16:16:56 -0500

debhelper (5.0.3) unstable; urgency=low

  * Remove dh_shlibs from binary-indep section of debian/rules.
  * Add t/syntax to make sure all dh_* commands and the libraries syntax check
    ok.

 -- Joey Hess <joeyh@debian.org>  Mon,  7 Nov 2005 15:18:12 -0500

debhelper (5.0.2) unstable; urgency=low

  * Sometimes it's a good idea to edit more files than just the changelog
    before releasing.

 -- Joey Hess <joeyh@debian.org>  Thu,  3 Nov 2005 11:54:46 -0500

debhelper (5.0.1) unstable; urgency=low

  * dh_installinfo: Escape section with \Q \E. Closes: #337215

 -- Joey Hess <joeyh@debian.org>  Thu,  3 Nov 2005 11:04:21 -0500

debhelper (5.0.0) unstable; urgency=low

  * debhelper v5 mode is finalised and the new recommended compatibility
    level. Unless your package uses dh_strip --dbg-package, switching to v5
    is 99.999% unlikely to change anything in a package, and it allows
    adding comments to all your debhelper config files, so I recommend making
    the switch as soon as this version reaches testing.
  * debhelper.1: Explicitly document that docs describe latest compat
    level and changes from earlier levels are concentrated in the
    "Debhelper compatibility levels" section of debhelper.1. Closes: #336906
  * Deprecate v3.
  * dh_install: Add package name to missing files error. Closes: #336908

 -- Joey Hess <joeyh@debian.org>  Tue,  1 Nov 2005 18:54:29 -0500

debhelper (4.9.15) unstable; urgency=low

  * Patches from Ghe Rivero to fix outdated paths in French and Spanish
    translations of dh_installmenus(1). Closes: #335314
  * add.fr update. Closes: #335727

 -- Joey Hess <joeyh@debian.org>  Tue, 25 Oct 2005 19:51:54 -0400

debhelper (4.9.14) unstable; urgency=low

  * dh_installmanpages: Remove X11 man page special case; X man pages are ok
    in standard man dirs.
  * French mn page translation update. Closes: #335178, #334765

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Oct 2005 13:41:09 -0400

debhelper (4.9.13) unstable; urgency=low

  * dh_strip: Man page typo fix. Closes: #332747

 -- Joey Hess <joeyh@debian.org>  Sat,  8 Oct 2005 12:31:22 -0400

debhelper (4.9.12) unstable; urgency=low

  * dh_installdeb: Don't autogenerate conffiles for udebs.
    Let's ignore conffiles (and shlibs) files for udebs too.
    Closes: #331237

 -- Joey Hess <joeyh@debian.org>  Sun,  2 Oct 2005 12:00:22 -0400

debhelper (4.9.11) unstable; urgency=low

  * Patch from Valéry Perrin to update the Spanish translation.
    Closes: #329132

 -- Joey Hess <joeyh@debian.org>  Tue, 27 Sep 2005 10:26:07 -0400

debhelper (4.9.10) unstable; urgency=low

  * Patch from Valéry Perrin to use po4a for localised manpages. Thanks!
    Closes: #328791

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Sep 2005 23:11:12 +0200

debhelper (4.9.9) unstable; urgency=low

  * dh_shlibdeps: Avoid a use strict warning in some cases if
    LD_LIBRARY_PATH is not set.
  * ACK NMU. Closes: #327209

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Sep 2005 15:32:53 -0400

debhelper (4.9.8.1) unstable; urgency=low

  * NMU with maintainer approval.
  * dh_gconf: delegate schema registration the gconf-schemas script,
    which moves schemas to /var/lib/gconf, and require gconf2 2.10.1-2,
    where it can be found. Closes: #327209

 -- Josselin Mouette <joss@debian.org>  Wed, 21 Sep 2005 23:39:01 +0200

debhelper (4.9.8) unstable; urgency=low

  * Spelling patch from Kumar Appaiah. Closes: #324892

 -- Joey Hess <joeyh@debian.org>  Fri, 26 Aug 2005 22:12:41 -0400

debhelper (4.9.7) unstable; urgency=low

  * dh_installdocs: Fix stupid and horrible typo. Closes: #325098

 -- Joey Hess <joeyh@debian.org>  Fri, 26 Aug 2005 09:20:47 -0400

debhelper (4.9.6) unstable; urgency=low

  * dh_installdocs: Install symlinks to in -x mode, same as in non exclude
    mode. Closes: #324161

 -- Joey Hess <joeyh@debian.org>  Wed, 24 Aug 2005 16:20:02 -0400

debhelper (4.9.5) unstable; urgency=low

  * dh_install: in v5 mode, error out if there are wildcards in the file
    list and the wildcards expand to nothing. Done only for v5 as this is a
    behavior change. Closes: #249815
  * dh_usrlocal: generate prerm scripts that do not remove distroties in
    /usr/local, but only subdirectories thereof, in accordance with policy.
    Closes: #319181

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Jul 2005 10:08:05 -0400

debhelper (4.9.4) unstable; urgency=low

  * dh_clean: switch to using complex_doit for the evil find command
    and quoting everything explicitly rather than the doit approach used
    before. This way all uses of EXCLUDE_FIND will use complex_doit, which
    is necesary for sanity.
  * Dh_Lib: Make COMPLEX_DOIT properly escape wildcards for use with
    complex_doit. Before they were unescaped, which could lead to subtle
    breakage.

 -- Joey Hess <joeyh@debian.org>  Tue, 19 Jul 2005 12:47:30 -0400

debhelper (4.9.3) unstable; urgency=high

  * Fix typo in postrm-modules fragment. Closes: #316069
    Recommend any dh_installmodules users rebuild ASAP.

 -- Joey Hess <joeyh@debian.org>  Tue, 28 Jun 2005 17:41:51 -0400

debhelper (4.9.2) unstable; urgency=low

  * Fix typo in dh_install example. Closes: #314964
  * Fix deprecation message. Closes: #315517

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Jun 2005 16:17:05 -0400

debhelper (4.9.1) unstable; urgency=low

  * Fix typo in dh_strip.

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Jun 2005 20:32:12 -0400

debhelper (4.9.0) unstable; urgency=low

  * Begin work on compatibility level 5. The set of changes in this mode is
    still being determined, and will be until debhelper version 5.0 is
    released, so use at your own risk.
  * dh_strip: In v5, make --dbg-package specify a single debugging package
    that gets the debugging symbols from the other packages acted on.
    Closes: #230588
  * In v5, ignore comments in config files. Only comments at the start of
    lines are ignored. Closes: #206422
  * In v5, also ignore empty lines in config files. Closes: #212162
  * In v5, empty files are skipped by dh_installdocs.
  * Use v5 to build debhelper.
  * Add deprecation warnings for debhelper v1 and v2.
  * Document getpackages in PROGRAMMING.
  * Add another test-case for dh_link.
  * dh_python: Minimal fix from Joss for -V to make it search the right
    site-packages directories. Closes: #312661
  * Make compat() cache the expensive bits, since we run it more and more,
    including twice per config file line now..
  * Add a "run" program to source tree to make local testing easier
    and simplfy the rules file.
  * Man page typo fixes. Closes: #305806, #305816
  * dh_installmenu: menus moved to /usr/share/menu. Closes: #228618
    Anyone with a binary executable menu file is SOL but there are none in
    debian currently.
  * Removed old versioned build deps for stuff that shipped in sarge or
    earlier, mostly to shut up linda and lintian's stupid messages.

 -- Joey Hess <joeyh@debian.org>  Thu,  9 Jun 2005 10:01:20 -0400

debhelper (4.2.36) unstable; urgency=low

  * Spanish translation update for dh_installdebconf(1).
  * YA man page typo fix. Closes: #308182

 -- Joey Hess <joeyh@debian.org>  Sun,  8 May 2005 13:02:22 -0400

debhelper (4.2.35) unstable; urgency=low

  * Man page typo fixes. Closes: #305809, #305804, #305815, #305810
    Closes: #305812, #305814, #305819, #305818, #305817, #305822

 -- Joey Hess <joeyh@debian.org>  Fri, 22 Apr 2005 11:27:55 -0400

debhelper (4.2.34) unstable; urgency=low

  * The infinite number of monkeys release.
  * dh_md5sums: don't crash if PWD contains an apostrophe. Closes: #305226

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Apr 2005 21:06:43 -0400

debhelper (4.2.33) unstable; urgency=low

  * Update Spanish translation of dh_clean man page. Closes: #303052
  * dh_installmodules autoscripts: Now that return code 3 is allocated by
    update-modules to indicate /etc/modules.conf is not automatically
    generated, we can ignore that return code since it's not a condition that
    should fail an installation. Closes: #165400
  * dh_md5sums: Fix exclusion of conffiles. Thanks, Damir Dzeko
    (note: this was broken in version 4.1.22)

 -- Joey Hess <joeyh@debian.org>  Sat,  9 Apr 2005 17:27:12 -0400

debhelper (4.2.32) unstable; urgency=low

  * Patch from Fabio Tranchitella to add support for #DEBHELPER# substitutions
    in config files, although nothing in debhelper itself uses such
    substitutions, third-party addons may. Closes: #301657
  * Factor out a debhelper_script_subst from dh_installdeb and
    dh_installdebconf.

 -- Joey Hess <joeyh@debian.org>  Sun, 27 Mar 2005 11:29:01 -0500

debhelper (4.2.31) unstable; urgency=low

  * Updated dh_installmime Spanish translation.
  * Spelling fix. Closes: #293158
  * Patch from Matthias to split out a package_arch and export it in Dh_Lib.
    Closes: #295383

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Feb 2005 13:47:29 -0500

debhelper (4.2.30) unstable; urgency=low

  * dh_installmime: Patch from Loïc Minier to add support for instlaling
    "sharedmimeinfo" files and calling update-mime-database. Closes: #255719
  * Modified patch to not hardcode pathnames.
  * Modified other autoscripts so there are no hardcoded pathnames at all
    any more.

 -- Joey Hess <joeyh@debian.org>  Tue,  4 Jan 2005 18:44:11 -0500

debhelper (4.2.29) unstable; urgency=low

  * dh_installdocs Spanish manpage update
  * dh_installlogcheck: change permissions of logcheck rulefules from 600 to
    644, at request of logcheck maintainer. Closes: #288357
  * dh_installlogcheck: fix indentation

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Dec 2004 08:53:37 -0500

debhelper (4.2.28) unstable; urgency=low

  * dh_python: Add 2.4 to python_allversions. Closes: #285608

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Dec 2004 13:08:56 -0500

debhelper (4.2.27) unstable; urgency=low

  * dh_desktop: Fix underescaping of *.desktop in call to find.
    Closes: #284832

 -- Joey Hess <joeyh@debian.org>  Thu,  9 Dec 2004 14:32:41 -0500

debhelper (4.2.26) unstable; urgency=low

  * dh_makeshlibs spanish translation update
  * Add example to dh_installdocs man page. Closes: #283857
  * Clarify dh_python's documentation of -V and error if the version is
    unknown. Closes: #282924

 -- Joey Hess <joeyh@debian.org>  Wed,  8 Dec 2004 14:44:44 -0500

debhelper (4.2.25) unstable; urgency=low

  * dh_shlibdeps: Only set LD_LIBRARY_PATH when calling dpkg-shlibdeps.
    Closes: #283413

 -- Joey Hess <joeyh@debian.org>  Mon, 29 Nov 2004 13:21:05 -0500

debhelper (4.2.24) unstable; urgency=low

  * Spanish man page updates.
  * Improve the documentation of dh_makeshlibs behavior in v4 mode.
    Closes: #280676

 -- Joey Hess <joeyh@debian.org>  Sat, 30 Oct 2004 18:52:00 -0400

debhelper (4.2.23) unstable; urgency=low

  * Fix typo introduced last release. Closes: #278727

 -- Joey Hess <joeyh@debian.org>  Thu, 28 Oct 2004 20:51:05 -0400

debhelper (4.2.22) unstable; urgency=low

  * dh_desktop Spanish man page from Ruben Porras.
  * dh_desktop: reindent
  * dh_desktop: only register files in /usr/share/applications
    with update-desktop-database. Closes: #278353

 -- Joey Hess <joeyh@debian.org>  Sat, 16 Oct 2004 13:42:29 -0400

debhelper (4.2.21) unstable; urgency=low

  * Add dh_desktop, from Ross Burton. Closes: #275454

 -- Joey Hess <joeyh@debian.org>  Tue, 12 Oct 2004 14:31:07 -0400

debhelper (4.2.20) unstable; urgency=HIGH

  * dpkg-cross is fixed in unstable, version the conflict. Closes: #265777

 -- Joey Hess <joeyh@debian.org>  Wed, 25 Aug 2004 08:05:42 -0400

debhelper (4.2.19) unstable; urgency=HIGH

  * Conflict with dpkg-cross since it breaks dh_strip.

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Aug 2004 21:50:12 -0300

debhelper (4.2.18) unstable; urgency=low

  * Add dh_shlibdeps see also. Closes: #261367
  * Update dh_gconf man page for new schema location. Closes: #264378
  * debhelper.7 man page typo fix. Closes: #265603

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Aug 2004 19:16:51 -0300

debhelper (4.2.17) unstable; urgency=low

  * Spanish man page updates from Ruben Porras. Closes: #261516

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Jul 2004 21:41:37 -0400

debhelper (4.2.16) unstable; urgency=low

  * dh_gconf: fix glob escaping in find for schemas. Closes: #260488

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Jul 2004 17:20:21 -0400

debhelper (4.2.15) unstable; urgency=low

  * dh_gconf: deal with problems if /etc/gconf/schemas doesn't exist any more
    (#258901)

 -- Joey Hess <joeyh@debian.org>  Mon, 12 Jul 2004 11:52:45 -0400

debhelper (4.2.14) unstable; urgency=low

  * Make dh_gconf postinst more portable.
  * Strip spoch when generating udeb filenames. Closes: #258864

 -- Joey Hess <joeyh@debian.org>  Sat, 10 Jul 2004 11:15:34 -0400

debhelper (4.2.13) unstable; urgency=low

  * Spanish man page updates from Ruben Porras. Closes: #247382
  * dh_gconf: gconf schemas moved to /usr/share/gconf/schemas. Relocate
    schemas from /etc/gconf/schemas. (Josselin Mouette)
  * dh_gconf: kill gconfd-2 so that the newly installed schemas
    are available straight away. (Josselin Mouette)
  * dh_gconf: fix bashism in restart of gconfd-2
  * dh_gconf: fix innaccuracy in man page; gconfd-2 is HUPPed, not
    killed.
  * dh_scrollkeeper: stop adding scrollkeeper to misc:Depends, since
    the postinst will not run it if it's not installed, and a single run after
    it's installed is sufficient to find all documents. Closes: #256745
  * dh_fixperms: make .ali files mode 444 to prevent recompilation by GNAT.
    For speed, only scan for .ali files in usr/lib/ada. Closes: #245211
  * dh_python: check to make sure compileall.py is available before running it
    in the postinst. Closes: #253112
  * dh_installmodules: install debian/package.modprobe into etc/modprobe.d/
    for module-init-tools. These files can sometimes need to differ from the
    etc/modutils/ files. Closes: #204336, #234495
  * dh_installmanpages is now deprecated.
  * Add a test case for bug #244157, and fixed the inverted ok() parameters
    in the others, and added a few new tests.
  * dh_link: applied GOTO Masanori's patch to fix conversion of existing
    relative symlinks between top level directories. Closes: #244157
  * Warn if debian/compat is empty.

 -- Joey Hess <joeyh@debian.org>  Tue,  6 Jul 2004 12:52:30 -0400

debhelper (4.2.12) unstable; urgency=low

  * dh_installinit: Added --error-handler option. Based on work by Thom May.
    Closes: #209090

 -- Joey Hess <joeyh@debian.org>  Mon, 28 Jun 2004 19:49:15 -0400

debhelper (4.2.11) unstable; urgency=low

  * dh_installmodules: Look for .ko files too. Closes: #248624
  * dh_fixperms: fix permissions of .h files. Closes: #252492

 -- Joey Hess <joeyh@debian.org>  Thu, 13 May 2004 11:25:42 -0300

debhelper (4.2.10) unstable; urgency=low

  * dh_strip: if an .a file is not a binary file, do not try to strip it.
    This deals with linker scripts used on the Hurd. Closes: #246366

 -- Joey Hess <joeyh@debian.org>  Wed, 28 Apr 2004 14:36:39 -0400

debhelper (4.2.9) unstable; urgency=low

  * dh_installinfo: escape '&' characters in INFO-DIR-SECTION when calling
    sed. Also support \1 etc for completeness. Closes: #246301

 -- Joey Hess <joeyh@debian.org>  Wed, 28 Apr 2004 14:06:16 -0400

debhelper (4.2.8) unstable; urgency=low

  * Spanish translation of dh_installppp from Ruben Porras. Closes: #240844
  * dh_fixperms: Make executable files in /usr/games. Closes: #243404

 -- Joey Hess <joeyh@debian.org>  Mon, 12 Apr 2004 18:31:18 -0400

debhelper (4.2.7) unstable; urgency=low

  * Add support for cron.hourly. Closes: #240733

 -- Joey Hess <joeyh@debian.org>  Sun, 28 Mar 2004 22:14:42 -0500

debhelper (4.2.6) unstable; urgency=low

  * Bump dh_strip's recommended bintuils dep to current. Closes: #237304

 -- Joey Hess <joeyh@debian.org>  Sat, 27 Mar 2004 20:04:19 -0500

debhelper (4.2.5) unstable; urgency=low

  * Spanish man page updates by Ruben Possas and Rudy Godoy.

 -- Joey Hess <joeyh@debian.org>  Wed, 24 Mar 2004 15:08:54 -0500

debhelper (4.2.4) unstable; urgency=low

  * dh_installdocs: ignore .EX files as produced by dh-make.
  * dh_movefiles: if the file cannot be found, do not go ahead and try
    to move it anyway, as this can produce unpredictable behavor with globs
    passed in from the shell. See bug #234105

 -- Joey Hess <joeyh@debian.org>  Fri, 20 Feb 2004 10:43:33 -0500

debhelper (4.2.3) unstable; urgency=low

  * dh_movefiles: use xargs -0 to safely remove files with whitespace,
    etc. Patch from Yann Dirson. Closes: #233226

 -- Joey Hess <joeyh@debian.org>  Wed, 18 Feb 2004 18:57:05 -0500

debhelper (4.2.2) unstable; urgency=low

  * dh_shlibdeps: Turn on for udebs. It's often wrong (and ignored by d-i),
    but occasionally right and necessary.

 -- Joey Hess <joeyh@debian.org>  Thu, 12 Feb 2004 13:36:29 -0500

debhelper (4.2.1) unstable; urgency=low

  * dh_installxfonts(1): fix link to policy. Closes: #231918
  * dh_scrollkeeper: patch from Christian Marillat Closes: #231703
    - Remove DTD changes since docbook-xml not supports xml catalogs.
    - Bump scrollkeeper dep to 0.3.14-5.
  * dh_installinfo: remove info stuff on update as well as remove.
    Policy is unclear/wrong. Closes: #231937

 -- Joey Hess <joeyh@debian.org>  Mon,  9 Feb 2004 18:20:40 -0500

debhelper (4.2.0) unstable; urgency=low

  * Added udeb support, as pioneered by di-packages-build. Understands
    "XC-Package-Type: udeb" in debian/control. See debhelper(1) for
    details.
  * Dh_Lib: add and export is_udeb and udeb_filename
  * dh_builddeb: name udebs with proper extension
  * dh_gencontrol: pass -n and filename to dpkg-gencontrol
  * dh_installdocs, dh_makeshlibs, dh_md5sums, dh_installchangelogs,
    dh_installexamples, dh_installman, dh_installmanpages: skip udebs
  * dh_shlibdeps: skip udebs. This may be temporary.
  * dh_installdeb: do not process conffiles, shlibs, preinsts, postrms,
    or prerms for udebs. Do not substiture #DEBHELPER# tokens in
    postinst scripts for udebs.
  * dh_installdebconf: skip config script for udebs, still do templates

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Feb 2004 22:51:57 -0500

debhelper (4.1.90) unstable; urgency=low

  * dh_strip: Add note to man page that the detached debugging symbols options
    mean the package must build-depend on a new enough version of binutils.
    Closes: #231382
  * dh_installdebconf: The debconf dependency has changed to include
    "| debconf-2.0". Closes: #230622

 -- Joey Hess <joeyh@debian.org>  Sat,  7 Feb 2004 15:10:10 -0500

debhelper (4.1.89) unstable; urgency=low

  * dh_scrollkeeper: Make postinst /dev/null stdout of which test.

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Jan 2004 16:00:21 -0500

debhelper (4.1.88) unstable; urgency=low

  * dh_strip: Fix a unquoted string in regexp in the dbg symbols code.
    Closes: #228272

 -- Joey Hess <joeyh@debian.org>  Sat, 17 Jan 2004 20:13:32 -0500

debhelper (4.1.87) unstable; urgency=low

  * dh_gconf: Add proper parens around the package version in the misc:Depends
    setting.

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Jan 2004 12:53:43 -0500

debhelper (4.1.86) unstable; urgency=low

  * dh_gconf: Fix man page typos, thanks Ruben Porras. Closes: #228076
  * dh_gconf: Spanish man page from Ruben Porras. Closes: #228075

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Jan 2004 12:43:58 -0500

debhelper (4.1.85) unstable; urgency=low

  * dh_install: add missing parens to the $installed regexp. Closes: #227963
  * dh_install: improve wording of --list-missing messages

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Jan 2004 22:45:42 -0500

debhelper (4.1.84) unstable; urgency=low

  * Added dh_gconf command from Ross Burton. Closes: #180882
  * dh_scrollkeeper: Make postinst fragment test for scrollkeeper-update.
    Closes: #225337
  * Copyright update.
  * Include full text of the GPL in the source package, because goodness
    knows, I need another copy of that in subversion..

 -- Joey Hess <joeyh@debian.org>  Sun, 11 Jan 2004 14:14:15 -0500

debhelper (4.1.83) unstable; urgency=low

  * Clarify dh_install's autodest behavior with wildcards. Closes: #224707

 -- Joey Hess <joeyh@debian.org>  Sun, 21 Dec 2003 12:18:37 -0500

debhelper (4.1.82) unstable; urgency=low

  * Add remove guard to prerm-info. Closes: #223617
  * Remove #INITPARMS# from call to update-rc.d in postrm-init. Closes: #224090

 -- Joey Hess <joeyh@debian.org>  Tue, 16 Dec 2003 16:33:19 -0500

debhelper (4.1.81) unstable; urgency=low

  * Removed the no upstream changelog for debian packages test.
    Even though it has personally saved me many times, debhelper is not
    intended to check packages for mistakes, and apparently it makes sense
    for some "native" packages to have a non-Debian changelog.
    Closes: #216099
  * If a native package has an upstream changelog, call the debian/changelog
    changelog.Debian.
  * postinst-menu-method: always chmod menu-method executable even if
    update-menus is not. Closes: #220576
  * dh_installmenu: do not ship menu-methods executable.

 -- Joey Hess <joeyh@debian.org>  Sun, 30 Nov 2003 13:16:14 -0500

debhelper (4.1.80) unstable; urgency=low

  * Add the Spanish manpages I missed last time. Closes: #218718
  * dh_installman: support compressed man pages when finding .so links.
    Closes: #218136

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Nov 2003 16:15:23 -0500

debhelper (4.1.79) unstable; urgency=low

  * dh_strip: typo. Closes: #218745
  * Updated Spanish man page translations for:
    debhelper dh_installcron dh_installinit dh_installlogrotate dh_installman
    dh_installmodules dh_installpam dh_install dh_movefiles dh_strip
    Closes: #218718

 -- Joey Hess <joeyh@debian.org>  Sun,  2 Nov 2003 15:26:07 -0500

debhelper (4.1.78) unstable; urgency=low

  * dh_installcatalogs: Fixed to create dir in tmpdir. Closes: #218237

 -- Joey Hess <joeyh@debian.org>  Sun,  2 Nov 2003 15:26:02 -0500

debhelper (4.1.77) unstable; urgency=low

  * Remove the "L" from reference to menufile(5). Closes: #216042

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Oct 2003 13:33:12 -0400

debhelper (4.1.76) unstable; urgency=low

  * Patch from Andrew Suffield <asuffield@debian.org> to make dh_strip
    support saving the debugging symbols with a --keep-debug flag and
    dh_shlibdeps skip /usr/lib/debug. Thanks! Closes: #215670
  * Add --dbg-package flag to dh_strip, to list packages that have associated
    -dbg packages. dh_strip will then move the debug symbols over to the
    associated -dbg packages.

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Oct 2003 14:18:06 -0400

debhelper (4.1.75) unstable; urgency=low

  * dh_install: add --fail-missing option. Closes: #120026
  * Fix mispelling in prerm-sgmlcatalog. Closes: #215189

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Oct 2003 22:12:59 -0400

debhelper (4.1.74) unstable; urgency=low

  * Only list dh_installman once in example rules.indep. Closes: #211567
  * Really fix the prerm-sgmlcatalog, not the postrm. Closes: #209131

 -- Joey Hess <joeyh@debian.org>  Sun, 21 Sep 2003 18:56:54 -0400

debhelper (4.1.73) unstable; urgency=low

  * dh_installcatalogs: in prerm on upgrade, call update-catalog on the
    advice of Adam DiCarlo. Closes: #209131

 -- Joey Hess <joeyh@debian.org>  Sun,  7 Sep 2003 21:43:31 -0400

debhelper (4.1.72) unstable; urgency=low

  * Switch from build-depends-indep to just build-depends.
  * dh_installman: match .so links with whitespace after the filename
    Closes: #208753

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Sep 2003 13:59:12 -0400

debhelper (4.1.71) unstable; urgency=low

  * Typo. Closes: #207999
  * Typo, typo. Closes: #208171 :-)

 -- Joey Hess <joeyh@debian.org>  Mon,  1 Sep 2003 08:24:13 -0400

debhelper (4.1.70) unstable; urgency=low

  * Complete Spanish translation of all man pages thanks to Rubén Porras
    Campo, Rudy Godoy, and the rest of the Spanish translation team.
    Closes: #199261

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Aug 2003 19:45:45 -0400

debhelper (4.1.69) unstable; urgency=low

  * dh_installppp: correct filenames on man page. Closes: #206893
  * dh_installinit: man page typo fix and enhancement. Closes: #206891

 -- Joey Hess <joeyh@debian.org>  Sat, 23 Aug 2003 14:54:59 -0400

debhelper (4.1.68) unstable; urgency=low

  * Remove duplicate packages from DOPACKAGES after argument processing.
    Closes: #112950
  * dh_compress: deal with links pointing to links pointing to compressed
    files, no matter what order find returns them. Closes: #204169
  * dh_installmodules, dh_installpam, dh_installcron, dh_installinit,
    dh_installogrotate: add --name= option, that can be used to specify
    the name to use for the file(s) installed by these commands. For example,
    dh_installcron --name=foo will install debian/package.foo.cron.daily to
    etc/cron.daily/foo. Closes: #138202, #101003, #68545, #148844
    (Thanks to Thomas Hood for connecting these bug reports.)
  * dh_installinit: deprecated --init-script option in favor of the above.
  * Add dh_installppp. Closes: #43403

 -- Joey Hess <joeyh@debian.org>  Fri, 22 Aug 2003 15:27:36 -0400

debhelper (4.1.67) unstable; urgency=low

  * dh_python: Another patch, for pythonX.Y-foo packages.
  * dh_link: Improve error message if link destination is a directory.
    Closes: #206689

 -- Joey Hess <joeyh@debian.org>  Fri, 22 Aug 2003 12:48:19 -0400

debhelper (4.1.66) unstable; urgency=low

  * dh_link: rm -f every time, ln -f is not good enough if the link target
    is an existing directory (aka, ln sucks). Closes: #206245
  * dh_clean: honor -X for debian/tmp removal. Closes: #199952 more or less.

 -- Joey Hess <joeyh@debian.org>  Tue, 19 Aug 2003 19:52:53 -0400

debhelper (4.1.65) unstable; urgency=low

  * Converted several chown 0.0 to chown 0:0 for POSIX 200112.
  * dh_python: patch from Josselin to support packages only
    shipping binary (.so) modules, and removal of any already byte-compiled
    .py[co] found.

 -- Joey Hess <joeyh@debian.org>  Sun, 17 Aug 2003 21:11:35 -0400

debhelper (4.1.64) unstable; urgency=low

  * dh_python: Add a -V flag to choose the python version modules in a package
    use. Patch from Josselin, of course.

 -- Joey Hess <joeyh@debian.org>  Wed, 13 Aug 2003 11:48:22 -0400

debhelper (4.1.63) unstable; urgency=low

  * dh_python: patch from Josselin to fix generated depends. Closes: #204717
  * dh_pythn: also stylistic and tab damage fixes

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Aug 2003 15:33:16 -0400

debhelper (4.1.62) unstable; urgency=low

  * Fix a bug in quoted section parsing that put the quotes in the parsed
    out section number. Closes: #204731

 -- Joey Hess <joeyh@debian.org>  Sat,  9 Aug 2003 22:25:23 -0400

debhelper (4.1.61) unstable; urgency=low

  * dh_makeshlibs: only scan files matching *.so.* and *.so, not *.so*.
    Closes: #204559

 -- Joey Hess <joeyh@debian.org>  Fri,  8 Aug 2003 17:08:00 -0400

debhelper (4.1.60) unstable; urgency=low

  * dh_python: support python ver 2.3. Closes: #204556

 -- Joey Hess <joeyh@debian.org>  Fri,  8 Aug 2003 11:59:34 -0400

debhelper (4.1.59) unstable; urgency=low

  * dh_installman: support .TH lines with quotes. Closes: #204527

 -- Joey Hess <joeyh@debian.org>  Thu,  7 Aug 2003 20:39:36 -0400

debhelper (4.1.58) unstable; urgency=low

  * Typo, Closes: #203907
  * dh_python: clan compiled files on downgrade, upgrade, not only
    removal. Closes: #204286

 -- Joey Hess <joeyh@debian.org>  Thu,  7 Aug 2003 15:47:06 -0400

debhelper (4.1.57) unstable; urgency=low

  * dh_install: Add LIMITATIONS section and other changes to clarify
    renaming. Closes: #203548

 -- Joey Hess <joeyh@debian.org>  Thu, 31 Jul 2003 13:51:01 -0400

debhelper (4.1.56) unstable; urgency=low

  * Several man pae typo fixes by Ruben Porras. Closes: #202819
  * Now in a subversion repository, some minor changes for that.
  * dh_link test should expect results in debian/debhelper, not debian/tmp.

 -- Joey Hess <joeyh@debian.org>  Mon, 28 Jul 2003 15:36:45 -0400

debhelper (4.1.55) unstable; urgency=low

  * dh_strip: do not strip files multiple times.

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Jul 2003 17:04:49 -0400

debhelper (4.1.54) unstable; urgency=low

  * dh_scrollkeeper: fix postrm to not run if scrollkeeper is not present

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Jul 2003 16:57:30 +0200

debhelper (4.1.53) unstable; urgency=low

  * dh_scrollkeeper: fixed some overenthusiastic quoting. Closes: #201810

 -- Joey Hess <joeyh@debian.org>  Fri, 18 Jul 2003 09:45:23 +0200

debhelper (4.1.52) unstable; urgency=low

  * dh_clean: Clean the *.debhelper temp files on a per-package basis, in
    case dh_clean is run on one package at a time.
  * Removed the debian/substvars removal code entirely. It was only there to
    deal with half-built trees built with debhelper << 3.0.30

 -- Joey Hess <joeyh@debian.org>  Sun,  6 Jul 2003 20:28:27 -0400

debhelper (4.1.51) unstable; urgency=low

  * dh_installchangelogs: Install debian/NEWS as NEWS.Debian, even for native
    packages. This doesn't follow the lead of the changelog for native
    packages for the reasons discussed in bug #192089

 -- Joey Hess <joeyh@debian.org>  Fri,  4 Jul 2003 00:34:24 -0400

debhelper (4.1.50) unstable; urgency=low

  * dh_clean: make -X work for debian/substvars file.

 -- Joey Hess <joeyh@debian.org>  Thu,  3 Jul 2003 22:05:32 -0400

debhelper (4.1.49) unstable; urgency=low

  * dh_installman: Don't require trailing whitespace after the seciton number
    in the TH line.

 -- Joey Hess <joeyh@debian.org>  Thu,  3 Jul 2003 14:08:41 -0400

debhelper (4.1.48) unstable; urgency=low

  * dh_python typo fix Closes: #197679
  * dh_link: don't complain if tmp dir does not exist yet when doing pre-link
    scan.

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Jun 2003 19:51:13 -0400

debhelper (4.1.47) unstable; urgency=low

  * dh_install: recalculate automatic $dest eash time through the glob loop.
    It might change if there are multiple wildcards Closes: #196344

 -- Joey Hess <joeyh@debian.org>  Mon, 16 Jun 2003 13:35:27 -0400

debhelper (4.1.46) unstable; urgency=low

  * Added dh_scrollkeeper, by Ross Burton.
  * Added dh_userlocal, by Andrew Stribblehill. (With root.root special case
    added by me.)
  * Added dh_installlogcheck, by Jon Middleton. Closes: #184021
  * Add aph's name to copyright file too.

 -- Joey Hess <joeyh@debian.org>  Thu, 12 Jun 2003 10:01:28 -0400

debhelper (4.1.45) unstable; urgency=low

  * Typo fixes from Adam Garside.
  * dh_python: don't bother terminating the regexp, 2.2.3c1 for example.
    Closes: #194531

 -- Joey Hess <joeyh@debian.org>  Sat, 24 May 2003 11:55:32 -0400

debhelper (4.1.44) unstable; urgency=low

  * dh_python: allow for a + at the end of the python version, as in the
    python in stable, version 2.1.3+.

 -- Joey Hess <joeyh@debian.org>  Tue, 20 May 2003 17:50:16 -0400

debhelper (4.1.43) unstable; urgency=low

  * dh_python: Honour -n flag. Closes: #192804

 -- Joey Hess <joeyh@debian.org>  Sat, 10 May 2003 13:00:12 -0400

debhelper (4.1.42) unstable; urgency=medium

  * Fix stupid typo in dh_movefiles. Closes: #188833

 -- Joey Hess <joeyh@debian.org>  Sun, 13 Apr 2003 11:44:22 -0400

debhelper (4.1.41) unstable; urgency=low

  * dh_movefiles: Do not pass --remove-files to tar, since that makes
    it break hard links (see #188663).

 -- Joey Hess <joeyh@debian.org>  Sat, 12 Apr 2003 17:11:28 -0400

debhelper (4.1.40) unstable; urgency=low

  * Fix build with 077 umask. Closes: #187757
  * Allow colons between multiple items in DH_ALWAYS_EXCLUDE.

 -- Joey Hess <joeyh@debian.org>  Sun,  6 Apr 2003 14:30:48 -0400

debhelper (4.1.39) unstable; urgency=low

  * Add calls to dh_installcatalogs to example rules files. Closes: #186819

 -- Joey Hess <joeyh@debian.org>  Mon, 31 Mar 2003 11:52:03 -0500

debhelper (4.1.38) unstable; urgency=low

  * Fixed dh_installcatalog's references to itself on man page.
    Closes: #184411
  * dh_installdebconf: Set umask to sane before running po2debconf or
    debconf-mergetemplates

 -- Joey Hess <joeyh@debian.org>  Sun, 23 Mar 2003 21:17:09 -0800

debhelper (4.1.37) unstable; urgency=low

  * dh_installmenu: Refer to menufile(5) instead of 5L so as not to confuse
    pod2man. Closes: #184013

 -- Joey Hess <joeyh@debian.org>  Sat,  8 Mar 2003 18:37:14 -0500

debhelper (4.1.36) unstable; urgency=low

  * Rename debhelper.1 to debhelper.7.
  * Typo, Closes: #183267

 -- Joey Hess <joeyh@debian.org>  Tue,  4 Mar 2003 14:27:45 -0500

debhelper (4.1.34) unstable; urgency=low

  * Removed vegistal substvars stuff from dh_inistallinit.
  * Update debhelper(1).

 -- Joey Hess <joeyh@debian.org>  Mon, 24 Feb 2003 19:34:44 -0500

debhelper (4.1.33) unstable; urgency=low

  * wiggy didn't take my hint about making update-modules send warnings to
    stderr, so its overly verbose stdout is now directed to /dev/null to
    prevent conflicts with debconf. Closes: #150804
  * dh_fixperms: only skip examples directories which in a parent of
    usr/share/doc, not in a deeper tree. Closes: #152602
  * dh_compress: stop even looking at usr/doc

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Feb 2003 14:45:32 -0500

debhelper (4.1.32) unstable; urgency=low

  * dh_md5sums: note that it's used by debsums. Closes: #181521
  * Make addsubstvars() escape the value of the variable before passing it to
    the shell. Closes: #178524
  * Fixed escape_shell()'s escaping of a few things.

 -- Joey Hess <joeyh@debian.org>  Tue, 18 Feb 2003 19:01:45 -0500

debhelper (4.1.31) unstable; urgency=low

  * Added dh_installcatalogs, for sgml (and later xml) catalogs. By
    Adam DiCarlo. Closes: #90025

 -- Joey Hess <joeyh@debian.org>  Wed, 12 Feb 2003 11:26:24 -0500

debhelper (4.1.30) unstable; urgency=low

  * Turned dh_undocumented into a no-op, as policy does not want
    undocumented.7 links anymore.

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Feb 2003 16:34:13 -0500

debhelper (4.1.29) unstable; urgency=low

  * List binary-common in .PHONY in rules.multi2. Closes: #173278
  * Cleaned up error message if python is not installed. Closes: #173524
  * dh_python: Bug fix from Josselin Mouette for case of building an arch
    indep python package depending on a arch dependent package. However, I
    used GetPackages() rather than add yet another control file parser.
    Untested.

 -- Joey Hess <joeyh@debian.org>  Wed, 18 Dec 2002 21:20:41 -0500

debhelper (4.1.28) unstable; urgency=low

  * Fix dh_install to install empty directories even if it is excluding some
    files from installation.

 -- Joey Hess <joeyh@debian.org>  Thu, 12 Dec 2002 14:39:30 -0500

debhelper (4.1.27) unstable; urgency=low

  * Fixed dh_python ordering in example rules files. Closes: #172283
  * Make python postinst fragment only run python if it is installed, useful
    for packages that include python modules but do not depend on python.

 -- Joey Hess <joeyh@debian.org>  Mon,  9 Dec 2002 21:53:08 -0500

debhelper (4.1.26) unstable; urgency=low

  * dh_builddeb: Reluctantly call dpkg-deb directly. dpkg cannot pass extra
    params to dpkg-deb. Closes: #170330

 -- Joey Hess <joeyh@debian.org>  Sun, 24 Nov 2002 11:14:36 -0500

debhelper (4.1.25) unstable; urgency=low

  * Added a dh_python command, by Josselin Mouette
    <josselin.mouette@ens-lyon.org>.

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Nov 2002 00:55:35 -0500

debhelper (4.1.24) unstable; urgency=low

  * Various minor changes based on suggestions by luca.

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Nov 2002 00:13:52 -0500

debhelper (4.1.23) unstable; urgency=low

  * Still run potodebconf after warning about templates.ll files.

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Nov 2002 15:33:31 -0500

debhelper (4.1.22) unstable; urgency=low

  * dh_install: Support autodest with non-debian/tmp sourcedirs.
    Closes: #169138
  * dh_install: Support implicit "." sourcedir and --list-missing.
    (Also supports ./foo file specs and --list-missing.)
    Closes: #168751
  * dh_md5sums: Don't glob. Closes: #169135

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Nov 2002 13:12:24 -0500

debhelper (4.1.21) unstable; urgency=low

  * Make dh_install --list-missing honor -X excludes. Closes: #168739
  * As a special case, if --sourcedir is not set (so is "."), make
    --list-missing look only at what is in debian/tmp. This is gross, but
    people have come to depend on that behavior, and that combination has no
    other sane meaning. Closes: #168751

 -- Joey Hess <joeyh@debian.org>  Thu, 14 Nov 2002 10:56:21 -0500

debhelper (4.1.20) unstable; urgency=low

  * typo in dh_shlibdeps(1), Closes: #167421
  * dh_movefiles: make --list-missing respect --sourcedir. Closes: #168441

 -- Joey Hess <joeyh@debian.org>  Tue, 12 Nov 2002 17:56:32 -0500

debhelper (4.1.19) unstable; urgency=low

  * Added note to dh_installdebconf(1) about postinst sourcing debconf
    confmodule. (Cf #106070)
  * Added an example to dh_install(1). Closes: #166402

 -- Joey Hess <joeyh@debian.org>  Sun, 27 Oct 2002 20:26:02 -0500

debhelper (4.1.18) unstable; urgency=low

  * Use dpkg-architecture instead of dpkg --print-architecture (again?)
    See #164863
  * typo fix Closes: #164958 The rest seems clear enough from context, so
    omitted.

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Oct 2002 20:47:43 -0400

debhelper (4.1.17) unstable; urgency=low

  * dh_installinit: added --no-start for rcS type scripts. Closes: #136502

 -- Joey Hess <joeyh@debian.org>  Fri, 11 Oct 2002 13:58:22 -0400

debhelper (4.1.16) unstable; urgency=low

  * Depend on po-debconf, and I hope I can drop the debconf-utils dep soon.
    Closes: #163569
  * Removed debconf-utils build-dep. Have no idea why that was there.
  * dh_installman: Don't use extended section as section name for translated
    man pages, use only the numeric section as is done for regular man pages.
    Closes: #163534

 -- Joey Hess <joeyh@debian.org>  Mon,  7 Oct 2002 11:49:37 -0400

debhelper (4.1.15) unstable; urgency=low

  * dh_compress: Exclude .css files, to prevent broken links from html files,
    and since they are generally small, and since this matches existing
    practice. Closes: #163303

 -- Joey Hess <joeyh@debian.org>  Sat,  5 Oct 2002 15:04:44 -0400

debhelper (4.1.14) unstable; urgency=low

  * dh_fixperms: Make sure .pm files are 0644. Closes: #163418

 -- Joey Hess <joeyh@debian.org>  Sat,  5 Oct 2002 14:03:52 -0400

debhelper (4.1.13) unstable; urgency=low

  * dh_installdebconf: Support po-debconf debian/po directories.
    Closes: #163128

 -- Joey Hess <joeyh@debian.org>  Wed,  2 Oct 2002 23:41:51 -0400

debhelper (4.1.12) unstable; urgency=low

  * The "reverse hangover" release.
  * dh_strip: better documentation, removed extraneous "item" from SYNOPSIS.
    Closes: #162493
  * dh_strip: detect and don't strip debug/*.so files.
  * Note that 4.1.11 changelog entry was incorrect, dh_perl worked fine
    without that change, but the new behavior is less likely to break things
    if dpkg-gencontrol changes.
  * Various improvements to debhelper(1).

 -- Joey Hess <joeyh@debian.org>  Fri, 27 Sep 2002 19:37:19 -0400

debhelper (4.1.11) unstable; urgency=low

  * Make addsubstvars remove old instances of line before adding new. This
    will make dh_perl get deps right for packages that have perl modules and
    XS in them.

 -- Joey Hess <joeyh@debian.org>  Sun, 22 Sep 2002 11:27:08 -0400

debhelper (4.1.10) unstable; urgency=low

  * Depend on coreutils | fileutils. Closes: #161452

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Sep 2002 11:21:19 -0400

debhelper (4.1.9) unstable; urgency=low

  * Fixed over-escaping of period when generating EXCLUDE_FIND.
    Closes: #159155

 -- Joey Hess <joeyh@debian.org>  Mon, 16 Sep 2002 13:41:05 -0400

debhelper (4.1.8) unstable; urgency=low

  * Use invoke-rc.d always now that it is in policy. Fall back to old behavior
    if invoke-rc.d is not present, so versioned deps on sysvinit are not
    needed.

 -- Joey Hess <joeyh@debian.org>  Sun, 15 Sep 2002 20:07:41 -0400

debhelper (4.1.7) unstable; urgency=low

  * dh_builddeb(1): It's --filename, not --name. Closes: #160151

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Sep 2002 20:05:07 -0400

debhelper (4.1.6) unstable; urgency=low

  * Clarified dh_perl man page. Closes: #159332

 -- Joey Hess <joeyh@debian.org>  Tue,  3 Sep 2002 12:27:08 -0400

debhelper (4.1.5) unstable; urgency=low

  * Fixed excessive escaping around terms in DH_EXCLUDE_FIND. Closes: #159155

 -- Joey Hess <joeyh@debian.org>  Sun,  1 Sep 2002 19:20:32 -0400

debhelper (4.1.4) unstable; urgency=low

  * Patch from Andrew Suffield to make dh_perl understand #!/usr/bin/env perl
    Closes: #156243

 -- Joey Hess <joeyh@debian.org>  Sat, 17 Aug 2002 23:05:45 -0400

debhelper (4.1.3) unstable; urgency=low

  * dh_installinit: Always start daemon on upgraded even if
    --no-restart-on-upgrade is given; since the daemon is not stopped
    with that parameter starting it again is a no-op, unless the daemon was
    not running for some reason. This makes transtions to using the flag
    easier. Closes: #90976 and sorry it took me so long to verify you were
    right.

 -- Joey Hess <joeyh@debian.org>  Sun,  4 Aug 2002 18:52:12 -0400

debhelper (4.1.2) unstable; urgency=low

  * Typo, Closes: #155323

 -- Joey Hess <joeyh@debian.org>  Sat,  3 Aug 2002 12:17:11 -0400

debhelper (4.1.1) unstable; urgency=low

  * Added a -L flag to dh_shlibdeps that is a nice alternative to providing a
    shlibs.local.

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Jul 2002 19:15:09 -0400

debhelper (4.1.0) unstable; urgency=low

  * Remove /usr/doc manglement code from postinst and prerm.
    Do not use this verion of debhelper for woody backports!
  * Removed dh_installxaw.

 -- Joey Hess <joeyh@debian.org>  Sun, 21 Jul 2002 15:26:10 -0400

debhelper (4.0.19) unstable; urgency=low

  * Make dh_installchangelogs install debian/NEWS files as well, as
    NEWS.Debian. Make dh_compress always compress them. The idea is to make
    these files be in a machine parsable form, like the debian changelog, but
    only put newsworthy info into them. Automated tools can then display new
    news on upgrade. It is hoped that if this catches on it will reduce the
    abuse of debconf notes. See discussion on debian-devel for details.

 -- Joey Hess <joeyh@debian.org>  Sun, 14 Jul 2002 23:09:24 -0400

debhelper (4.0.18) unstable; urgency=low

  * Removed a seemingly useless -dDepends in dh_shlibdeps's call to
    dpkg-shalibdeps; this allows for stuff like dh_shlibdeps -- -dRecommends
    Closes: #152117
  * Added a --list-missing parameter to dh_install, which calc may find
    useful.

 -- Joey Hess <joeyh@debian.org>  Sun,  7 Jul 2002 22:44:01 -0400

debhelper (4.0.17) unstable; urgency=low

  * In dh_install, don't limit to -type f when doing the find due to -X.
    This makes it properly install syml8inks, cf my rpm bug.

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Jul 2002 22:58:03 -0400

debhelper (4.0.16) unstable; urgency=low

  * Patch from doogie to make dh_movefiles support -X. Closes: #150978
  * Pound home in dh_installman's man page that yet, it really does do the
    right thing. Closes: #150644

 -- Joey Hess <joeyh@debian.org>  Thu,  4 Jul 2002 22:28:53 -0400

debhelper (4.0.15) unstable; urgency=low

  * Stupid, evil typo.
  * Fixed the tests clint didn't show me.

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Jun 2002 20:57:06 -0400

debhelper (4.0.14) unstable; urgency=low

  * In script fragments, use more posix tests, no -a or -o, no parens.
    Closes: #150403

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Jun 2002 20:39:55 -0400

debhelper (4.0.13) unstable; urgency=low

  * Added --mainpackage= option, of use in some kernel modules packages.
  * dh_gencontrol only needs to pass -p to dpkg-gencontrol if there is more
    than one package in debian/control. This makes it a bit more flexible in
    some cases.

 -- Joey Hess <joeyh@debian.org>  Wed, 19 Jun 2002 19:44:12 -0400

debhelper (4.0.12) unstable; urgency=low

  * Fixed debconf-utils dependency.

 -- Joey Hess <joeyh@debian.org>  Sat, 15 Jun 2002 20:20:21 -0400

debhelper (4.0.11) unstable; urgency=low

  * dh_compress: always compress .pcf files in
    /usr/X11R6/lib/X11/fonts/{100dpi,75dpi,misc}, as is required by policy.

 -- Joey Hess <joeyh@debian.org>  Sat,  1 Jun 2002 18:08:50 -0400

debhelper (4.0.10) unstable; urgency=low

  * Consistently use the which command instead of command -v or hardcoded
    paths in autoscripts. Neither is in posix, but which is in debianutils, so
    will always be available. command -v is not available in zsh.
    Closes: #148172

 -- Joey Hess <joeyh@debian.org>  Sun, 26 May 2002 00:54:33 -0400

debhelper (4.0.9) unstable; urgency=low

  * dh_install: glob relative to --sourcedir. Closes: #147908
  * Documented what globbing is allowed.

 -- Joey Hess <joeyh@debian.org>  Thu, 23 May 2002 12:28:30 -0400

debhelper (4.0.8) unstable; urgency=low

  * Don't leak regex characters from -X when generating DH_EXCLUDE_FIND.

 -- Joey Hess <joeyh@debian.org>  Wed, 22 May 2002 21:03:38 -0400

debhelper (4.0.7) unstable; urgency=low

  * dh_strip: If a file is an ELF shared binary, does not have a .so.* in its
    name, stirp it as a ELF binary. It seems that GNUstep has files of this
    sort. See bug #35733 (not sufficient to close all of it).

 -- Joey Hess <joeyh@debian.org>  Wed, 22 May 2002 20:40:09 -0400

debhelper (4.0.6) unstable; urgency=low

  * Make dh_clean remove autom4te.cache.

 -- Joey Hess <joeyh@debian.org>  Wed, 22 May 2002 14:08:33 -0400

debhelper (4.0.5) unstable; urgency=low

  * Removing perl warning message.

 -- Joey Hess <joeyh@debian.org>  Sun, 19 May 2002 01:04:16 -0400

debhelper (4.0.4) unstable; urgency=low

  * Set DH_ALWAYS_EXCLUDE=CVS and debhelper will exclude CVS directories
    from processing by any command that takes a -X option, and dh_builddeb
    will also go in and rm -rf any that still sneak into the build tree.
  * dh_install: A patch from Eric Dorland <eric@debian.org> adds support for
    --sourcedir, which allows debian/package.files files to be moved over to
    debian/package.install, and just work. Closes: #146847
  * dh_movefiles: don't do file tests in no-act mode. Closes: #144573
  * dh_installdebconf: pass --drop-old-templates to debconf-mergetemplate.
    Means debhelper has to depend on debconf-utils 1.1.1.

 -- Joey Hess <joeyh@debian.org>  Sat, 18 May 2002 21:38:03 -0400

debhelper (4.0.3) unstable; urgency=low

  * Corrects misbuild with CVS dirs in deb. Closes: #146576

 -- Joey Hess <joeyh@debian.org>  Fri, 17 May 2002 15:38:26 -0400

debhelper (4.0.2) unstable; urgency=low

  * dh_install: delay globbing until after destintations have been found.
    Closes: #143234

 -- Joey Hess <joeyh@debian.org>  Tue, 16 Apr 2002 21:25:32 -0400

debhelper (4.0.1) unstable; urgency=low

  * dh_installdebconf: allow parameters after -- to go to
    debconf-mergetemplate.
  * dh_installman: don't whine about zero-length man pages in .so conversion.
  * Forgot to export filedoublearray, Closes: #142784

 -- Joey Hess <joeyh@debian.org>  Fri, 12 Apr 2002 23:22:15 -0400

debhelper (4.0.0) unstable; urgency=low

  * dh_movefiles has long been a sore point in debhelper. Inherited
    from debstd, its interface and implementation suck, and I have maintained
    it while never really deigning to use it. Now there is a remplacment:
    dh_install, which ...
    - copies files, doesn't move them. Closes: #75360, #82649
    - doesn't have that whole annoying debian/package.files vs. debian/files
      mess, as it uses debian/install.
    - supports copying empty subdirs. Closes: #133037
    - doesn't use tar, thus no error reproting problems. Closes: #112538
    - files are listed relative to the pwd, debian/tmp need not be used at
      all, so no globbing issues. Closes: #100404
    - supports -X. Closes: #116902
    - the whole concept of moving files out of a directory is gone, so this
      bug doesn't really apply. Closes: #120026
    - This is exactly what Bill Allombert asked for in #117383, even though I
      designed it seemingly independantly. Thank you Bill! Closes: #117383
  * Made debhelper's debian/rules a lot simpler by means of the above.
  * Updated example rules file to use dh_install. Also some reordering and
    other minor changes.
  * dh_movefiles is lightly deprecated, and when you run into its bugs and
    bad design, you are incouraged to just use dh_install instead.
  * dh_fixperms: in v4 only, make all files in bin/ dirs +x. Closes: #119039
  * dh_fixperms: in v4 only, make all files in etc/init.d executable (of
    course there's -X ..)
  * dh_link: in v4 only, finds existing, non-policy-conformant symlinks
    and corrects them. This has the side effect of making dh_link idempotent.
  * Added a -h/--help option. This seems very obvious, but it never occured to
    me before..
  * use v4 for building debhelper itself
  * v4 mode is done, you may now use it without fear of it changing.
    (This idea of this upload is to get v4 into woody so people won't run into
    many issues backporting from sarge to woody later on. Packages targeted
    for woody should continue to use whatever compatibility level they are
    using.)

 -- Joey Hess <joeyh@debian.org>  Tue, 11 Apr 2002 17:28:57 -0400

debhelper (3.4.14) unstable; urgency=low

  * Fixed an uninitialized value warning, Closes: #141729

 -- Joey Hess <joeyh@debian.org>  Mon,  8 Apr 2002 11:45:02 -0400

debhelper (3.4.13) unstable; urgency=low

  * Typo, Closes: #139176
  * Fixed dh_md5sums conffile excluding/including.

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Mar 2002 11:25:36 -0500

debhelper (3.4.12) unstable; urgency=low

  * Fix to #99169 was accidentually reverted in 3.0.42; reinstated.

 -- Joey Hess <joeyh@debian.org>  Sat, 16 Mar 2002 23:31:46 -0500

debhelper (3.4.11) unstable; urgency=low

  * Fixed dh_installdocs and dh_installexamples to support multiple -X's.

 -- Joey Hess <joeyh@debian.org>  Thu, 28 Feb 2002 13:02:35 -0500

debhelper (3.4.10) unstable; urgency=low

  * Fixed dh_movefiles. Closes: #135479, #135459

 -- Joey Hess <joeyh@debian.org>  Sun, 24 Feb 2002 12:25:32 -0500

debhelper (3.4.9) unstable; urgency=low

  * dh_movefiles: Allow for deeper --sourcedir. Closes: #131363

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Feb 2002 16:37:43 -0500

debhelper (3.4.8) unstable; urgency=low

  * Thanks to Benjamin Drieu <benj@debian.org>, dh_installdocs -X now works.
    I had to modify his patch to use cp --parents, since -P spews warnings
    now. Also, I made it continue to use cp -a if nothing is excluded,
    which is both faster, and means this patch is less likely to break
    anything if it turns out to be buggy. Also, stylistic changes.
    Closes: #40649
  * Implemented -X for dh_installexamples as well.
  * dh_clean -X substvars will also work now. Closes: #66890

 -- Joey Hess <joeyh@debian.org>  Sun, 17 Feb 2002 12:26:37 -0500

debhelper (3.4.7) unstable; urgency=low

  * dh_perl: don't gripe if there is no substvar file. Closes: #133140

 -- Joey Hess <joeyh@debian.org>  Sat,  9 Feb 2002 17:37:32 -0500

debhelper (3.4.6) unstable; urgency=low

  * Typo, Closes: #132454
  * Ignore leading/trailing whitespace in DH_OPTIONS, Closes: #132645

 -- Joey Hess <joeyh@debian.org>  Tue,  5 Feb 2002 17:33:57 -0500

debhelper (3.4.5) unstable; urgency=low

  * dh_installxfonts: separate multiple commands with \n so sed doesn't get
    upset. Closes: #131322

 -- Joey Hess <joey@kitenet.net>  Tue, 29 Jan 2002 18:58:58 -0500

debhelper (3.4.4) unstable; urgency=low

  * Introduced the debian/compat file. This is the new, preferred way to say
    what debhelper compatibility level your package uses. It has the big
    advantage of being available to debhelper when you run it at the command
    line, as well as in debian/rules.
  * A new v4 feature: dh_installinit, in v4 mode, will use invoke-rc.d.
    This is in v4 for testing, but I may well roll it back into v3 (and
    earlier) once woody is released and I don't have to worry about breaking
    things (and, presumably, once invoke-rc.d enters policy).
  * Some debhelper commands will now build up a new substvars variable,
    ${misc:Depends}, based on things they know your package needs to depend
    on. For example, dh_installinit in v4 mode adds sysvinit (>= 2.80-1) to
    that dep list, and dh_installxfonts adds a dep on xutils. This variable
    should make it easier to keep track of what your package needs to depends
    on, supplimenting the ${shlibs:Depends} and ${perl:Depends} substvars.
    Hmm, this appears to be based loosely on an idea by Masato Taruishi
    <taru@debian.org>, filtered through a long period of mulling it over.
    Closes: #76352
  * Use the addsubstvar function I wrote for the above in dh_perl too.

 -- Joey Hess <joeyh@debian.org>  Sat, 26 Jan 2002 23:30:51 -0500

debhelper (3.4.3) unstable; urgency=low

  * Improved dh_installxfonts some more:
    - Better indenting of generated code.
    - Better ordering of generated code (minor fix).

 -- Joey Hess <joeyh@debian.org>  Sat, 26 Jan 2002 23:09:59 -0500

debhelper (3.4.2) unstable; urgency=low

  * dh_installman: more documentation about the .TH line. Closes: #129205
  * dh_installxfonts:
    - Packages that use this should depend on xutils. See man page.
    - However, if you really want to, you can skip the dep, and the
      postinst will avoid running program that arn't available. Closes: #131053
    - Use update-fonts-dir instead of handling encodings ourselves. Yay!
    - Pass only the last component of the directory name to
      update-fonts-*, since that's what they perfer now.
    - Other changes, chould fully comply with Debian X font policy now.

 -- Joey Hess <joeyh@debian.org>  Tue, 15 Jan 2002 12:17:43 -0500

debhelper (3.4.1) unstable; urgency=low

  * Fixed programmer's documentation of DOINDEP and DOARCH, Closes: #128546
  * Fixed dh_builddeb SYNOPSIS, Closes: #128548

 -- Joey Hess <joeyh@debian.org>  Thu, 10 Jan 2002 13:49:37 -0500

debhelper (3.4.0) unstable; urgency=low

  * Began work on v4 support (and thus the large version number jump), and it
    is only for the very brave right now since I will unhesitatingly break
    compatibility in v4 mode as I'm developing it. Currently, updating to v4
    mode will only make dh_makeshlibs -V generate shared library deps that
    omit the debian part of the version number. The reasoning behind this
    change is that the debian revision should not typically break binary
    compatibility, that existing use of -V is causing too tight versioned
    deps, and that if you do need to include the debian revision for some
    reason, you can always write it out by hand. Closes: #101497
  * dh_testversion is deprecated -- use build deps instead. A warning message
    is now output when it runs. Currently used by: 381 packages.
  * dh_installxaw is deprecated -- xaw-wrappers in no longer in the
    distribution. A warning message is now output when it runs. Currently used
    by: 3 packages (bugs filed).
  * Added referneces to menufile in dh_installmenu man page. Closes: #127978
    (dh_make is not a part of debhelper, if you want it changed, file a bug on
    dh-make.)

 -- Joey Hess <joeyh@debian.org>  Sat,  5 Jan 2002 22:45:09 -0500

debhelper (3.0.54) unstable; urgency=low

  * Added a version to the perl build dep, Closes: #126677

 -- Joey Hess <joeyh@debian.org>  Thu, 27 Dec 2001 20:39:46 -0500

debhelper (3.0.53) unstable; urgency=low

  * dh_strip: run file using a safe pipe open, that will not expose any weird
    characters in filenames to a shell. Closes: #126491
  * fixed dh_testdir man page

 -- Joey Hess <joeyh@debian.org>  Wed, 26 Dec 2001 21:15:42 -0500

debhelper (3.0.52) unstable; urgency=low

  * Typo, Closes: #122679
  * Export dirname from Dh_Lib, and related cleanup, Closes: #125770
  * Document dirname, basename in PROGRAMMING

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Dec 2001 11:58:52 -0500

debhelper (3.0.51) unstable; urgency=low

  * Man page cleanups, Closes: #119335

 -- Joey Hess <joeyh@debian.org>  Sat, 17 Nov 2001 21:04:15 -0500

debhelper (3.0.50) unstable; urgency=low

  * dh_undocumented: check for existing uncompressed man pages. Closes: #87972
  * Optimized dh_installdeb conffile finding. Closes: #119035
  * dh_installdeb: changed the #!/bin/sh -e to set -e on a new line. Whether
    this additional bloat is worth it to make it easier for people to sh -x
    a script by hand is debatable either way, I guess. Closes: #119046
  * Added a check for duplicated package stanzas in debian/control,
    Closes: #118805

 -- Joey Hess <joeyh@debian.org>  Sat, 17 Nov 2001 14:00:54 -0500

debhelper (3.0.49) unstable; urgency=low

